2004-01-04 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Gnus v5.10.6 is released.

2004-01-04  Kai Grossjohann  <kai@emptydomain.de>

	* gnus-sum.el (gnus-summary-print-article): Doc fix.

2004-01-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bump.

2004-01-04 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Gnus v5.10.5 is released.

2004-01-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-fun.el (gnus-face-from-file): Message 9.

2004-01-03  Romain FRANCOISE  <romain@orebokech.com>

	* gnus-fun.el (gnus-face-from-file): Use gnus-message.

2004-01-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-mid-or-mail-heuristic): Treat Gmane
	addresses specially.  Fix returned value and messages.

	* mm-decode.el (mm-enable-external): New variable.
	(mm-display-part): Use it.
	(mm-display-external): Fix message in case of nil handle.

	* Update copyright for several files.

	* spam-report.el (spam-report-gmane): Adjust verbosity.
	Delete trailing whitespace.  Update copyright.

	* spam.el: Fix many (but not all) checkdoc complaints.
	Delete trailing whitespace.

	* message.el (message-header-synonyms): Defcustom.
	(message-get-reply-headers): Catch `Original-To'.
	(message-carefully-insert-headers): Added comment.

	* gnus-sum.el (gnus-summary-make-menu-bar): Improved "Washing" menu.

2004-01-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-select-newsgroup): Use cat.

	* gnus-agent.el (gnus-agent-cat-enable-undownloaded-faces): New
	cat. 

	* gnus.el (gnus-user-agent): Moved here.

	* gnus-msg.el (gnus-user-agent): Moved from here.

	* gnus.el (gnus-version-number): Bump.

2004-01-03 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Gnus v5.10.4 is released.

2004-01-02  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus.el (gnus-mode-line-buffer-identification): Show version in
	help-echo.
	(gnus-read-group): Allow most group names.  Changed warning.

2004-01-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-dired.el (gnus-dired-mode-map): Change keymaps.

2004-01-02  Arne J,Axrgensen  <arne@arnested.dk>

	* smime.el (smime-crl-check): Doc fix.

2004-01-02  Edwin Steiner  <edwin.steiner@gmx.net>

	* gnus-nocem.el (gnus-nocem-enter-article): Use the real group
	hashtb (tiny patch).

2004-01-02  Kai Grossjohann  <kai@emptydomain.de>

	* nnml.el (nnml-save-mail): Grok compressed articles.  From
	Michael Albinus <Michael.Albinus@alcatel.de>.

2004-01-02  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-ham-copy-or-move-routine): use spam-list-articles
	(spam-list-articles): rewritten to only check a mark once per
	invocation

2004-01-01  Simon Josefsson  <jas@extundo.com>

	* mml-sec.el (mml-default-encrypt-method)
	(mml-default-sign-method): Defcustom.

2003-12-31  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mml.el (mml-generate-mime-1): Remove extra ).

	* gnus-group.el (gnus-group-set-current-level): Signal errors on
	topic lines.
	(gnus-group-set-current-level): Fix fix.

2003-12-31  Jeremy Maitin-Shepard  <jbms@attbi.com>

	* mml.el (mml-generate-mime-1): Use mml-compute-boundary (tiny
	change). 

2003-12-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el: Removed `(when t ...)' around `gnus-define-keys'.
	(gnus-group-group-map): Added `gnus-group-read-ephemeral-group'
	(already in previous commit inadvertently).
	(gnus-group-make-menu-bar): Added `gnus-group-read-ephemeral-group'.
	(gnus-group-read-ephemeral-group): Made interactive.

	* gnus-score.el (gnus-score-find-trace): Added comment on sync
	with `gnus-score-edit-file-at-point'.

	* gnus-logic.el (gnus-score-advanced): Ditto.

	* gnus-score.el (gnus-score-edit-file-at-point): Fix for
	advanced scoring.

2003-12-30  Simon Josefsson  <jas@extundo.com>

	* gnus-score.el (gnus-score-edit-file-at-point): Use
	gnus-point-at-*, for portability.

2003-12-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-treat-body-boundary): Fix doc-string and
	custom type.
	(gnus-button-mid-or-mail-regexp): Don't be too restrictive.
	Suggested by Felix Wiemann <Felix.Wiemann@gmx.net>.
	(gnus-button-alist): Added "M-x ... RET" and "mid:" buttons.
	Added comments about relevant RFCs.

	* gnus-sum.el (gnus-summary-mode): Untabify doc-string.
	(gnus-summary-goto-article): Allow `%40'.
	(gnus-summary-refer-article): Convert `%40' to `@'.

2003-12-30  Simon Josefsson  <jas@extundo.com>

	* smime.el (smime-crl-check): New.
	(smime-verify-region): Use it.  From Arne J,Axrgensen
	<arne@arnested.dk> in <87llpk9v5q.fsf@seamus.arnested.dk> (tiny
	change).

2003-12-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-score.el (gnus-score-edit-file-at-point): Consider the
	whole match element.  From Karl Pfl,Adsterer <sigurd@12move.de>.
	(gnus-score-find-trace): Use it.  Added `f' and `t' commands,
	added quick help.  With some suggestions from Karl Pfl,Adsterer
	<sigurd@12move.de>.

	* gnus-util.el (gnus-emacs-version): Added doc-string.

	* mml.el (mml-minibuffer-read-disposition): New function.
	(mml-attach-file): Use it.
	(mml-preview): Added MIME preview to gnus-buffers.

2003-12-30  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-summary-make-menu-bar): Add ellipses.

2003-12-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-get-unread-articles): Inline gnus-server-get-method.
	(gnus-get-unread-articles): Cache methods.
	(gnus-get-unread-articles-in-group): Indent.

	* gnus.el (gnus-version-number): Bump.
	(gnus-secondary-method-p): Extend servers to methods before comparing.
	(gnus-secondary-method-p): Revert.

2003-12-30 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Gnus v5.10.3 is released.

2003-12-29  Simon Josefsson  <jas@extundo.com>

	* gnus-agent.el (gnus-agentize): Improve auto-agentizing logic.
	Suggested by Steinar Bang <sb@dod.no>.
	(gnus-agent-auto-agentize-methods): Customize.

2003-12-29  Kevin Greiner <kgreiner@xpediantsolutions.com>
	* gnus.el (gnus-server-to-method): Fixed bug in 2003-12-22
	check-in.

2003-12-28  Adrian Lanz  <lanz@fowi.ethz.ch>

	* mail-source.el (mail-source-fetch-imap): Prevent storing of
	identical entries for imap mail sources, when retrieving mail
	messages from an imap server within the same Gnus session several
	times (tiny change).

2003-12-28  Jesper Harder  <harder@ifa.au.dk>

	* mm-view.el (mm-text-html-washer-alist): Use
	mm-inline-wash-with-stdin for w3m-standalone.

	* mm-decode.el (mm-text-html-renderer): Add w3m-standalone.

	* mml1991.el (mml1991-pgg-encrypt): Decode according to CTE before
	encrypting.

2003-12-28  Jesper Harder  <harder@ifa.au.dk>

	* mml1991.el (mml1991-pgg-sign): Use unibyte when re-encoding.
	From Ivan Boldyrev <boldyrev@uiggm.nsc.ru> (tiny change).

2003-12-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* dgnushack.el: Add an advice to byte-optimize-form-code-walker to
	avoid the warning ``...called for effect'' for the pop form when
	running Emacs 21.3.

2003-12-26  Jesper Harder  <harder@ifa.au.dk>

	* mm-bodies.el (mm-body-encoding): Don't use 7bit if the body
	contains "^From " and mm-use-ultra-safe-encoding is true.

2003-12-25  Jesper Harder  <harder@ifa.au.dk>

	* mml1991.el (mml1991-pgg-sign): Encode and decode according to
	CTE header.  Don't insert gpg output as unibyte.

2003-12-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lpath.el: Remove display-time-event-handler and open-ssl-stream;
	add delete-extent for Emacs; rearrange bindings assuming w3 may
	not be available and XEmacs without the file-coding feature may be
	used.

2003-12-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* dgnushack.el (dgnushack-compile): Increase the value for
	max-specpdl-size when compiling Gnus with Emacs 20.

2003-12-22  Kevin Greiner <kgreiner@xpediantsolutions.com>
	* gnus-int.el (gnus-open-server): Fixed the server status such
	that an agentized server, when opened offline, has a status of
	offline.  Also fixes bug whereby the agent's backend was called
	twice to open each server.

	* gnus-start.el (gnus-get-unread-articles-in-group): Autoload
	gnus-agent-possibly-alter-active rather than inline to resolve
	compiler warnings.

	* gnus.el (gnus-server-to-method): Added fallback of iterating
	over gnus-newsrc-alist to resolve names of foreign servers.
	Should fix recent agent bug.

2003-12-22  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-score.el (gnus-summary-lower-score)
	(gnus-summary-increase-score): Mention symbolic prefix in the
	doc-string.  Suggested by Karl Pfl,Adsterer <sigurd@12move.de>.

2003-12-21  Jesper Harder  <harder@ifa.au.dk>

	* gnus-agent.el (gnus-agent-read-agentview): Use
	car-less-than-car.

2003-12-20  Artem Chuprina <ran@ran.pp.ru>  (tiny change)

	* message.el (message-yank-buffer): Bind message-reply-buffer to
	a buffer rather than a string.

2003-12-19  Jesper Harder  <harder@ifa.au.dk>

	* gnus-msg.el (gnus-summary-followup): Correct documentation.

2003-12-18  Jesper Harder  <harder@ifa.au.dk>

	* gnus-msg.el (gnus-inews-add-send-actions): `yanked' can be a
	list of lists.  Reported by Dmitri Paduchikh <paduch@imm.uran.ru>.

2003-12-18  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-url.el (mm-url-insert-file-contents-external)
	(mm-url-insert-file-contents): Added doc-strings.  Autoload.

2003-12-18  Jesper Harder  <harder@ifa.au.dk>

	* gnus-cus.el (defvar): defvar
	gnus-agent-cat-disable-undownloaded-faces.

2003-12-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-forward-subject-name-subject): Use
	gnus-extract-address-components instead of
	mail-header-parse-address because it may be called with non-ascii
	text.

2003-12-16  Per Abrahamsen  <abraham@dina.kvl.dk>

	* nnmail.el (nnmail-split-fancy): The widget now supports
	restrictions.

2003-12-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnheader.el (nnheader-find-etc-directory): Find the newest one.

2003-12-16  Simon Josefsson  <jas@extundo.com>

	* sha1-el.el (autoload): Don't use ignore-errors.
	(sha1-use-external): Use condition-case.  Suggested by Katsumi
	Yamaoka <yamaoka@jpl.org>.

2003-12-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnmail.el (nnmail-split-fancy): Make it customizable with Emacs
	20 as well.

2003-12-15  Simon Josefsson  <jas@extundo.com>

	* sha1-el.el (autoload): Ignore errors for
	executable-find. (XEmacs ecrypto does not require sh-script where
	executable.el is located.)
	(sha1-use-external): Likewise.

	* sha1-el.el (sha1): Add defgroup.
	(sha1-maximum-internal-length, sha1-program, sha1-use-external)
	(sha1-program): Use 'sha1sum' from GNU CoreUtils instead of OpenSSL.
	(sha1): Autoload.

	* nndraft.el (nndraft-request-move-article): Copy definition of
	nnmh-request-move-article instead of calling it, because the nnmh
	version uses nnmh-request-article which isn't the same as the
	nndraft version.

2003-12-13  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el: added some gnus-registry autoloads
	(spam-split-symbolic-return): makes spam-split return 'spam
	instead of the value of spam-split-group when spam is detected
	(spam-split-symbolic-return-positive): makes spam-split return
	'ham instead of nil when ham is detected
	(spam-autodetect-recheck-messages): tells spam.el whether it
	should recheck all messages in a group, or only the unseen ones
	(spam-split-last-successful-check): spam-split will set this to
	the last successful check; this was seen as a cleaner approach
	than returning a cell like '(spam spam-use-bogofilter)
	(spam-list-of-checks): documentation appended
	(spam-split): accomodate the spam-split-symbolic-return and
	spam-split-symbolic-return-positive variables
	(spam-find-spam): new function called when the summary is built
	(spam-log-registered-p): checks if a ham or spam registration has
	already been done for an article
	(spam-check-regex-headers, spam-check-blackholes, spam-check-BBDB)
	(spam-check-ifile, spam-check-stat, spam-check-whitelist)
	(spam-check-blacklist, spam-check-bogofilter-headers)
	(spam-check-spamoracle): respect the spam-split-symbolic-return
	and spam-split-symbolic-return-positive variables
	(spam-initialize): add spam-find-spam to gnus-summary-prepare-hook
	(spam-unload-hook): remove spam-find-spam from
	gnus-summary-prepare-hook

	* gnus.el (spam-autodetect, spam-autodetect-methods): new
	configuration items for spam autodetection

2003-12-12  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-draft.el (gnus-draft-mode-map): Bind `e' to
	`gnus-draft-edit-message'.  We still have `B w' for
	`gnus-summary-edit-article'.

2003-12-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnheaderxm.el (nnheader-xmas-run-at-time): Use a simple function
	definition if there is not a bug in start-itimer.

	* pgg.el (pgg-run-at-time): Ditto.

2003-12-11  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-possibly-alter-active): New Function.
	(gnus-agent-regenerate-group): When necessary, alter the group's
	active range to include articles newly recognized as being
	downloaded.
	(gnus-agent-regenerate): Removed code that updated the agent's
	active file as the new gnus-agent-possibly-alter-active function
	obsolesced it.

	* gnus-cus.el (gnus-agent-customize-category): Added missing
	agent-disable-undownloaded-faces parameter.
	
	* gnus-start.el (gnus-activate-group): Backed out my 2003-11-29
	patch as it was too late at adjusting the active range.
	(gnus-get-unread-articles-in-group): Added call to new
	gnus-agent-possibly-alter-active to adjust the active range.

2003-12-10  Jesper Harder  <harder@ifa.au.dk>

	* message.el (message-get-reply-headers): Narrow to headers.

2003-12-10  Teodor Zlatanov  <tzz@lifelogs.com> 

	* spam.el (spam-disable-spam-split-during-ham-respool): new
	variable.  From lorentey@elte.hu (L,Burentey K,Baroly)
	(spam-ham-copy-or-move-routine): respect
	spam-disable-spam-split-during-ham-respool.  From
	lorentey@elte.hu (L,Burentey K,Baroly)
	(spam-split-disabled): new variable.  From
	lorentey@elte.hu (L,Burentey K,Baroly)
	(spam-split): respect spam-split-disabled.  From
	lorentey@elte.hu (L,Burentey K,Baroly)

2003-12-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnheaderxm.el (nnheader-xmas-run-at-time): Make it work
	correctly for the first argument.

	* pgg.el (pgg-run-at-time): New function.
	(pgg-add-passphrase-cache): Use it.

2003-12-10  Simon Josefsson  <jas@extundo.com>

	* pgg-parse.el (pgg-decode-packets): Rewrite to handle corrupt
	input.
	(pgg-decode-armor-region): Don't parse packet if decoding fail.

2003-12-09  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-check-bogofilter): run in the correct buffer.
	From lorentey@elte.hu (L,Burentey K,Baroly).
	(spam-bogofilter-database-directory): correct customization
	group.  From Xavier Maillard <zedek@gnu-rox.org>.

2003-12-09  Per Abrahamsen  <abraham@dina.kvl.dk>

	* nnmail.el (nnmail-lazy, nnmail-split-fancy): New widgets.
	(nnmail-split-fancy): Use it.

2003-12-08  Joel Ray Holveck <joelh@piquan.org>  (tiny change)

	* gnus-sum.el (gnus-summary-save-parts-1): Consider the "name"
	parameter of Content-Type.

2003-12-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el: Revert 2003-12-03 change, instead, provide the
	compiler macro for rmail-select-summary if rmail is not available,
	and bind rmail-summary-displayed and rmail-maybe-display-summary
	in order to silence the compiler even if tm is not available.

2003-12-08  Simon Josefsson  <jas@extundo.com>

	* flow-fill.el (fill-flowed-encode-tests, fill-flowed-test): Add.

2003-12-08  Jesper Harder  <harder@ifa.au.dk>

	* gnus-msg.el (gnus-extended-version): Bind float-output-format to
	nil.

2003-12-08  Simon Josefsson  <jas@extundo.com>

	* mml-smime.el (mml-smime-sign): Replace CRLF with LF in OpenSSL
	output.  Reported by Arne J,Axrgensen <arne@arnested.dk>.

2003-12-07  Simon Josefsson  <jas@extundo.com>

	* pgg-gpg.el (pgg-gpg-recipient-arg): Add.
	(pgg-gpg-encrypt-region): Use it.  Tiny patch from Lloyd Zusman
	<ljz@asfast.com>.
	(pgg-gpg-recipient-argument): Doc fix.  Renamed fro p-g-r-a.
	(pgg-gpg-encrypt-region): Update.

2003-12-07  Jesper Harder  <harder@ifa.au.dk>

	* spam.el (spam-check-spamoracle, spam-spamoracle-learn): Don't
	use = or zerop to test the return value of call-process, because
	it can be a string.

	* mail-source.el (mail-source-fetch-with-program): do.

	* mailcap.el (mailcap-viewer-passes-test): do.

	* gnus-uu.el (gnus-uu-treat-archive, gnus-uu-post-encode-mime)
	(gnus-uu-post-encode-file): do.

	* gnus-soup.el (gnus-soup-pack, gnus-soup-unpack-packet): do.

	* message.el (message-fix-before-sending): Fix detection of
	non-printables.  Don't replace unencodable utf-8.

2003-12-05  Jesper Harder  <harder@ifa.au.dk>

	* mm-url.el (mm-url-predefined-programs): Add user-agent for wget.
	(mm-url-insert-file-contents-external): Signal an error if program
	fails.

2003-12-04  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam-report.el (spam-report-gmane): iterate over articles
	instead of a single one; remove interactive usage

2003-12-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* dns.el: Fix misplaced eval-when-compile.

	* gnus-util.el: Require alist and provide tm-view when compiling
	with XEmacs.

2003-12-03  Steve Youngs  <sryoungs@bigpond.net.au>

	* gnus-xmas.el: Add autoloads for macros defined in gnus.el.
	From Jerry James <james@xemacs.org>.

	* gnus-util.el: Get rmail definitions when compiling.
	From Jerry James <james@xemacs.org>.

	* dns.el: Require gnus-xmas at compile time instead of trying to
	autoload `gnus-xmas-open-network-stream' because it wasn't picking
	up the macro.
	From Jerry James <james@xemacs.org>.

2003-12-01  Kevin Greiner <kgreiner@xpediantsolutions.com>
	* gnus-agent.el (gnus-agent-consider-all-articles): Updated
	docstring.
	(gnus-predicate-implies-unread, gnus-predicate-implies-unread-1):
	Fixed implementation such that the predicate `true' no longer
	evaluates to t.

2003-12-01  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-check-bogofilter): check the bogofilter headers
	AFTER the save-excursion scope is over.  From Adrian Lanz
	<lanz@fowi.ethz.ch>.
	(spam-fetch-field-message-id-fast): doc fix

2003-12-01  Simon Josefsson  <jas@extundo.com>

	* gnus-agent.el (gnus-agent-expire-days): Doc fix.

2003-11-30  Simon Josefsson  <jas@extundo.com>

	* gnus-agent.el (gnus-agent-expire-group-1): Bind message-log-max
	when messaging "X % completed" to inhibit logging them to the
	message buffer.
	(gnus-agent-expire-group-1): Mention group name in messages.
	(gnus-agent-expire-group-1): Only print a message for an article
	when there actually was something done to it.

	* mm-util.el (mm-enable-multibyte): Call set-buffer-multibyte with
	'to argument.  Fixes something or other in Emacs 22, and is
	backwards compatible.  From Kenichi Handa <handa@m17n.org>.

	* gnus-agent.el (gnus-agent-expire-unagentized-dirs): Custom fix.

2003-11-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-agent.el (gnus-agent-covered-methods): Remove nil methods. 

2003-11-29  Kevin Greiner <kgreiner@xpediantsolutions.com>
	* gnus-start.el (gnus-activate-group): The active range of the
	group must include the articles known to the agent.

	* gnus.el (gnus-agent-method-p): Accept a server name as the
	method being tested.

2003-11-29  Alexander Kreuzer <alex@freesources.org>  (tiny change)

	* nnrss.el (nnrss-check-group): Set xml when nnrss-use-local is t.

2003-11-29  Jesper Harder  <harder@ifa.au.dk>

	* gnus-group.el (gnus-group-make-menu-bar): Add
	gnus-group-make-rss-group.

2003-11-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el: Added custom-manual links to all variables that have
	an index entry in the message manual.
	(message-generate-headers-first): Fixed doc-string.

2003-11-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-summary-yank-message): Don't bind
	gnus-display-mime-function to nil so that non-ascii text is
	decoded and attachments are not shown.

	* message.el (message-cite-original-without-signature): Replace
	the value of message-reply-headers with the yanked article since
	it may be a different article from the original.
	(message-cite-original): Ditto.

2003-11-25  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-blacklist-ignored-regexes): new variable, so
	blacklisting can ignore certain regular expressions (e.g. the
	user's e-mail address)
	(spam-bogofilter-spam-strong-switch,
	spam-bogofilter-ham-strong-switch): options used when articles are
	already registered as the opposite classification
	(spam-old-ham-articles, spam-old-spam-articles): lists of ham and
	spam articles, generated when a summary buffer is entered, and
	consulted when it's exited so we know what articles are changing
	state from spam to ham or vice-versa
	(spam-xor): everyone needs a little convenience
	(spam-list-of-processors): lookup table for old-style spam/ham
	exits processors
	(spam-group-processor-p): support old-style and new-style spam/ham
	exit processors
	(spam-group-processor-multiple-p): handle new-style spam/ham exit
	processors
	(spam-summary-prepare): use spam-old-{ham,spam}-articles; change
	logic to iterate over list of processors instead of manual
	individual lookup, unregister any articles that change from ham to
	spam or vice-versa in the course of the summary buffer usage; use
	the new spam-register-routine
	(spam-ham-copy-routine, spam-ham-move-routine,
	spam-mark-spam-as-expired-and-move-routine): check that the list
	of groups is not nil, because apply doesn't like to apply a
	function across nil
	(spam-registration-functions): variable for looking up spam/ham
	registration/unregistration functions based on a spam-use-* symbol
	(spam-classification-valid-p, spam-process-type-valid-p)
	(spam-registration-check-valid-p)
	(spam-unregistration-check-valid-p): convenience functions
	(spam-registration-function, spam-unregistration-function): look
	up the registration/unregistration function based on a
	classification and the check (spam-use-* symbol)
	(spam-list-articles): generate list of spam/ham articles from a
	given list of articles
	(spam-register-routine): do the heavy work of registering and
	unregistering articles, using all the articles in the group or
	specific ones as needed
	(spam-generic-register-routine): removed, no longer used
	(spam-log-unregistration-needed-p, spam-log-undo-registration):
	handle article registration/unregistration with a given spam/ham
	processor and group
	(BBDB, ifile, spam-stat, blacklists, whitelists, spam-report,
	bogofilter, spamoracle): rewrite registration/unregistration
	functions to take a list of articles and the unregister option.
	Much hilarity ensues.
	(spam-initialize): spam-stat-maybe-{save,load} already respect spam-use-stat
	(spam-stat-register-ham-routine, spam-stat-register-spam-routine):
	don't load and save unnecessarily

	* spam-stat.el (spam-stat-dirty): new variable, set when the stats
	database is modified
	(spam-stat-buffer-is-spam, spam-stat-buffer-is-non-spam)
	(spam-stat-buffer-change-to-spam, spam-stat-to-hash-table)
	(spam-stat-buffer-change-to-non-spam): set spam-stat-dirty when
	needed
	(spam-stat-save): respect spam-stat-dirty, unless the force
	parameter is specified
	(spam-stat-load): clear spam-stat-dirty

	* gnus.el (gnus-install-group-spam-parameters): marked the
	old-style exit processors as obsolete in the docs, added the
	new-style exit processors while the old ones are still allowed


2003-11-25  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (article-hide-boring-headers): Don't hide Reply-To
	unless its list of addresses is identical to From.

2003-11-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* dgnushack.el (mapc): Add the compiler macro for Emacs 20.

2003-11-24  Kevin Greiner <kgreiner@xpediantsolutions.com>
	* gnus-srvr.el (gnus-server-insert-server-line): The server names
	used in gnus-agent are different (for example, the native server
	uses the alias "native") from the names in gnus-srvr.
	Compensating by adding a second text property storing the name
	expected by gnus-agent.
	(gnus-server-named-server): New function.
	* gnus-agent.el (gnus-agent-remove-server, gnus-agent-add-server):
	No longer expect an argument as it was ignored anyway.  Uses the
	new gnus-server-named-server function to get gnus-agent compatible
	names from the server buffer.

2003-11-20  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus.el (gnus-agent-covered-methods): Documented use of
	named servers, not methods, to identity agentized groups.
	Users may now change their server configurations without having
	the server become "unagentized".
	(gnus-agent-covered-methods): Removed from gnus-variable-list to
	avoid storing two copies of gnus-agent-covered-methods, one in
	.newsrc.eld and the other in agent/lib/servers.
	(gnus-server-to-method): Do not cache server for the nil method.
	(gnus-method-to-server): New function.  Associate named server
	with all, even foreign, methods.
	(gnus-agent-method-p, gnus-agent-method-p-cache): Incorporated
	simple last-response cache to offset performance lose of having to
	always convert methods to named servers.
	* gnus-agent.el (gnus-agent-expire-days): Removed obsolete
	documentation.
	(gnus-agentize, gnus-agent-add-server, gnus-agent-remove-server):
	Modified to support new definition of gnus-agent-covered-method.
	(gnus-agent-read-servers): Rewritten to convert old method data
	into server names.
	(gnus-agent-read-servers-validate)
	(gnus-agent-read-servers-validate-native): New functions.
	(gnus-agent-write-servers): No longer use gnus-method-simplify as
	it failed to simplify foreign methods.
	(gnus-agent-close-connections, gnus-agent-synchronize-flags)
	(gnus-agent-possibly-synchronize-flags, gnus-agent-fetch-session)
	(gnus-agent-regenerate): Uses new gnus-agent-covered-methods
	function as gnus-agent-covered-methods variable no longer provides
	methods.
	(gnus-agent-covered-methods): New function
	(gnus-agent-expire-group, gnus-agent-expire): Final message will,
	if gnus-verbose is greater than 4, report statistics of NOV
	entries and files deleted as well as total bytes recovered.
	(gnus-agent-expire-done-message): New function
	(gnus-agent-unread-articles): Bug fix.  No longer drops last
	unread article onto read list.
	(gnus-agent-regenerate-group): Changed prompt to use typical
	style.
	(gnus-agent-group-covered-p): Rewrote to internally use
	gnus-agent-method-p.
	* gnus-int.el (gnus-start-news-server): Partially convert old
	gnus-agent-covered-methods to new format so that gnus-open-server
	functions correctly.
	* gnus-srvr.el (gnus-server-insert-server-line): Replaced
	gnus-agent-covered-methods with gnus-agent-method-p.
	* gnus-start.el (gnus-clear-system): Added
	gnus-agent-covered-methods to compensate for removing it from
	gnus-variable-list.
	(gnus-setup-news): Complete conversion of old
	gnus-agent-covered-methods to new format so that secondary and
	foreign servers can be correctly opened.

2003-11-20  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-ham-copy-or-move-routine): add respooling
	support, not working well yet

	* gnus.el (ham-process-destination): make 'respool option the
	only one, so it can't be chosen together with other groups

2003-11-19  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-track-extra): make it a set of
	choices instead of a boolean
	(gnus-registry-track-subject-p, gnus-registry-track-sender-p):
	new convenience functions
	(gnus-registry-split-fancy-with-parent): use convenience
	functions, also don't return extra tracking info if sender or
	subject is found in more than one groups
	(gnus-registry-add-group): use new convenience functions to
	decide if sender and subject should be tracked

	* gnus.el (ham-process-destination): add 'respool option,
	unused by spam.el yet

2003-11-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-score.el (gnus-decay-score): Return a surely smaller value
	than the argument in XEmacs.

2003-11-18  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-insert-to): Don't use `gnus-message'.
	(message-header-synonyms): New variable.
	(message-carefully-insert-headers): Use it (check for synonyms).
	Added doc-string.  From Sam Steingold <sds@gnu.org>.

2003-11-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* html2text.el (html2text-remove-tags): Remove the tag in a
	simpler way to avoid inflooping.

2003-11-17  Simon Josefsson  <jas@extundo.com>

	* imap.el (imap-gssapi-auth-p): Don't check capability (some
	servers remove AUTH=GSSAPI from capability response returned after
	successful authentication).

2003-11-16  Jesper Harder  <harder@ifa.au.dk>

	* gnus.el (gnus-getenv-nntpserver): Fix regexp and simplify.
	Reported by Artem Chuprina <ran@ran.pp.ru>.

2003-11-14  Simon Josefsson  <jas@extundo.com>

	* mm-util.el (mm-charset-synonym-alist): Map BIG5-HKSCS to BIG5
	when it isn't available.

2003-11-13  Alex Schroeder  <alex@gnu.org>

	* nnrss.el (nnrss-check-group): Use dc:contributor if neither
	rss:author nor dc:creator is provided.

2003-11-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-dissect-buffer): Save start="<id>" value
	contained in Content-Type header of multipart/related messages.

	* mm-view.el (mm-w3m-cid-retrieve-1): New function.
	(mm-w3m-cid-retrieve): Use it.

	* mml.el (mml-generate-mime-1): Add start="<id>" to Content-Type.
	(mml-insert-mime-headers): Insert Content-ID header.
	(mml-insert-mml-markup): Insert start="<id>" value.

2003-11-12  Teodor Zlatanov  <tzz@lifelogs.com>

	* nnml.el (nnml-request-accept-article): pass sender to
	nnmail-cache-insert

	* nnmh.el (nnmh-request-accept-article): pass sender to
	nnmail-cache-insert 

	* nnmbox.el (nnmbox-request-accept-article): pass sender to
	nnmail-cache-insert 

	* nnfolder.el (nnfolder-request-accept-article): pass sender to
	nnmail-cache-insert 

	* nnbabyl.el (nnbabyl-request-accept-article): pass sender to
	nnmail-cache-insert 

	* nnmail.el (nnmail-cache-insert): accept sender parameter and
	pass it to the nnmail-spool-hook

	* gnus-registry.el (gnus-registry-track-extra): clarify doc
	(gnus-registry-action): add sender lexical var and pass it to
	gnus-registry-add-group
	(gnus-registry-spool-action): take a sender parameter, pass to
	gnus-registry-add-group
	(gnus-registry-split-fancy-with-parent): trace by sender in
	addition to subject
	(gnus-registry-fetch-sender-fast): new function
	(gnus-registry-add-group): accept sender parameter

2003-11-11  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-ham-copy-routine, spam-ham-move-routine)
	(spam-mark-spam-as-expired-and-move-routine): allow for the
	groups to be a list of a single item

	* gnus.el (gnus-install-group-spam-parameters):
	ham-process-destination and spam-process-destination allow lists now

2003-11-10  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-insert-to): Do error out when the user
	requested no Cc.  Don't insert empty To.  Can be added to
	`message-setup-hook' now.  From Sam Steingold <sds@gnu.org>.
	(message-mode-field-menu): Moved some entries, added
	`message-insert-wide-reply'.
	(message-change-subject): Fixed comment.

2003-11-10  Simon Josefsson  <jas@extundo.com>

	* pgg-def.el (pgg-encrypt-for-me): Change default from nil to t.

2003-11-09  Simon Josefsson  <jas@extundo.com>

	* pgg-gpg.el (pgg-gpg-encrypt-region): Cache passphrase under hex
	key id too (for decryption).
	(pgg-gpg-sign-region): Likewise.

2003-11-09  Simon Josefsson  <jas@extundo.com>

	* pgg-gpg.el (pgg-gpg-all-secret-keys): New variable.
	(pgg-gpg-lookup-all-secret-keys): New function.
	(pgg-gpg-select-matching-key): Likewise.
	(pgg-gpg-decrypt-region): Use new functions.  From Satyaki Das
	<satyakid@stanford.edu>.

2003-11-07  Teodor Zlatanov  <tzz@lifelogs.com>

	* nnmail.el (nnmail-cache-insert): make sure that the
	nnmail-spool-hook is called with a valid newsgroup name (though
	it may be wrong)

	* gnus.el (gnus-group-real-prefix): return nil if group is not a
	string, instead of triggering an error

2003-11-06  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus.el (gnus-group-guess-full-name-from-command-method): new	function

	* gnus-registry.el (gnus-registry-fetch-group): use long names if
	requested 
	(gnus-registry-split-fancy-with-parent): when long names are in
	use, strip the name if we're in the native server, or else return nothing
	(gnus-registry-spool-action, gnus-registry-action): use
	gnus-group-guess-full-name-from-command-method instead of
	gnus-group-guess-full-name

	* spam.el (spam-mark-spam-as-expired-and-move-routine)
	(spam-ham-copy-or-move-routine): prevent article deletions or
	moves unless the backend allows it

	* gnus.el (gnus-install-group-spam-parameters): fixed parameters
	to list spamoracle as well, suggested by Jean-Marc Lasgouttes
	<Jean-Marc.Lasgouttes@inria.fr>

	* spam.el (spam-spamoracle): doc change, suggested by Jean-Marc
	Lasgouttes <Jean-Marc.Lasgouttes@inria.fr>

2003-11-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-score.el (gnus-decay-score): Protect against arithmetic
	errors.  Tiny patch from Norbert Koch <viteno@xemacs.org>.

2003-10-31  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el
	(spam-log-processing-to-registry): improved message and comments
	(spam-log-unregistration-needed-p): new function
	(spam-ifile-register-spam-routine)
	(spam-ifile-register-ham-routine, spam-stat-register-spam-routine)
	(spam-stat-register-ham-routine)
	(spam-blacklist-register-routine)
	(spam-whitelist-register-routine)
	(spam-bogofilter-register-spam-routine)
	(spam-bogofilter-register-ham-routine)
	(spam-spamoracle-learn-ham, spam-spamoracle-learn-spam): change
	spam-log-processing-to-registry invocations appropriately

2003-10-31  Simon Josefsson  <jas@extundo.com>

	* imap.el (imap-kerberos4-open): Ignore output from ATHENA imtest.
	Tiny patch from Derek Atkins <warlord@MIT.EDU>.
	(imap-process-connection-type): Improve docstring.  Suggested by
	Derek Atkins <warlord@MIT.EDU>.

2003-10-31  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (autoload): autoload the gnus-registry functions we'll
	need
	(spam-log-to-registry): new variable for interfacing with the
	gnus-registry
	(spam-install-hooks): variable had the wrong customization group
	(spam-fetch-field-message-id-fast): convenience function for fetch
	a message ID quickly
	(spam-log-processing-to-registry): new function
	(spam-ifile-register-spam-routine)
	(spam-ifile-register-ham-routine, spam-stat-register-spam-routine)
	(spam-stat-register-ham-routine)
	(spam-blacklist-register-routine)
	(spam-whitelist-register-routine)
	(spam-bogofilter-register-spam-routine)
	(spam-bogofilter-register-ham-routine)
	(spam-spamoracle-learn-ham, spam-spamoracle-learn-spam): add
	spam-log-processing-to-registry invocations

	* gnus-registry.el: fixed docs in the preface to mention
	gnus-registry-initialize
	(gnus-registry-store-extra): remove cached extra entry
	information when new extra entry is stored

2003-10-29  Simon Josefsson  <jas@extundo.com>

	* message.el (message-forward-make-body-plain): Fix ARG=1 mode
	after separating m-f-m-b.

2003-10-29  Simon Josefsson  <jas@extundo.com>

	* message.el (message-forward-make-body-plain): Remove ignored
	headers.  Tiny patch from Andre Srinivasan <andre@e2open.com>.
	(message-forward-make-body-plain): Fix ARG=1.

2003-10-28  Jesper Harder  <harder@ifa.au.dk>

	* message.el (message-forward-subject-name-subject)
	(message-forward-subject-author-subject): Decode non-ASCII
	newsgroup names.
	(autoload): Autoload gnus-group-decoded-name.

2003-10-27  Simon Josefsson  <jas@extundo.com>

	* pgg-gpg.el (pgg-gpg-possibly-cache-passphrase): New optional
	parameter key, overrides the key id used to store passphrase
	under (uses true key id from gpg output if nil).
	(pgg-gpg-encrypt-region): Search for passphrase using user suplied
	string STR, instead of (pgg-lookup-key STR t).
	(pgg-gpg-encrypt-region): Store passphrase under user suplied
	string, instead of real key id taken from gpg output.
	(pgg-gpg-decrypt-region): Likewise.
	(pgg-gpg-sign-region): Likewise.
	* pgg.el (pgg-decrypt-region): Don't set pgg-default-user-id.

2003-10-27  Romain FRANCOISE  <romain@orebokech.com>

	* gnus-art.el (gnus-article-goto-prev-page): Doc fix. 

2003-10-27  Simon Josefsson  <jas@extundo.com>

	* mm-bodies.el (mm-body-encoding): Don't use QP when message body
	only consists of short lines and ASCII, when
	mm-use-ultra-safe-encoding.  Refer to 'About foo' thread in
	gnus-bug, e.g. <ilullrg4k7p.fsf@extundo.com>, for more discussion.
	This make it possible to pipe the raw RFC 822 message into 'gpg'
	and have the signature work.  Potential problem: what if message
	contain data that would be dash-escaped by OpenPGP
	implementations? Then PGP 2.x might not be able to parse the raw
	RFC 822 message correctly.  If that problem is worth fixing, it
	should be fixed by detecting the situation, instead of applying QP
	to everything.  Based on discussion with "John A. Martin"
	<jam@jamux.com>.

2003-10-27  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-mark-spam-as-expired-and-move-routine)
	(spam-ham-copy-or-move-routine): don't ask when deleting copied
	articles, and use move instead of copy when possible
	(spam-split): added the option of specifying a string as a
	spam-split parameter; such a string will override
	spam-split-group temporarily.

	* nnmail.el (nnmail-cache-insert): protect from nil message IDs,
	but should we do something else?

	* gnus-registry.el (gnus-registry-spool-action): protect from nil
	message IDs

2003-10-26  Simon Josefsson  <jas@extundo.com>

	* gnus-art.el (gnus-button-alist): Allow & in mailto URLs.
	(gnus-header-button-alist): Likewise.
	(gnus-url-mailto): Handle ?to parameters.  Replace \r\n with \n.
	Reverse parameter list to use same order as in the URL.  Reported
	by f95-msv@f.kth.se (M,Aerten Svantesson).

2003-10-25  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-move-spam-nonspam-groups-only): documentation fix
	for the variable

2003-10-25  Steve Youngs  <sryoungs@bigpond.net.au>

	* Makefile.in (clean-some): Remove auto-autoloads.* and
	custom-load.* as well.
	(distclean): Ditto.

	* dgnushack.el (dgnushack-make-load): Add a local vars section to
	the dummy gnus-load.el.

2003-10-24  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-ham-copy-or-move-routine): do not delete if copy
	is t, also don't intepret the list of groups as a list of lists
	(spam-mark-spam-as-expired-and-move-routine)
	(spam-ham-copy-or-move-routine): delete articles only if 1 or
	more groups were specified (and "copy" was not specified for
	spam-ham-copy-or-move-routine) (fixed twice)

2003-10-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nndoc.el (nndoc-guess-type): Reverse the sort order.  Suggested
	by ARISAWA Akihiro <ari@mbf.ocn.ne.jp>.
	(nndoc-dissect-buffer): Don't miss even-numbered articles.

2003-10-24  Steve Youngs  <sryoungs@bigpond.net.au>

	* dgnushack.el (dgnushack-gnus-load-file): Set to
	"auto-autoloads.el" if building with XEmacs.
	(dgnushack-cus-load-file): Set to "custom-load.el" if building
	with XEmacs.
	(dgnushack-make-cus-load): We don't delete the resulting file if
	building with XEmacs so byte-compile it.
	(dgnushack-make-load): When building with XEmacs do nothing except
	byte-compile the autoload file and create a dummy gnus-load.el
	file. 

2003-10-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-make-fqdn): Bind case-fold-search.
	Suggested by Christopher Richards <richards@CS.Princeton.EDU>.

2003-10-23  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus.el (spam-process-destination, ham-process-destination):
	allow multiple groups as a choice

	* spam.el (spam-check-blackholes): remove "[IP address]"
	requirement, now just "IP address" is enough for detection for
	blackhole checking
	(spam-check-blackholes): oops, the dots were not escaped
	(spam-mark-spam-as-expired-and-move-routine): added multiple group
	support (multiple copies, then delete)
	(spam-ham-copy-routine): new function
	(spam-ham-move-routine): new function
	(spam-ham-copy-or-move-routine): new function (used to be
	spam-ham-move-routine), handle multiple groups
	(spam-summary-prepare-exit): call the new functions

2003-10-23  Simon Josefsson  <jas@extundo.com>

	* flow-fill.el (fill-flowed-encode, fill-flowed): Autoload.

2003-10-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-emphasis-strikethru): Use the :strike-through
	attribute in Emacs.

2003-10-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-bounce): Don't erase except bounced header.

2003-10-21  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-reverse-ip-string): new function to reverse an IP
	address in a string
	(spam-check-blackholes): use spam-reverse-ip-string

2003-10-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-narrow-to-page): Clear as well as set the
	value for gnus-page-broken.

	* gnus-sum.el (gnus-summary-beginning-of-article): Use
	gnus-break-pages instead of gnus-page-broken.
	(gnus-summary-end-of-article): Use gnus-break-pages instead of
	gnus-page-broken; narrow to the end of a page beforehand.
	(gnus-summary-toggle-header): Use gnus-break-pages instead of
	gnus-page-broken; remove delimiter buttons unless gnus-break-pages
	is non-nil.

2003-10-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-picon.el (gnus-picon-transform-address): Protect against
	errors. 

2003-10-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (nnspool-rejected-article-hook): Remove defvar.
	(xemacs-codename): Move defvar to gnus-util.el.

	* gnus-util.el (xemacs-codename): Defvar when compiling.

2003-10-20  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* spam-report.el (spam-report-url-ping-plain): Include a
	User-Agent. 

	* gnus-msg.el (gnus-extended-version): Use it.

	* gnus-util.el (gnus-emacs-version): Separated out into own
	function. 

2003-10-19  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-mode-field-menu): Added
	message-generate-unsubscribed-mail-followup-to.
	(message-forward-subject-fwd): Avoid double "Fwd: "
	(message-change-subject): Added comment.

2003-10-19  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-nov-parse-line): Remove condition-cases.

	* mml.el (mml-insert-mime): Quote mml.

2003-10-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-remove-odd-characters): Use
	mm-subst-char-in-string instead of subst-char-in-string.
	(gnus-summary-refer-article): Use gnus-replace-in-string instead
	of replace-regexp-in-string.

2003-10-19  Jesper Harder  <harder@ifa.au.dk>

	* gnus-uu.el (gnus-uu-uustrip-article): Really strip directory
	from file name.

2003-10-18  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-summary-save-parts-last-directory): Default
	to mm-default-directory.
	(gnus-summary-save-parts-1): Use mm-file-name-rewrite-functions.

2003-10-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* pop3.el (pop3-read-response): Check whether the process is
	alive. 

	* gnus-sum.el (gnus-summary-refer-article): Strip spaces.

	* rfc2047.el (rfc2047-encode-region): Do error out on invalid
	strings. 

	* nntp.el (nntp-retrieve-headers-with-xover): Get error messages
	right. 

	* gnus-agent.el (gnus-agent-read-servers): Remove sit-for.

	* gnus-art.el (article-treat-dumbquotes): Doc fix.

	* message.el (message-field-value): New function.
	(message-insert-disposition-notification-to): Use Reply-To, too.

	* imap.el (imap-mailbox-status): Upcase STATUS commands. 

	* gnus-sum.el (gnus-remove-odd-characters): New function.
	(gnus-nov-parse-line): Use it.

2003-10-18  Matt Swift  <swift@alum.mit.edu>

	* mm-decode.el (mm-inline-media-tests): Recognize pjpeg as jpeg. 

2003-10-18  Romain FRANCOISE  <romain@orebokech.com>

	* message.el (message-forward-make-body): does both
	m-f-make-body-mml and m-f-make-body-plain, resulting in a strange
	message buffer.

2003-10-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-narrow-to-page): Only break page if it's
	broken.

	* nnrss.el (nnrss-find-rss-via-syndic8): Return nil if xml-rpc
	isn't available.

	* message.el (message-hidden-headers): Doc fix.

2003-10-18  Jesper Harder  <harder@ifa.au.dk>

	* gnus-msg.el (gnus-summary-resend-message-edit): Avoid error when
	fields aren't found.

2003-10-18  Simon Josefsson  <jas@extundo.com>

	* message.el (message-forward-make-body-plain)
	(message-forward-make-body-mime, message-forward-make-body-mml)
	(message-forward-make-body-digest-plain)
	(message-forward-make-body-digest-mime)
	(message-forward-make-body-digest): New, derived from
	message-forward-make-body.
	(message-forward-make-body): Use them.
	(message-forward-show-mml): New default 'best.
	(message-forward-make-body): Support it.

2003-10-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-mode): Set gnus-page-broken to nil.
	(gnus-article-prepare): Don't set to t.
	(gnus-narrow-to-page): Set to t if we break.

2003-06-11  Daniel N,Airi  <dne@mayonnaise.net>

	* message.el (message-resend): Generate Resent-Message-ID header.

2003-10-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-next-page): Don't go to the next line
	before checking end-of-buffer.
	(gnus-mime-delete-part): Don't insert parts twice.

2003-10-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (article-update-date-lapsed): Make sure point
	doesn't move around (much).

2003-07-28  Vasily Korytov  <deskpot@myrealbox.com>

	* mail-source.el (mail-source-keyword-map): List "cur" before
	"new" for maildirs.

2003-10-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-enter-digest-group): ogroup, nor
	group. 

	* gnus-msg.el (gnus-inews-insert-archive-gcc): Use the parent
	name for gcc-self.
	(gnus-inews-insert-archive-gcc): Paren mistake.

	* gnus-sum.el (gnus-summary-enter-digest-group): Add
	parent-group. 

	* gnus-art.el (gnus-ignored-headers): Add more headers.

	* rfc2047.el (rfc2047-encode): See which encoding is shorter --
	base64 or QP.

	* nnmail.el (nnmail-article-group): Default to "bogus".

	* mail-source.el (mail-source-delete-incoming): Change to nil.

2003-10-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mail-source.el (mail-source-fetch-imap): Fix mismatched parens.

2003-10-16  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mail-source.el (defvar): Add post/pre/scripts.
	(mail-source-fetch-imap): Use them.

	* nndraft.el (nndraft-request-move-article): Fix infinite
	recursion. 

	* gnus-group.el (gnus-group-mark-regexp): Jump to groups.

2003-10-16  Ed L. Cashin  <ecashin@uga.edu>

	* imap.el (imap-interactive-login): Set imap-password to nil if
	login fails.

2003-10-16  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-inserted-headers): New variable.
	(message-mode): Make local.
	(message-mode): Set all the local action variables to nil.	

2003-10-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-inline-text-html-with-images): Doc fix.
	(mm-w3m-safe-url-regexp): Doc fix.

2003-10-12  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-summary-respool-query): Don't narrow to head,
	it's done by nnmail-article-group.

	* gnus-uu.el (gnus-uu-grab-articles): Fix misplaced parens.
	From Mark Hood <markhood@speakeasy.net> (tiny change)

2003-10-10  Jesper Harder  <harder@ifa.au.dk>

	* mm-decode.el (mm-file-name-delete-gotchas): Avoid infloop in
	XEmacs.

2003-10-10  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-initialize): new function, does the spam-face
	update and all the hooks, replaces spam-install-hooks-function

	* gnus-registry.el (gnus-registry-initialize): new autoloaded
	function to explicitly initialize the registry

2003-10-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-w3m-safe-url-regexp): Doc fix.

	* mm-view.el (mm-w3m-mode-map): Doc fix.
	(mm-inline-text-html-render-with-w3m): Add a comment.

2003-10-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el: Remove superfluous eval-when-compiles.

2003-10-10  Jesper Harder  <harder@ifa.au.dk>

	* gnus-group.el (gnus-group-suspend): Reset gnus-backlog-articles.

2003-10-08  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* dns.el (query-dns): Don't error out on malformed resolv files.

2003-10-06  Jesper Harder  <harder@ifa.au.dk>

	* gnus.el (gnus-group-faq-directory): Update .tw entry.  From
	Albert Chun-Chieh Huang <mr894348@cs.nthu.edu.tw>

2003-10-03  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-check-blackholes): exit the loop if matches are
	found (idea from Adrian Lanz <lanz@fowi.ethz.ch>)
	(spam-check-bogofilter-headers, spam-check-blackholes, spam-check-BBDB)
	(spam-from-listed-p): use nnmail-fetch-field instead of message-fetch-field
	

2003-10-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-attachment-file-modes): Change the default
	value into 384 from ?\600 which doesn't mean an integer in XEmacs.

2003-10-03  Jesper Harder  <harder@ifa.au.dk>

	* mm-decode.el (mm-file-name-delete-control)
	(mm-file-name-delete-gotchas): New functions.
	(mm-file-name-rewrite-functions): Use them.
	(mm-attachment-file-modes): New option.
	(mm-save-part-to-file): Use it.

2003-10-02  Reiner Steib  <Reiner.Steib@gmx.de>

	* spam.el (spam-install-hooks-function): Added Autoload cookie.

2003-10-02  Jesper Harder  <harder@ifa.au.dk>

	* pgg-def.el (pgg-default-keyserver-address): Change to
	subkeys.pgp.net.  From Michael Shields <shields@msrl.com>

2003-10-01  Simon Josefsson  <jas@extundo.com>

	* message.el (message-idna-to-ascii-rhs-1): RHS can be terminated
	by ',', as in 'foo@example.org, bar@example.org'.

2003-10-01  Jesper Harder  <harder@ifa.au.dk>

	* message.el (message-send): Fix reversed logic of supersedes
	check.

2003-09-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-article-view-part-as-charset): Doc fix,
	suggested by Norbert Koch <viteno@xemacs.org>.

2003-09-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-topic.el (gnus-topic-goto-missing-topic): Revert 2003-02-09
	change in order to correct the position where an invisible topic
	(because gnus-topic-display-empty-topics is nil) may be inserted.

2003-09-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-ignored-supersedes-headers): Add X-Payment.

2003-09-20  Jesper Harder  <harder@ifa.au.dk>

	* rfc2047.el (rfc2047-encode): Limit line length to 76 characters.

2003-09-20  Simon Josefsson  <jas@extundo.com>

	* tls.el (tls-process-connection-type): Doc fix.

	* imap.el (imap-starttls-open): Rewrite, should support both old
	starttls.el and new starttls.el that uses GNUTLS.

2003-09-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-treat-display-x-face): Use set-default instead
	of custom-set-default which isn't available in old XEmacsen.

2003-09-17  Jesper Harder  <harder@ifa.au.dk>

	* gnus-msg.el (gnus-summary-resend-message-edit): Don't convert
	to MML.  MIME -> MML -> MIME does not work for PGP/MIME.

	* message.el (message-bounce, message-forward-show-mml): do.
	
2003-09-13  Jesper Harder  <harder@ifa.au.dk>

	* rfc2047.el (rfc2047-charset-encoding-alist): Add viscii.
	(rfc2047-encode): Add factors for big5, gb2312 and euc-kr.

	* nnweb.el (nnweb-google-parse-1): Fix parsing.

2003-09-12  Jesper Harder  <harder@ifa.au.dk>

	* gnus-group.el (gnus-group-fetch-control): ISC changed
	compression from .Z to .gz.

	* rfc2047.el (rfc2047-header-encoding-alist): Add "Approved" to
	address-mime.

2003-09-11  Jesper Harder  <harder@ifa.au.dk>

	* rfc2047.el (rfc2047-encode): Restrict encoded-words to 75
	characters.

2003-09-10  Jesper Harder  <harder@ifa.au.dk>

	* gnus.el (gnus-group-charter-alist): Update.

2003-09-10  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam-report.el: use mm-url.el functions for external URL
	loading when the built-in HTTP GET is insufficient (e.g. proxies
	are in the way).  From Eric Knauel
	<knauel@informatik.uni-tuebingen.de>.
	(spam-report-url-ping-function): new option, defaults to the
	built-in HTTP GET (spam-report-url-ping-plain)
	(spam-report-url-ping): calls spam-report-url-ping-function now
	(spam-report-url-ping-plain): new function, does what
	spam-report-url-ping used to do
	(spam-report-url-ping-mm-url): function that delegates to
	mm-url.el (autoloaded)

2003-09-08  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-delete-id): function to
	completely delete an ID, including all the cache hashtables
	(gnus-registry-delete-group): use gnus-registry-delete-id
	(gnus-registry-simplify-subject): only run if the argument is a
	string, return nil otherwise

2003-09-07  Jesper Harder  <harder@ifa.au.dk>

	* gnus-msg.el (gnus-summary-resend-bounced-mail): Docstring fix.

2003-09-05  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-split-fancy-with-parent): yet
	another error *sigh*

	* gnus-registry.el (gnus-registry-fetch-extra-entry): don't use
	puthash unless gnus-registry-entry-caching is on
	(gnus-registry-split-fancy-with-parent): misplaced parenthesis
	made everything a part of the 'else'
	(gnus-registry-save): used 'entry-caching' instead of 'caching'

2003-09-05  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-button-alist): Improve Info regexp.

2003-09-04  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el: added brief explanation of basics
	(gnus-registry-track-extra): new variable for tracking of message
	subjects
	(gnus-registry-entry-caching): caching parameter, used for extra
	data
	(gnus-registry-minimum-subject-length): minimum subject length
	before it's considered when tracing subjects
	(gnus-registry-save): accomodate extra data entry caching
	(gnus-registry-action): change function name, add the subject and
	pass it to gnus-registry-add-group
	(gnus-registry-spool-action): change function name, add the
	subject and pass it to gnus-registry-add-group
	(gnus-registry-split-fancy-with-parent): add subject tracking
	(gnus-registry-register-message-ids): pass subject to
	gnus-registry-add-group
	(gnus-registry-simplify-subject)
	(gnus-registry-fetch-simplified-message-subject-fast): new
	functions
	(gnus-registry-fetch-extra, gnus-registry-fetch-extra-entry): add
	extra data entry caching
	(gnus-registry-add-group): handle the extra subject parameter
	(gnus-registry-install-hooks, gnus-registry-unload-hook): fix the
	gnus-register-* function names

	* nnmail.el (nnmail-cache-insert): add subject parameter, pass it
	on to the nnmail-spool-hook

	* nnbabyl.el (nnbabyl-request-accept-article): added subject to
	nnmail-cache-insert call

	* nndiary.el (nndiary-request-accept-article): added subject to
	nnmail-cache-insert call

	* nnfolder.el (nnfolder-request-accept-article): added subject to
	nnmail-cache-insert call

	* nnimap.el (nnimap-split-articles): added subject to
	nnmail-cache-insert call
	(nnimap-request-accept-article): added subject to
	nnmail-cache-insert call

	* nnmbox.el (nnmbox-request-accept-article): added subject to
	nnmail-cache-insert call

	* nnmh.el (nnmh-request-accept-article): added subject to
	nnmail-cache-insert call

	* nnml.el (nnml-request-accept-article): added subject to
	nnmail-cache-insert call

2003-09-04  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-button-handle-info-url)
	(gnus-button-handle-info-url-gnome)
	(gnus-button-handle-info-url-kde, gnus-button-alist): Handle GNOME
	and KDE style Info URLs.

	* gnus-util.el (gnus-url-unhex-string): Don't replace "+" with " ".

2003-09-02  Jesper Harder  <harder@ifa.au.dk>

	* rfc2047.el (rfc2047-fold-region): Don't fold at the beginning
	of the field.

2003-09-01  Simon Josefsson  <jas@extundo.com>

	* mml.el (mml-insert-mime-headers-always): New variable.
	(mml-insert-mime-headers): Use it.  Based on (tiny) patch from
	Lars Balker Rasmussen <lars@balker.org>.

2003-08-30  Simon Josefsson  <jas@extundo.com>

	* mail-source.el (mail-source-fetch-imap): Pass correct buffer to
	imap-open, reverts 2003-03-17 change.  Reverse remove before
	calling gnus-compress-sequence.  From Gaute Strokkenes
	<gs234@srcf.ucam.org> (tiny change).

2003-08-29  Simon Josefsson  <jas@extundo.com>

	* gnus-group.el (gnus-group-delete-group): Doc fix.  Suggested by
	Jochen K,A|pper <jochen@jochen-kuepper.de>.

2003-08-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-display-x-face): Make it possible to set
	the gnus-article-x-face-command variable to the lambda form.

2003-08-27  Simon Josefsson  <jas@extundo.com>

	* mm-decode.el (mm-remove-part): Try to kill external displayers
	cleanly first (if it refuses, C-g aborts loop and kill process
	unconditionally).  Also make sure process is dead before we remove
	the files it may be using.  Reported by David Coe
	<davidc@debian.org>.

2003-08-27  Jesper Harder  <harder@ifa.au.dk>

	* gnus-cache.el (gnus-cache-generate-active): Fix bug in
	replacement.  From Vagn Johansen <v@johansen.mail.dk> (tiny
	change).

2003-08-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el: Don't use defvaralias.
	(gnus-treat-display-x-face): Warn if the obsolete variable
	`gnus-treat-display-xface' exists.

2003-08-25  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-treat-display-face): Fix typo.
	(gnus-treat-display-xface): Rename to gnus-treat-display-x-face
	(reported by Jochen K,A|pper <jochen@jochen-kuepper.de>)

2003-08-24  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-header-button-alist, gnus-button-alist): Fix
	type.

2003-08-22  Jesper Harder  <harder@ifa.au.dk>

	* message.el (message-make-forward-subject-function): Fix
	customize mismatch.

	* gnus.el (gnus-message-archive-method): do.

2003-08-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus.el (gnus-read-group): Offer to continue only if the invalid
	char is `/' and add more information for the user.

	* gnus-art.el (gnus-button-alist): Add `+' (gnus-button-handle-man).
	(gnus-header-button-alist): Added `In-Reply-To'.

	* nnimap.el (nnimap-open-connection): Allow different user names
	on the same server (and in the same authinfo file).

2003-08-20  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sieve.el (gnus-sieve-crosspost): Fix type.

	* message.el (message-make-forward-subject-function): Add
	message-forward-subject-name-subject to choices.

	* gnus-art.el (gnus-article-edit-done, gnus-article-edit-exit):
	Redisplay article after editing.

2003-08-20  Simon Josefsson  <jas@extundo.com>

	* gnus.el (gnus-read-group): Added check to ask confirmation if
	Group name contains invalid character. You can use '/' in IMAP,
	but not in filenames. G m cannot know what the user is creating,
	so let user decide. See thread m2oeysiev3.fsf@naima.lensflare.org.
	Tiny patch from letters@hotpop.com (Jari Aalto+mail.linux).

2003-08-13  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-score.el (gnus-summary-score-effect): Fix interactive use.

2003-08-10  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-draft.el (gnus-draft-send-all-messages): ask if all drafts
	should be sent unless gnus-expert-user is on

2003-08-09  Jesper Harder  <harder@ifa.au.dk>

	* pgg-gpg.el (pgg-gpg-extra-args): Fix customization type.

2003-08-07  Jesper Harder  <harder@ifa.au.dk>

	* pgg-gpg.el (pgg-gpg-process-region): Bind
	default-enable-multibyte-characters to nil.

2003-08-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* canlock.el (canlock-password): Fix customization type.
	(canlock-password-for-verify): Ditto.
	* deuglify.el (gnus-outlook-deuglify-unwrap-min): Ditto.
	(gnus-outlook-deuglify-unwrap-max): Ditto.
	(gnus-outlook-deuglify-unwrap-stop-chars): Ditto.
	* gnus-sum.el (gnus-sum-thread-tree-root): Ditto.
	(gnus-sum-thread-tree-false-root): Ditto.
	(gnus-sum-thread-tree-single-indent): Ditto.
	* message.el (message-archive-note): Ditto.
	(message-subscribed-address-file): Ditto.
	(message-user-fqdn): Ditto.
	* spam-report.el (spam-report-gmane-regex): Ditto.
	* spam.el (spam-blackhole-good-server-regex): Ditto.

	* gnus-start.el (gnus-save-killed-list): Fix last change.
	* message.el (message-courtesy-message): Ditto.

2003-08-07  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-header-face-alist): Revert previous change.
	(gnus-header-newsgroups-face): Explain that it's only used for
	crossposts.

2003-08-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-registry.el (gnus-registry-max-entries): Fix customization
	type.
	* gnus-score.el (gnus-adaptive-word-length-limit): Ditto.
	* gnus.el (gnus-refer-article-method): Ditto.
	* message.el (message-courtesy-message): Ditto.

2003-08-06  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-header-face-alist): Fix "Newsgroups" entry.
	From Chunyu Wang <spr@db.cs.hit.edu.cn> (tiny patch)

2003-08-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-start.el (gnus-save-killed-list): Fix customization type.
	* gnus-sum.el (gnus-thread-hide-subtree): Ditto.
	* gnus.el (gnus-use-long-file-name): Ditto.

2003-08-04  Jesper Harder  <harder@ifa.au.dk>

	* gnus-group.el (gnus-group-rename-group): Don't allow renaming to
	an existing name.

	* gnus-sum.el (gnus-summary-highlight): Add uncached to docstring.

	* nnmail.el (nnmail-large-newsgroup): Docstring fix.

	* nntp.el (nntp-large-newsgroup): do.

	* nnspool.el (nnspool-large-newsgroup): do.

	* gnus-cus.el (gnus-group-parameters): Typo.

2003-07-31  Simon Josefsson  <jas@extundo.com>

	* mml-sec.el (mml-signencrypt-style-alist): Use separate S/MIME
	method by default (revert partial 2003-07-10 patch).

2003-07-28  Dave Love  <fx@gnu.org>

	* pgg-gpg.el, pgg-pgp.el, pgg-pgp5.el: Require cl when compiling.

2003-07-26  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-install): add an initial
	registry read to the loading when gnus-registry-install is set

2003-07-26  Kai Gro,A_johann  <kai.grossjohann@gmx.net>

	* flow-fill.el (fill-flowed): Empty lines separate paragraphs
	even if the preceding line ends with a soft break.  Tiny patch
	from Mark Thomas <swoon@bellatlantic.net>.

2003-07-25  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-use-regex-body, spam-regex-body-spam) 
	(spam-regex-body-ham): new variables, default to nil/empty/empty
	(spam-install-hooks): added spam-use-regex-body to list or
	pre-install conditions
	(spam-list-of-checks): added spam-use-regex-body and
	spam-check-regex-body to list of checks
	(spam-list-of-statistical-checks): added spam-use-regex-body to
	list of statistical checks
	(spam-check-regex-body): invokes spam-check-regex-headers with
	appropriate variable masking
	(spam-check-regex-headers): changes to print "body" or "header"
	where appropriate

2003-07-25  Jesper Harder  <harder@ifa.au.dk>

	* smime.el (smime-ask-passphrase): Use read-passwd rather than
	comint-read-noecho.  The former is more secure.

2003-07-24  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-cache-whitespace): make "adding
	whitespace" message level 5 instead of 4
	(gnus-registry-clean-empty-function): new function to remove empty
	registry entries
	(gnus-registry-clean-empty): new variable to enable cleaning the
	registry when saving it by calling gnus-registry-clean-empty-function

	* spam.el (spam-summary-prepare-exit): use spam-process-ham-in-spam-groups
	(spam-process-ham-in-spam-groups): new variable

2003-07-24  Jesper Harder  <harder@ifa.au.dk>

	* pgg-gpg.el (pgg-gpg-process-region): Add "--yes" to options.

	* pgg-gpg.el, pgg-pgp.el, pgg-pgp5.el, pgg.el: Reapply changes
	from 2003-04-03 to fix security problem.  See
	http://www.debian.org/security/2003/dsa-339

2003-07-23  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus.el (gnus-install-group-spam-parameters): add the
	gnus-ticked-mark to the possible choices of ham marks

	* spam.el (spam-process-ham-in-nonham-groups): new variable
	(spam-summary-prepare-exit): use spam-process-ham-in-nonham-groups

2003-07-23  Jesper Harder  <harder@ifa.au.dk>

	* rfc2047.el (rfc2047-header-encoding-alist): Add Mail-Followup-To
	and Mail-Copies-To to address-mime.
	(rfc2047-narrow-to-field): Use rfc2047-point-at-bol.

2003-07-19  Jesper Harder  <harder@ifa.au.dk>

	* mm-util.el (mm-coding-system-priorities): Docstring improvement.

2003-07-17  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-thread-latest-date): Move condition-case to
	the right place.

2003-07-14  Simon Josefsson  <jas@extundo.com>

	* mail-source.el (mail-source-fetch-imap): Don't assume
	imap-error-text returns something.

2003-07-12  Nevin Kapur  <kapur@mts.jhu.edu>

	* nnimap.el (nnimap-request-newgroups): Use the pattern in
	nnimap-list-pattern instead of "*".

2003-07-10  Simon Josefsson  <jas@extundo.com>

	* mml-sec.el (mml-signencrypt-style-alist): Use "combined" by
	default.  Improve docstring.

2003-07-10  Kai Gro,A_johann  <kai.grossjohann@gmx.net>

	* imap.el (imap-arrival-filter): Fix test for missing process
	buffer.

2003-07-09  Kai Gro,A_johann  <kai.grossjohann@gmx.net>
	From Gaute B Strokkenes <gs234@cam.ac.uk> (tiny patch).

	* imap.el (imap-wait-for-tag): Clarify comment.  Use timeout zero
	for second, after-process-has-died, accept-process-output.
	(imap-arrival-filter): If PROC has no buffer, do nothing.

2003-07-09  Jesper Harder  <harder@ifa.au.dk>

	* flow-fill.el: Docstring and message fixes.

	* deuglify.el: do.

	* gnus-int.el: do.

	* gnus-msg.el: do.

	* gnus-util.el: do.

	* gnus-draft.el: do.

	* gnus-start.el: do.

	* gnus.el: do.

	* gnus-group.el: do.

	* gnus-art.el: do.

	* gnus-sum.el: do.

	* mail-source.el (mail-source-movemail): Handle non-numerical
	return values.

2003-07-08  Jesper Harder  <harder@ifa.au.dk>

	* mailcap.el (mailcap-parse-args-syntax-table)
	(mailcap-viewer-passes-test): Docstring fix.

	* mm-bodies.el (mm-long-lines-p): Docstring fix.

	* mm-decode.el (mm-w3m-safe-url-regexp, mm-verify-option)
	(mm-decrypt-option, mm-handle-set-external-undisplayer)
	(mm-file-name-replace-whitespace): Docstring fix.

	* mm-uu.el (mm-uu-emacs-sources-regexp): Docstring fix.
	(mm-uu-pgp-signed-test): Fix message.

	* mml.el (mml-tweak-sexp-alist): Docstring fix.
	(mml-parse-1, mml-insert-mime-headers): Fix message.

	* message.el (message-archive-header)
	(message-subscribed-address-functions)
	(message-subscribed-addresses, message-subscribed-regexps)
	(message-canlock-generate)
	(message-generate-new-buffer-clone-locals): Docstring fixes.

2003-07-07  Kai Gro,A_johann  <kai.grossjohann@gmx.net>

	* imap.el (imap-wait-for-tag): After the process has died, look
	for more output still pending.  From Gaute B Strokkenes
	<gs234@cam.ac.uk> (tiny patch).

2003-07-07  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-bogofilter-score): redisplay article normally
	after spam-bogofilter-score is called

2003-07-06  Jesper Harder  <harder@ifa.au.dk>

	* message.el (message-send-mail-with-sendmail): Handle
	non-numeric return values.

	* gnus-sum.el (gnus-print-buffer): Apply emphasis.
	From Michael Piotrowski <mxp@dynalabs.de> (tiny change).

	* gnus-start.el (gnus-clear-system): Revert change from
	2003-06-19.

2003-07-04  Dave Love  <fx@gnu.org>

	* rfc2047.el (rfc2047-q-encode-region): Exclude especials from
	characters not encoded, and make the list more legible.

2003-07-04  Jesper Harder  <harder@ifa.au.dk>

	* message.el (message-make-from): Revert change from 2002-01-08.

2003-06-29  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnheader.el (nnheader-init-server-buffer): Don't add
	nntp-server-buffer to list of Gnus buffers.

2003-06-25  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-parse-list): prevent empty ("") strings

2003-06-24  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-parse-list): use gnus-extract-address-components
	instead of ietf-drums-parse-addresses
	(spam-from-listed-p): let* was unnecessary

2003-06-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-ems.el (gnus-put-image): Mark the right text segment with
	gnus-image-category. 

	* gnus-srvr.el (gnus-browse-unsubscribe-group): Strip prefix from
	native groups.

	* gnus-topic.el (gnus-group-prepare-topics): Update topic line
	format specs.

	* gnus-picon.el: Written by moi, moi, moi.

	* gnus-group.el (gnus-group-kill-group): Clean up.

2003-06-23  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-from-listed-p, spam-parse-list): use
	ietf-drums-parse-addresses to extract the address portion of the
	whitelist/blacklist file if it looks like an address can be found

2003-06-23  Didier Verna  <didier@xemacs.org>

	* gnus-ems.el (gnus-put-image): New argument CATEGORY. Add it as a
	text property.
	(gnus-remove-image): New argument CATEGORY. Only remove if
	category matches.
	* gnus-xmas.el (gnus-xmas-put-image):
	(gnus-xmas-remove-image): Ditto, with extents.
	* gnus-art.el (gnus-delete-images): Pass CATEGORY argument to
	gnus-[xmas-]remove-image.
	(article-display-face): Don't always act as a toggle. Call
	`gnus-put-image' with CATEGORY argument.
	(article-display-x-face): Call `gnus-put-image' with CATEGORY
	argument.
	* smiley.el (smiley-region): Ditto.
	* gnus-fun.el (gnus-display-x-face-in-from): Ditto.
	* gnus-picon.el (gnus-picon-insert-glyph): Ditto.
	(gnus-treat-mail-picon): Don't always act as a toggle.
	* gnus-picon.el (gnus-treat-newsgroups-picon): Ditto.

2003-06-23  Didier Verna  <didier@xemacs.org>

	* gnus-art.el (article-display-face): Check for existence of the
	original article buffer before switching to it.

2003-06-20  Jesper Harder  <harder@ifa.au.dk>

	* mm-util.el (mm-append-to-file): Say "Appended to".  Suggested by
	Dan Jacobson <jidanni@jidanni.org>.

	* mm-view.el (mm-inline-message): Bind
	gnus-original-article-buffer to the buffer in the mml handle
	holding the message.

2003-06-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (sender, from): No need to bind them.

2003-06-19  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-enter-list): search-forward specified wrong

2003-06-19  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el: Comment fix.

2003-06-20  Jesper Harder  <harder@ifa.au.dk>

	* gnus-msg.el (gnus-configure-posting-styles): Remove unused
	variable.  From Jan Rychter <jan@rychter.com>.

	* spam.el (spam-spamoracle-learn): insert-string is obsolete.

2003-06-19  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-enter-list): do not enter duplicate addresses into
	the whitelist/blacklist

2003-06-19  Jesper Harder  <harder@ifa.au.dk>

	* nnheader.el (nnheader-init-server-buffer): Add
	nntp-server-buffer to gnus-buffers.

	* gnus-start.el (gnus-clear-system): Now we don't need to kill
	nntp-server-buffer separately.

2003-06-18  Didier Verna  <didier@xemacs.org>

	* gnus-art.el (article-display-face): Correctly toggle between
	display and hiding. Handle multiple Face headers.

2003-06-17  Dave Love  <fx@gnu.org>

	* nnimap.el: Require cl when compiling.

	* message.el (message-fix-before-sending): Reinstate nullifying
	the invisible text property.
	(sender, from): Defvar when compiling.
	(message-is-yours-p): Remove autoload cookie.

2003-06-17  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-util.el (gnus-extract-address-components): Added
	doc-string.

2003-06-16  Kai Gro,A_johann  <kai.grossjohann@gmx.net>

	* nnml.el (nnml-current-group-article-to-file-alist): Don't read
	overview when using compressed files.  From Michael Albinus
	<Michael.Albinus@alcatel.de>.

2003-06-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-refer-parent-article): Extract
	Message-ID from In-Reply-To header.

2003-06-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-is-yours-p): Narrow to head; extract from
	and sender by itself.
	(message-cancel-news, message-supersede): Remove useless things.

2003-06-15  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el (gnus-summary-force-verify-and-decrypt): Bind
	`gnus-article-emulate-mime'.

2003-06-15  Kai Gro,A_johann  <kai.grossjohann@gmx.net>
	From Tommi Vainikainen <thv+gnus@iki.fi>.

	* message.el (message-is-yours-p): New function.  Separated common
	code from message-cancel-news and message-supersede.  Added
	matching code which uses message-alternative-emails regexp as last
	resort.
	(message-cancel-news, message-supersede): Use message-is-yours-p.

2003-06-13  Kai Gro,A_johann  <kai.grossjohann@gmx.net>

	* nnimap.el (nnimap-split-articles): Narrow the right buffer to
	the headers.  From Niklas Morberg <niklas.morberg@axis.com>.

2003-06-12  Dave Love  <fx@gnu.org>

	* nnheader.el (nnheader-functionp): Deleted.

	* nnmail.el (nnmail-split-fancy-syntax-table): Define all in
	defvar.
	(nnmail-version): Deleted.
	(nnmail-check-duplication, nnmail-expiry-target-group): Don't use
	nnheader-functionp.

2003-06-10  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-check-bogofilter-headers): fix for when the score
	is requested but the message is not spam

2003-06-09  Teodor Zlatanov  <tzz@lifelogs.com>
	From Eric
	<knauel@informatik.uni-tuebingen.de>

	* spam.el (spam-use-spamoracle): new variable
	(spam-install-hooks): add spamoracle to the list of conditions
	for activation of spam-install-hooks
	(spam-spamoracle): new variable customization group
	(spam-spamoracle, spam-spamoracle): new variables
	(spam-group-spam-processor-spamoracle-p)
	(spam-group-ham-processor-spamoracle-p): new functions
	(spam-summary-prepare-exit): added spamoracle ham/spam exit processing
	(spam-list-of-checks, spam-list-of-statistical-checks): add
	spam-use-spamoracle
	(spam-check-spamoracle, spam-spamoracle-learn)
	(spam-spamoracle-learn-ham, spam-spamoracle-learn-spam): new functions

	* gnus.el (gnus-group-spam-exit-processor-spamoracle)
	(gnus-group-ham-exit-processor-spamoracle): new variables for SpamOracle
	(spam-process, ham-process): added spamoracle spam/ham processors

2003-06-08  Jesper Harder  <harder@ifa.au.dk>

	* message.el (message-beginning-of-line): Docstring improvement.
	Suggested by Michael R. Wolf <MichaelRunningWolf@att.net>

2003-06-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-make-menu-bar): Removed ["Add buttons"
	gnus-summary-display-buttonized t]

2003-06-07  Kai Gro,A_johann  <kai.grossjohann@gmx.net>

	* nnmail.el (nnmail-split-fancy-match-partial-words): Doc string
	fix.  Reported by Johan Bockg,Aerd <bojohan+news@dd.chalmers.se>.

2003-06-07  Jesper Harder  <harder@ifa.au.dk>

	* message.el (message-beginning-of-line): Docstring improvement.

2003-06-06  Jesper Harder  <harder@ifa.au.dk>

	* gnus-srvr.el (gnus-browse-foreign-server): Parse garbage NNTP
	groups correctly.

2003-06-06  Kai Gro,A_johann  <kai.grossjohann@gmx.net>
	From Benjamin Rutt <rutt+news@cis.ohio-state.edu>.

	* message.el (message-fetch-field): Augment documentation to state
	the narrowed-to-headers restriction.
	(message-change-subject, message-reduce-to-to-cc)
	(message-generate-unsubscribed-mail-followup-to)
	(message-insert-importance-high, message-insert-importance-low)
	(message-insert-or-toggle-importance)
	(message-insert-disposition-notification-to): Narrow to headers
	before calling message-fetch-field or message-remove-header.

2003-06-06  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-trim): fix for when
	gnus-registry-max-entries is nil

2003-06-05  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* qp.el (quoted-printable-decode-region): Don't error out on
	malformed text.

2003-06-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* rfc2047.el (rfc2047-encode-region): Don't error out on invalid
	strings.

2003-06-04  Jesper Harder  <harder@ifa.au.dk>

	* mml1991.el (mml1991-pgg-sign): Insert pgg output as unibyte.
	From: Ivan Boldyrev <boldyrev+nospam@cgitftp.uiggm.nsc.ru> (tiny
	change)

2003-06-03  Dave Love  <fx@gnu.org>

	* gnus-soup.el (gnus-soup-send-packet): Don't use
	message-functionp.

	* gnus.el (gnus-agent-cache): Doc fix.
	(gnus-other-frame): Quote lambda used as hook.

	* message.el: Doc fixes.
	(message-functionp): Deleted.  Callers changed.
	(message-fix-before-sending): Highlight with overlays.  Clarify
	`illegible text' messages.
	(rmail-enable-mime-composing, gnus-message-group-art): Defvar when
	compiling.
	(gnus-find-method-for-group, nnvirtual-find-group-art): Autoload.

2003-06-03  Kai Gro,A_johann  <kai.grossjohann@gmx.net>

	* nnmail.el (nnmail-split-fancy-match-partial-words): New user
	option.
	(nnmail-split-it): Obey it.  Don't let-bind regexp twice.

	* message.el (message-fetch-field): Mention narrow-to-headers
	requirement.

2003-06-03  Jesper Harder  <harder@ifa.au.dk>

	* gnus-xmas.el (gnus-xmas-create-image): Use
	insert-file-contents-literally.  From: Eric Eide
	<eeide@cs.utah.edu>

2003-06-02  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-fetch-group): always return the
	short name of the group

2003-06-02  Jesper Harder  <harder@ifa.au.dk>

	* gnus-cus.el (defvar): Silence byte-compiler warnings.

	* gnus-sum.el (gnus-get-newsgroup-headers): Unfold headers.

2003-05-31  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (article-unsplit-urls): Use gnus-treat-article
	rather than gnus-display-mime-function.

2003-05-30  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-use-long-group-names): new variable
	(gnus-registry-add-group): use it
	(gnus-registry-trim-articles-without-groups): new variable
	(gnus-registry-delete-group): use it
	(gnus-registry-unload-hook): uninstall all the hooks

	* spam.el (spam-install-hooks-function, spam-unload-hook): new
	functions so users that load spam.el for customization don't get
	all the hooks installed
	(spam-install-hooks): new variable, set to t by default if user
	has one of the spam-use-* variables set

	* spam-stat.el (spam-stat-install-hooks, spam-stat-unload-hook): new
	functions so users that load spam-stat.el for customization don't get
	all the hooks installed

2003-05-30  Dave Love  <fx@gnu.org>

	* rfc2047.el (rfc2047-decode): Don't use
	mm-with-unibyte-current-buffer.

	* qp.el (quoted-printable-decode-string): Use
	mm-with-unibyte-buffer.

2003-05-29  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-save): allow forced saving even
	when registry is not dirty.  Use gnus-registry-trim to shorten the
	gnus-registry-alist.
	(gnus-registry-max-entries): new variable
	(gnus-registry-trim): new function, trim gnus-registry-alist to
	size gnus-registry-max-entries, sorting by entry mtime so the
	newest entries stick around

	* gnus-start.el (gnus-gnus-to-quick-newsrc-format): instead of
	just one specific variable, allow a list of specific variables

2003-05-28  Dave Love  <fx@gnu.org>

	* rfc2047.el (rfc2047-encode-region): Skip ASCII at beginning and
	end of region.

2003-05-28  Jesper Harder  <harder@ifa.au.dk>

	* lpath.el: Add put-char-table and get-char-table.

2003-05-28  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-dirty): flag for modified registry
	(gnus-registry-save, gnus-registry-read)
	(gnus-registry-store-extra, gnus-registry-clear): use it (note
	that gnus-registry-store-extra is invoked for all modifications to
	set the mtime, so gnus-registry-dirty only needs to be set there)

2003-05-23  Simon Josefsson  <jas@extundo.com>

	* mml1991.el (mml1991-pgg-sign): Use mml-sender instead of
	message-sender.

	* gnus-art.el (gnus-use-idna): Check if idna-program is installed.

	* message.el (message-use-idna): Ditto.

2003-05-20  Dave Love  <fx@gnu.org>

	* rfc2047.el (rfc2047-q-encoding-alist): Deleted.
	(rfc2047-q-encode-region): Don't use it.
	(rfc2047-encode-message-header) <(eq method 'mime)>: Bind
	rfc2047-encoding-type to `mime'.
	(rfc2047-encode-string, rfc2047-encode): Doc fix.

2003-05-20  Jesper Harder  <harder@ifa.au.dk>

	* message.el (message-send-mail): Don't insert a courtesy copy
	notice in base64 encoded messages.

2003-05-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-move-article): Don't copy expirable
	marks if the destination group is not auto-expirable.

2003-05-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* dgnushack.el (assq-delete-all): Removed the compiler macro.

2003-05-14  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agentize): Updated documentation to match
	usage.
	(gnus-agent-expire-group-1): Do not skip over a group when the
	force argument is set.
	* gnus.el (gnus-agent): Updated documentation to reflect that
	gnus-agent now defaults to t.

2003-05-14  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bump.

2003-05-14 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Gnus v5.10.2 is released.

2003-05-14  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mail-source.el (mail-source-delete-incoming): Changed to t.

	* rfc2047.el (rfc2047-syntax-table): Funcall.

	* lpath.el ((featurep 'xemacs)): Added set-char-table-range.
	((featurep 'xemacs)): No, don't.

	* rfc2047.el (rfc2047-encodable-p): Use the header charset.

	* gnus-sum.el (gnus-summary-reselect-current-group): Supply
	leave-hidden.

2003-05-14  Jonathan Kamens  <jik@kamens.brookline.ma.us>

	* gnus-sum.el (gnus-summary-exit): Added `leave-hidden'.  (Tiny
	patch.)

2003-05-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-registry.el (gnus-registry-store-extra-entry): Use
	gnus-assq-delete-all.

	* gnus-xmas.el (gnus-xmas-assq-delete-all): New function.

	* message.el (message-ignored-bounced-headers): Add Delivered-To.

	* gnus-sum.el (gnus-summary-find-next): Indent.
	(gnus-summary-find-prev): Ditto.
	(gnus-summary-catchup): Doc fix.
	(gnus-summary-mark-current-read-and-unread-as-read): New function.
	(gnus-summary-catchup): Really mark after point.

	* gnus-util.el (gnus-user-date): Use %d instead of %m.
	(gnus-user-date): Use floating point time so that we don't get
	overflows.

	* gnus-sum.el (gnus-summary-local-variables): Clean up.

	* gnus-fun.el (gnus-display-x-face-in-from): Don't use centering
	since none of the other image things do.

2003-05-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* dgnushack.el (assq-delete-all): New compiler macro for Emacs 20.

2003-05-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lpath.el: Fbind find-coding-system.

	* dgnushack.el (dgnushack-make-load): Remove redundant format call
	in message.  Suggested by Yoichi NAKAYAMA <yoichi@geiin.org>.
	* pop3.el (pop3-movemail): Ditto.

2003-05-12  Colin Marquardt <c.marquardt@alcatel.de>  (tiny change)

	* gnus.el (gnus-agent): Docstring fix.

2003-05-12  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-install): new variable
	(gnus-registry-fetch-extra, gnus-registry-fetch-extra-entry)
	(gnus-registry-store-extra-entry, gnus-registry-delete-group)
	(gnus-registry-add-group): add a modification timestamp to each entry
	(gnus-registry-install-hooks): new function

2003-05-12  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-cat-name): Eval macro while compiling.
	(gnus-agent-cat-disable-undownloaded-faces): New function.
	Accessor for new agent property
	'agent-disable-undownloaded-faces'.
	gnus-cus.el (gnus-agent-parameters): Added
	agent-disable-undownloaded-faces and corrected documentation.
	(gnus-agent-cat-prepare-category-field,
	gnus-agent-customize-category): Changed to avoid creating free
	references to each field's symbol.
	gnus-sum.el (gnus-summary-use-undownloaded-faces): New local variable.
	(gnus-select-newgroup): Initialize it.
	(gnus-summary-highlight-line): Use it.

2003-05-12  Dave Love  <fx@gnu.org>

	* mm-util.el (mm-read-charset): Deleted.
	(mm-coding-system-mime-charset): New.
	(mm-read-coding-system, mm-mule-charset-to-mime-charset)
	(mm-charset-to-coding-system, mm-mime-charset)
	(mm-find-mime-charset-region): Use it.
	(mm-default-multibyte-p): Fix non-mule case.

	* rfc2047.el (rfc2047-point-at-bol, rfc2047-point-at-bol): Eval
	and compile.
	(rfc2047-syntax-table): Fix building table to work in Emacs 22.
	(rfc2047-unfold-region): Delete unused var `leading'.

2003-05-12  Simon Josefsson  <jas@extundo.com>

	* pgg.el (pgg-temp-buffer-show-function): Reuse existing visible
	output window if one is available.  Tiny patch from Ville Skytt,Ad
	<scop@xemacs.org>.

2003-05-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-agent.el (gnus-agent-expire-unagentized-dirs): Added
	space.

2003-05-11  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-summary-enter-digest-group): Don't do article
	washing etc.
	(gnus-handle-ephemeral-exit): Don't reload article after exiting.

	* nndoc.el (nndoc-type-alist): `mime-digest' should be before
	`mime-parts'.

2003-05-10  Jesper Harder  <harder@ifa.au.dk>

	* gnus-cite.el (gnus-article-hide-citation-maybe): Make toggling
	work.  Update mode-line.

2003-05-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-logo-color-alist): Added no colours.

2003-05-09  Dave Love  <fx@gnu.org>

	* utf7.el (mm-util): Require.
	(utf7-direct-encoding-chars, utf7-imap-direct-encoding-chars):
	Defconst, not defvar.
	(utf7-utf-16-coding-system): New.
	(utf7-encode-internal): Hoist concat out of loop.
	(utf7-fragment-encode): Use mm-with-unibyte-current-buffer.
	(utf7-get-u16char-converter) [utf7-utf-16-coding-system]: New
	case.
	(utf7-latin1-u16-char-converter): Encode the region.
	(utf7-u16-latin1-char-converter): Decode the region.
	(utf7-encode, utf7-decode): Fix multibyteness.

	* mm-bodies.el (mm-body-7-or-8): Don't special-case mule.
	(mm-encode-body): Use mm-read-coding-system, not mm-read-charset.
	(mm-uu-yenc-decode-function): Defvar when compiling.
	(mm-encode-body, mm-decode-body): Doc fix.

2003-05-09  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-unregistered-group-regex):
	removed in favor of the group/topic/global variables
	(gnus-registry-register-message-ids): fixed test to omit
	gnus-registry-unregistered-group-regex

	* gnus.el (gnus-variable-list): removed gnus-registry-alist and
	gnus-registry-headers-alist from the list
	(gnus-registry-headers-alist): removed
	(registry-ignore): new parameter, with accompanying
	gnus-registry-ignored-groups global variable

	* gnus-start.el (gnus-clear-system): no need to clear the
	registry, we can do it ourselves
	(gnus-gnus-to-quick-newsrc-format): extra parameters so it can be
	used by gnus-registry.el

	* gnus-registry.el (gnus-registry-cache-file): new file variable
	(gnus-registry-cache-read, gnus-registry-cache-save): new
	functions
	(gnus-registry-cache-whitespace): new function.  From Dan
	Christensen <jdc@chow.mat.jhu.edu>
	(gnus-registry-save, gnus-registry-read): use the new
	gnus-registry-cache-{read|save} functions, and change the name
	from gnus-registry-translate-{from|to}-alist
	(gnus-registry-clear): fixed so it doesn't refer to old function name

2003-05-09  Jesper Harder  <harder@ifa.au.dk>

	* gnus-picon.el (gnus-picon-transform-address): Parse the encoded
	address.

2003-05-08  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-start.el (gnus-clear-system): added gnus-registry-alist to
	the list of cleared variables

	* gnus-registry.el (gnus-registry-split-fancy-with-parent):
	nnmail-split-fancy-with-parent-ignore-groups can be a single regex
	in addition to a list of regexes.

	* spam.el (spam-use-regex-headers): docstring fix.  From Niklas
	Morberg <niklas.morberg@axis.com>

2003-05-08  Kai Gro,A_johann  <kai.grossjohann@gmx.net>

	* gnus-sum.el (gnus-summary-next-page): Mention
	`gnus-article-skip-boring' in docstring.

2003-05-08  Jesper Harder  <harder@ifa.au.dk>

	* rfc2231.el (rfc2231-parse-string): "=" should have whitespace
	syntax here.

	* ietf-drums.el (ietf-drums-syntax-table): "=" should not have
	whitespace syntax class when parsing email addresses.

	* message.el (message-forward-subject-name-subject): Don't use
	mail-decode-encoded-word-string before parsing from.

2003-05-07  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* message.el (message-setup-1): Setup alternative email before
	generate-headers.

	(message-forward-subject-name-subject): Fix the case when the
	field "from" doesn't exist.

2003-05-07  Dave Love  <fx@gnu.org>

	* rfc2047.el (rfc2047-encode-region): Skip \n as whitespace.

	* mm-util.el (mm-find-mime-charset-region): Expurgate utf-16 from
	possible values.

2003-05-07  Jesper Harder  <harder@ifa.au.dk>

	* message.el (message-kill-to-signature): Fix.

2003-05-06  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-auto-goto-ignores): Docstring fix.

	* gnus-art.el (gnus-mime-display-multipart-as-mixed)
	(gnus-mime-display-multipart-related-as-mixed)
	(gnus-button-mid-or-mail-heuristic-alist): do.

2003-05-05  Dave Love  <fx@gnu.org>

	* mm-util.el (mm-default-multibyte-p): New.
	(mm-coding-system-p): Maybe use find-coding-systems.

2003-05-04  Dave Love  <fx@gnu.org>

	* rfc2047.el (with-syntax-table): Define if necessary.
	(rfc2047-syntax-table): Fix last change for XEmacs.
	(rfc2047-parse-and-decode): Revert last change.

2003-05-03  Jesper Harder  <harder@ifa.au.dk>

	* gnus.el: Don't test for `mm-guess-mime-charset'.

	* mm-util.el (mm-guess-mime-charset): Remove.  Not used any more.

	* gnus.el (gnus-default-charset): Set default value to
	`undecided'.

	* gnus-art.el (article-decode-charset): Don't supply 4th arg to
	mm-decode-body.

	* mm-bodies.el (mm-decode-coding-region-safely): Remove.
	(mm-decode-body): Don't use mm-decode-coding-region-safely.

2003-05-03  Vasily Korytov <deskpot@despammed.com>  (tiny change)

	* gnus-util.el (gnus-multiple-choice): Add ", ?".

2003-05-03  Dave Love  <fx@gnu.org>

	* rfc2047.el (rfc2047-syntax-table): Don't call make-char-table
	with 2 args.
	(rfc2047-decode-string): Don't set the buffer multibyte before
	calling buffer-string.

	* mm-encode.el (mm-long-lines-p): Autoload.
	(mm-encode-content-transfer-encoding): Doc fix.  Don't make buffer
	unibyte.  Signal error on unknown encoding.
	(mm-encode-buffer, mm-qp-or-base64): Doc fix.

	* rfc2047.el (rfc2047-point-at-bol, rfc2047-point-at-eol): New.
	Callers of gnus- versions changed to use them.
	(rfc2047-header-encoding-alist): Add `address-mime' part.  Doc
	fixes.
	(rfc2047-encoding-type): New.
	(rfc2047-encode-message-header): Use mm-charset-to-coding-system.
	Don't include header name field in encoding.  Add `address-mime'
	case and bind rfc2047-encoding-type for `mime' case.
	(rfc2047-encodable-p): Deleted.
	(rfc2047-syntax-table): New.
	(rfc2047-encode-region, rfc2047-encode): Rewritten to take account
	of rfc2047 rules with respect to rfc2822 tokens and to do encoding
	in place rather than by passing strings.
	(rfc2047-encode-string): Doc fix.
	(rfc2047-q-encode-region): Don't use
	mm-with-unibyte-current-buffer.
	(rfc2047-encoded-word-regexp): eval-and-compile.
	(rfc2047-decode-region): Avoid concatenation in loop.
	(rfc2047-parse-and-decode): Remove useless disjunction.

2003-05-02  Dave Love  <fx@gnu.org>

	* rfc2047.el (rfc2047-q-encode-region, rfc2047-decode): Use
	mm-with-unibyte-current-buffer.
	(ietf-drums, gnus-util): don't require.

	* sieve.el (sieve-manage-mode-menu): Define before use.

	* mml-smime.el (message-narrow-to-headers): Autoload.

	* mm-util.el (mm-coding-system-p): Don't override nil from
	coding-system-p.
	(mm-mule4-p, mm-disable-multibyte-mule4)
	(mm-with-unibyte-current-buffer-mule4): Deleted.
	(mm-multibyte-p): Use defun, not defalias.
	(mm-make-temp-file): Moved to group at top of file.
	(mm-point-at-eol, mm-point-at-bol): New.

	* gnus-cite.el (gnus-art): Require.

	* gnus-ems.el (gnus-get-buffer-create)
	(nnheader-find-etc-directory, message-text-with-property):
	Autoload.
	(gnus-tmp-unread, gnus-tmp-replied, gnus-tmp-score-char)
	(gnus-tmp-indentation, gnus-tmp-opening-bracket, gnus-tmp-lines)
	(gnus-tmp-name, gnus-tmp-closing-bracket, gnus-tmp-subject-or-nil)
	(gnus-check-before-posting): Only defvar when compiling.

	* gnus-int.el (gnus-agent-expire): Autoload, don't defun.

	* gnus-util.el (rmail-default-rmail-file, mm-text-coding-system):
	Defvar when compiling.
	(gnus-output-to-rmail): Require mm-util.

	* mail-source.el (mail-source-callback): Use mm-make-temp-file.
	(mail-source-make-complex-temp-name): Deleted.

	* message.el (message-use-idna): Use mm-coding-system-p.
	(message-tokenize-header, message-make-organization)
	(message-make-from):  Use with-temp-buffer.
	(message-set-work-buffer): Deleted.
	(message-fill-paragraph): Use `if' not `and' for compiler warning.
	(message-check-news-header-syntax): Remove useless lambda.
	(message-forward-make-body): Use mm-disable-multibyte,
	mm-with-unibyte-current-buffer, mm-enable-multibyte.
	(message-replace-chars-in-string): Deleted.

	* mm-extern.el (mm-extern-local-file): Use mm-disable-multibyte.
	(mm-extern-url): Use mm-with-unibyte-current-buffer,
	mm-disable-multibyte.
	(mm-extern-anon-ftp): Use mm-disable-multibyte.

	* mml1991.el (mml1991-mailcrypt-encrypt, mml1991-gpg-encrypt): Use
	mm-with-unibyte-current-buffer.

	* mml2015.el (mml): Require.
	(mml2015-mailcrypt-encrypt, mml2015-gpg-encrypt): Use
	mm-with-unibyte-current-buffer.

	* nnheader.el (gnus-util): Require.

	* nntp.el (format-spec, format-spec-make, open-tls-stream):
	Autoload.

	* rfc2231.el (mail-header-remove-comments, mm-encode-body)
	(mail-header-remove-whitespace): Autoload.

	* sieve-manage.el (starttls-negotiate): Autoload.

2003-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnrss.el (nnrss-find-rss-via-syndic8): Indent.

2003-05-01  Mark A. Hershberger  <mah@everybody.org>

	* nnrss.el (nnrss-find-rss-via-syndic8): Don't error out.

2003-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bump.

2003-05-01  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam-report.el (spam-report-gmane-regex): docstring fix.  From
	Jon Ericson <Jon.Ericson@jpl.nasa.gov> (tiny change)

	* gnus.el (gnus-install-group-spam-parameters): docstring fix.
	From Jon Ericson <Jon.Ericson@jpl.nasa.gov> (tiny change)

	* gnus-registry.el (gnus-registry-fetch-extra)
	(gnus-registry-store-extra, gnus-registry-group-count): new functions
	(gnus-registry-fetch-group, gnus-registry-delete-group)
	(gnus-registry-add-group): changed to work with extra data element
	if present

2003-05-01 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Gnus v5.10.1 is released.

2003-05-01 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.24 is released.

2003-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* dgnushack.el (when): Check whether defadvice is fbound.

2003-05-01  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-unregistered-group-regex): new variable
	(gnus-registry-register-message-ids): use it

2003-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bump.

	* gnus.el: Update copyright for several files.

2003-05-01 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.23 is released.

2003-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* spam-stat.el (spam-stat-test-directory): Compare against zero.

2003-05-01  Trey Jackson <tjackson@ichips.intel.com>  (tiny change)

	* spam-stat.el (spam-stat-test-directory): Skip 0 length files.

2003-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-forward-subject-name-subject): Decode
	string when forwarding.

2003-05-01  Oystein Viggen  <oysteivi@tihlde.org>

	* dgnushack.el (when): Add defadvice.

2003-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bump.

2003-05-01 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.22 is released.

2003-05-01 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.21 is released.

2003-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bump.

2003-05-01 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.20 is released.

2003-05-01  Vasily Korytov  <deskpot@despammed.com>

	* gnus-dired.el (gnus-dired-mode-map): Move to C-c C-l.

2003-04-30  Mark A. Hershberger  <mah@everybody.org>

	* mm-url.el (mm-url-insert-file-contents): set url-current-object
	in the case where mm-url-use-external is set.

	* nnrss.el (nnrss-request-article): Change the messages created to
	multipart/alternative.  Hopefully fixes a problem interaction with
	w3m.
	(nnrss-find-rss-via-syndic8): Better handling if xml-rpc.el isn't
	around.

2003-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-check-news-header-syntax): Alter "posting"
	message.

	* nnrss.el (nnrss-node-text): Don't use char classes.

2003-05-01  David Z. Maze  <dmaze@mit.edu>

	* nnrss.el (nnrss-find-rss-via-syndic8): Have an `error' branch
	in condition-case.

2003-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-required-headers): Remove In-Reply-To.

	* gnus-int.el (gnus-open-server): Revert changes.

2003-04-30  Kai Gro,A_johann  <kai.grossjohann@gmx.net>

	* gnus-int.el (gnus-open-server): Try to open unagentized servers
	even when unplugged.

2003-04-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-prefer-mid-or-mail): Fixed typo in
	doc-string.

2003-05-01  Steve Youngs  <youngs@xemacs.org>

	* lpath.el: Add a section for non-Mule XEmacsen.
	fbind `find-charset-string' and `coding-system-base' in that
	section.

	* gnus-util.el (gnus-completing-read-maybe-default): New.
	(gnus-completing-read): Use it.

	* mm-view.el (mm-view-pkcs7-decrypt): Ditto.

	* gnus-art.el (gnus-read-string): New.
	(gnus-summary-pipe-to-muttprint): Use it.

	* gnus-xmas.el (gnus-xmas-open-network-stream): New.

	* dns.el (dns-make-network-process): Use it.

	Take care of some differences between XEmacs 21.1 and newer
	versions of XEmacs.

2003-04-30  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-split-fancy-with-parent): added
	diagnostic message
	(gnus-registry-grep-in-list): don't run when word is nil
	(gnus-registry-fetch-message-id-fast): new function
	(gnus-registry-delete-group, gnus-registry-add-group): make sure
	the id and group are not nil
	(gnus-registry-register-message-ids): new function
	(gnus-register-action): optimized logical flow
	(gnus-summary-prepare-hook): added gnus-registry-register-message-ids

2003-04-30  Kai Gro,A_johann  <kai.grossjohann@gmx.net>

	* gnus-delay.el (gnus-delay-article): Call
	`gnus-agent-queue-setup' to create the delay group.

	* gnus-agent.el (gnus-agent-queue-setup): Support optional arg
	for the (queue) group name.

2003-04-30  Simon Josefsson  <jas@extundo.com>

	* mm-util.el (mm-charset-to-coding-system): Use user specified
	charset unless coding-system-get is fboundp.

2003-04-30  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-cat-defaccessor, gnus-agent-cat-name):
	Wrapped in eval-when-compile.
	(gnus-agent-mode): Bind gnus-agent-go-online to nil as you
	shouldn't be asked twice to go online with each server.
	(gnus-agent-get-undownloaded-list, gnus-agent-fetch-articles,
	gnus-agent-crosspost, gnus-agent-flush-cache,
	gnus-agent-fetch-session, gnus-agent-unread-articles,
	gnus-agent-uncached-articles, gnus-agent-regenerate-group,
	gnus-agent-group-covered-p): Expanded pop macros used for
	effect. Avoids compilation warning in emacs 21.3.

	* gnus-int.el (gnus-open-server): Restructured to only open
	nnagent when gnus-plugged is nil.

2003-04-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lpath.el: Fbind string-to-multibyte.

2003-04-30  Steve Youngs  <youngs@xemacs.org>

	* dgnushack.el: Add some missing autoloads for XEmacs 21.1.

2003-04-29  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-fetch-group): faster
	(gnus-registry-delete-group): new function
	(gnus-registry-add-group): new function
	(gnus-register-spool-action): use it
	(gnus-register-action): use it
	(gnus-registry-translate-from-alist)
	(gnus-registry-translate-to-alist): remove the headers registry
	for now

2003-04-29  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-alist): Fixed CTAN regexp.

2003-04-29  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam-report.el (spam-report-gmane): gnus-summary-article-number
	is not necessary, just use the function parameter

2003-04-29  Karl Pflysterer  <sigurd@12move.de>

	* spam-stat.el (spam-stat-save): No longer font-locks the file
	when saving

2003-04-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* canlock.el: Bind mail-header-separator when compiling (XEmacs
	provides it in mail-lib/auto-autoloads.el).

2003-04-29  Simon Josefsson  <jas@extundo.com>

	* mml2015.el (mml2015-pgg-sign): Use mml-sender instead of
	message-sender.

	* mml.el (mml-generate-mime-1): Set mml-sender too.

2003-04-29  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-summary-display-while-building): Docstring fix.

	* mm-url.el (mm-url-use-external): do.

2003-04-29  Simon Josefsson  <jas@extundo.com>

	* canlock.el (mail-fetch-field): Autoload it (fix xemacs compile
	warnings).

	* sieve-mode.el (c-mode): Ditto.

	* pgg.el (run-at-time): Ditto.

	* mm-url.el (require): Require timer when compiling for
	with-timeout macro (fix xemacs compile warnings).

2003-04-28  Dave Love  <fx@gnu.org>

	* gnus-util.el (nnheader): Don't require.
	(Nnheader-narrow-to-headers, nnheader-replace-chars-in-string):
	Autoload.

	* spam.el: Require cl when compiling.

	* dns.el: Require cl when compiling.

2003-04-28  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-article-goto-next-page)
	(gnus-article-goto-prev-page): Revert 2003-02-12 change to make
	gnus-pick-mode work.

2003-04-28  Steve Youngs  <youngs@xemacs.org>

	* Makefile.in (FLAGS): Use @FLAGS@.

2003-04-27  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-mime-display-multipart-as-mixed)
	(gnus-mime-display-multipart-alternative-as-mixed)
	(gnus-mime-display-multipart-related-as-mixed): Added doc-strings,
	allow customization.

2003-04-27  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* dgnushack.el (dgnushack-compile-verbosely): New function.  Not
	currently called (See source for explanation).

2003-04-27  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-catchup): Don't mark ticked messages.
	(gnus-summary-mark-read-and-unread-as-read): Take an optional
	mark.

	* gnus.el (gnus-version-number): Bump.

2003-04-27 06:47:31 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.19 is released.

2003-04-27  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-registry.el (gnus-register-spool-action): Replaced literal
	carriage-return character with its escape sequence.

2003-04-27  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-catchup-from-here): Doc fix.

	* nnrss.el (nnrss-node-text): Use only one
	gnus-replace-in-string.

	* gnus.el: Remove gnus-functionp throughout.

	* gnus-util.el (gnus-functionp): Removed.

	* gnus-msg.el (gnus-summary-wide-reply-with-original): Doc fix.

	* message.el (message-required-headers): Add In-Reply-To.

2003-04-27  Marshall T. Vandegrift  <vandem2@rpi.edu>

	* gnus-fun.el (gnus-face-from-file): Bind coding-system-for-read
	to binary.

2003-04-27  Jesper Harder  <harder@ifa.au.dk>

	* mml.el (mml-preview): do.

	* message.el (message-mode): do.

	* gnus-undo.el (gnus-undo-mode): do.

	* gnus-topic.el (gnus-topic-mode): do.

	* gnus-sum.el (gnus-summary-mode, gnus-summary-edit-article): do.

	* gnus-msg.el (gnus-setup-message)
	(gnus-inews-add-send-actions, gnus-configure-posting-styles): do.

	* gnus-gl.el (gnus-grouplens-mode): do.

	* gnus-art.el (gnus-mime-save-part-and-strip)
	(gnus-mime-delete-part): Use it.

	* gnus-util.el (gnus-make-local-hook): New function.

2003-04-25  Simon Josefsson  <jas@extundo.com>

	* nnrss.el (nnrss-node-text): Don't use a star.
	(nnrss-node-text): Use g-r-i-s, not g-r-r-i-s which doesn't exist.

2003-04-24  Dave Love  <fx@gnu.org>

	* mm-encode.el (mm-long-lines-p): Autoload.
	(mm-encode-content-transfer-encoding): Don't try to make buffer
	unibyte before decoding.  Don't ignore errors for base64 encoding.

	* qp.el (quoted-printable-decode-region): Use mm-insert-byte.
	Signal error on malformed text, as for base64.
	(quoted-printable-encode-region): DTRT in Emacs 22.

	* mm-util.el (mm-make-temp-file, mm-insert-byte): New.
	(mm-auto-save-coding-system): Consider utf-8-emacs.
	(mm-mime-mule-charset-alist, mm-mule-charset-to-mime-charset)
	(mm-charset-to-coding-system, mm-mime-charset)
	(mm-find-mime-charset-region): Check for :mime-charset coding
	systems property.

	* mml-sec.el (mml2015, mml1991): Don't require.
	(mml2015-sign, mml2015-encrypt, mml1991-sign, mml1991-encrypt)
	(message-goto-body, mml-insert-tag): Autoload.

	* mm-decode.el (mm-tmp-directory): Re-write to help avoid warnings.

	* gnus-start.el (message-make-date): Autoload rather than
	requiring message.

	* gnus-group.el (gnus-group-name-charset-group-alist): Use
	mm-coding-system-p.
	(gnus-cache-active-altered): Defvar when compiling.
	(gnus-group-delete-group): Re-write to help avoid warnings.

	* gnus-art.el (gnus-use-idna): Use mm-coding-system-p.

	* pgg.el: Split eval-when-compile forms.

2003-04-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el (gnus-large-ephemeral-newsgroup)
	(gnus-fetch-old-ephemeral-headers): News variables.
	(gnus-group-read-ephemeral-group): Use them.

2003-04-24  Simon Josefsson  <jas@extundo.com>

	* sieve.el (sieve-upload): Don't use replace-regexp-in-string.

	* nnrss.el (nnrss-node-text): Ditto.

2003-04-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-inews-do-gcc): Make sure the obsolete variable
	gnus-inews-mark-gcc-as-read exists.

2003-04-23  Simon Josefsson  <jas@extundo.com>

	* gnus-sieve.el (gnus-sieve-generate): Rewrite regexp search so it
	doesn't exceed the regexp stack space.

2003-04-23  Jesper Harder  <harder@ifa.au.dk>

	* gnus-msg.el (gnus-inews-mark-gcc-as-read): Don't defvar it.

	* gnus-art.el (gnus-article-hide-pgp-hook): do.

2003-04-23  Reiner Steib  <Reiner.Steib@gmx.de>

	* mml.el (mml-preview): Bind `=', RET, and mouse-2.

2003-04-23  Jesper Harder  <harder@ifa.au.dk>

	* mm-bodies.el (mm-decode-body): Don't override supplied charset.

2003-04-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* dgnushack.el (merge, copy-list): Remove compiler macros.
	(butlast): Add a compiler macro.

2003-04-22  Paul Jarc  <prj@po.cwru.edu>

	* gnus-util.el (gnus-merge): Added "type" argument to match CL
	merge and gnus-sum.el's expectations.

2003-04-21  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-url-regexp): Added nntp.

	* message.el (message-generate-headers-first): Default to
	'(references).

	* gnus-art.el (gnus-mime-delete-part): Require confirmation.

2003-04-21  Jesper Harder  <harder@ifa.au.dk>

	* smime.el (smime-decrypt-region): Insert From header.

2003-04-21  Kai Gro,A_johann  <kai.grossjohann@gmx.net>

	* gnus-fun.el (gnus-face-from-file, gnus-convert-png-to-face):
	Max length of header is 726, not 740.  From Gaute B Strokkenes
	<gs234@cam.ac.uk>.

2003-04-20  Jesper Harder  <harder@ifa.au.dk>

	* nndb.el, mml1991.el: Fix license template.

2003-04-20  Simon Josefsson  <jas@extundo.com>

	* nnimap.el (nnimap-split-articles): Don't download body unless
	required.

	* imap.el (imap-gssapi-open, imap-ssl-open): Erase buffer before
	starting process, like imap-kerberos4-open does.

	* mml-smime.el, rfc1843.el, dig.el, smime.el, uudecode.el: Fix
	license template.

	* mml-sec.el: Fix license template.

	* gnus-sieve.el, sieve.el, sieve-manage.el, sieve-mode.el: Fix
	license template.

	* pgg-def.el, pgg.el, pgg-gpg.el, pgg-parse.el, pgg-pgp5.el,
	pgg-pgp.el: Fix license template.

2003-04-19  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-summary-delete-article): Improve docstring.

2003-04-19  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-move-spam-nonspam-groups-only): dumb typo fix

2003-04-18  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-split): allow a particular check as a parameter,
	e.g. (: spam-split 'spam-use-bogofilter)
	(spam-mark-only-unseen-as-spam): new parameter, see doc
	(spam-mark-junk-as-spam-routine): use
	spam-mark-only-unseen-as-spam, simplify routine to take advantage
	of gnus-newsgroup-unread as well as gnus-newsgroup-unseen

2003-04-17  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus.el (gnus-group-short-name, gnus-group-prefixed-p): new functions
	(gnus-group-guess-full-name): don't prefix the group twice

	* nnmail.el (nnmail-split-fancy-with-parent): docstring fix

	* gnus-registry.el (gnus-registry-clear)
	(gnus-registry-fetch-group, gnus-registry-grep-in-list)
	(gnus-registry-split-fancy-with-parent): new functions
	(gnus-register-spool-action, gnus-register-action): simplified the format
	(gnus-registry): new customization group
	(gnus-registry-unfollowed-groups): new variable

2003-04-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-button-alist): Add nntp: urls.
	(gnus-header-button-alist): Ditto.

2003-04-17  Dave Love  <fx@gnu.org>

	* gnus-util.el (gnus-string-equal): Revert last change.

2003-04-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-srvr.el (gnus-browse-make-menu-bar): Fix typo.

2003-04-17  Mike Woolley  <mike@ariel.co.uk>

	* gnus-sum.el (gnus-sum-thread-tree-false-root): New variable.

2003-04-15  Michael Shields  <shields@msrl.com>

	* gnus-art.el (article-hide-boring-headers): Hide Reply-To: if
	the broken-reply-to group parameter is set.  Idea from Vasily
	Korytov <deskpot@myrealbox.com>.

2003-04-17  Steve Youngs  <youngs@xemacs.org>

	* dgnushack.el: 'setenv' is in env.el for XEmacsen <= 21.4, but in
	process.el in XEmacsen >= 21.5.

2003-04-17  Steve Youngs  <youngs@xemacs.org>

	* dgnushack.el: Add a whole swag of autoloads and defaliases to
	satisfy the byte-compiler when building with XEmacs.

	* lpath.el (maybe-bind): Add 'w3-meta-content-type-charset-regexp'
	and 'w3-meta-charset-content-type-regexp' in XEmacs.  The upstream
	W3 doesn't have these.

	* mailcap.el: Maybe require 'lpr in XEmacs.

2003-04-16  Simon Josefsson  <jas@extundo.com>

	* mml2015.el (mml2015-pgg-sign): Bind pgg-default-user-id to MML
	sender tag, if available.

2003-04-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-register-action)
	(gnus-register-spool-action, hashtable-to-alist)
	(gnus-registry-translate-from-alist, alist-to-hashtable)
	(gnus-registry-translate-to-alist, gnus-registry-headers-hashtb):
	new variables and function fixes

	* gnus.el (gnus-registry-headers-alist): new variable to hold
	article header data
	(gnus-variable-list): save gnus-registry-headers-alist

	* spam-report.el (Module): new module for spam reporting

	* gnus.el (spam-process): added
	gnus-group-spam-exit-processor-report-gmane to the list of choices
	(gnus-install-group-spam-parameters): defined new spam exit processor

	* spam.el (autoload): autoload spam-report-gmane when needed
	(spam-report-gmane-register-routine): glue for spam-report.el
	(spam-group-spam-processor-report-gmane-p): glue for the
	gnus-group-spam-exit-processor-report-gmane spam processor
	(spam-summary-prepare-exit): check the report-gmane spam processor
	and run spam-report-gmane-register-routine if it's active

	From John Wiegley <johnw@gnu.org>

	* spam.el (spam-bogofilter-score): check bogofilter headers before
	checking bogofilter itself

2003-04-16  Dave Love  <fx@gnu.org>

	* gnus-agent.el: Wrap defsetf in eval-when-compile.
	(gnus-agent-cat-defaccessor): Don't use gensym.

	* mml1991.el: Require cl, mm-util when compiling.
	(quoted-printable-decode-region, quoted-printable-encode-region):
	Autoload.

	* pgg.el: Require cl when compiling.

	* nnmail.el (gnus): Require.

	* gnus-util.el: Move provide to end.
	(gnus-string-equal): Maybe use compare-strings.
	(gnus-merge): New.

	* gnus-sum.el (gnus-summary-prepare-threads): Don't use copy-list.
	(gnus-summary-insert-articles): Use gnus-merge.

	* gnus-fun.el: Require cl and mm-util when compiling.

	* gnus-diary.el (gnus-diary-delay-format-french)
	(gnus-diary-delay-format-english): Don't use setf with nthcdr.

	* nndiary.el (nndiary-compute-reminders): Don't use setf with
	nthcdr.

2003-04-16  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-make-cat): Added optional parameter to
	specify a predicate other than false.
	(gnus-category-read): Use the new feature to create a 'default'
	category with a 'short' predicate.

2003-04-16  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-unique-id): Comment change.

	* gnus-art.el (gnus-article-next-page-1): New function.
	(gnus-article-next-page): Use it.

2003-04-15  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-split): added save-restriction to save-excursion

2003-04-15  Reiner Steib  <Reiner.Steib@gmx.de>
	From Julien Avarre <julien@avarre.com>

	* gnus-fun.el: Fixed autoload cookie.

2003-04-15  Paul Jarc  <prj@po.cwru.edu>
	From Remi Letot  <remi.letot@easynet.be>

	* nnmaildir.el (nnmaildir-request-scan): Use gnus-remove-if
	instead of remove-if.

2003-04-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-summary-news-other-window): Use delq and
	copy-sequence instead of remove which is a cl run-time function in
	Emacs 20.

2003-04-14  Jesper Harder  <harder@ifa.au.dk>

	* gnus-msg.el (gnus-summary-news-other-window): Make a buffer
	local copy of gnus-discouraged-post-methods with the current
	method removed.

2003-04-14  Simon Josefsson  <jas@extundo.com>

	* mailcap.el (mailcap-mime-data): Add application/pgp-keys.

2003-04-13  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-util.el (mm-sort-coding-systems-predicate): Convert elements
	of `mm-coding-system-priorities' to base coding system.

	* gnus-sum.el: Added coding cookie ("middle dot" in
	gnus-summary-morse-message).

2003-04-13  Simon Josefsson  <jas@extundo.com>

	* gnus-art.el (article-fill-long-lines)
	(article-verify-x-pgp-sig, article-decode-group-name)
	(gnus-mime-button-menu): Split >80 character lines.

2003-04-13  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-summary-local-variables): Use defvar since
	we're let-binding it.

	* nnmbox.el (nnmbox-mbox-buffer): It's not a constant.

2003-04-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-hide-headers): Don't do intangible.

	* gnus.el (gnus-group-prefixed-name): Comment out the test for
	colon.

	* gnus-srvr.el (gnus-browse-read-group): Don't give the real name
	to the ephemeral entry, but the prefixed name.

	* gnus.el (gnus-group-prefixed-name): Clean up.

2003-04-13  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-group-pathname): Bind
	gnus-command-method so that gnus-agent-directory will always
	return a valid directory.
	* gnus-cache.el (gnus-cache-enter-article): Remove article from
	gnus-newsgroup-undownloaded so that the summary will display the
	article as downloaded.
	(gnus-cache-remove-article): If the article isn't in the agent,
	remove it from gnus-newsgroup-undownloaded so that the summary
	will display the article as undownloaded.

2003-04-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bump.

2003-04-13 01:12:01 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.18 is released.

2003-04-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-draft.el (gnus-draft-send): Add message-hidden-headers.

2003-04-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-next-page): Use
	gnus-article-over-scroll.
	(gnus-article-over-scroll): New variable.

	* message.el (message-newline-and-reformat): Place a boundary
	before filling.
	(message-make-forward-subject-function): Changed default to
	message-forward-subject-name-subject.
	(message-forward-subject-name-subject): New function.

	* nnimap.el (nnimap-split-fancy): Ditto.

	* gnus-sum.el (gnus-summary-line-message-size): Ditto.

	* gnus-cus.el (gnus-group-parameters): Removed "which see".

	* mml.el (mml-minibuffer-read-file): Bind
	completion-ignored-extensions to nil.

	* message.el (message-fix-before-sending): Comment fix.
	(message-fix-before-sending): Make hidden headers visible.
	(message-hide-headers): Bind after-change-functions to nil.
	(message-forbidden-properties): Put invisible and intangible
	back.
	(message-strip-forbidden-properties): Ignore message-hidden text.

	* gnus-msg.el: Hide headers.

	* message.el (message-hidden-headers): New variable.
	(message-hide-headers): New function.
	(message-hide-header-p): New function.
	(message-hide-header-p): Change logic.
	(message-forbidden-properties): Remove intangible nil invisible
	nil.
	(message-hide-headers): Narrow to headers.

	* lpath.el (featurep): Bind Info-directory, Info-menu.

2003-04-12  Jesper Harder  <harder@ifa.au.dk>

	* mm-bodies.el (mm-body-charset-encoding-alist): UTF-16 *must* be
	encoded.
	(mm-encode-body): Don't corrupt UTF-16.
	(mm-body-encoding): Pay attention to mm-body-charset-encoding-alist.

2003-04-10  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-get-undownloaded-list): Articles in
	the CACHE are now detected and handled the same as an article
	downloaded into the agent.
	(gnus-agent-group-path): Modified to match nnmail-group-pathname
	so that the agent front-end and back-end (nnagent) always use the
	same directory.
	(gnus-agent-group-pathname): New function. Wrapper for
	nnmail-group-pathname.
	(gnus-agent-expire-unagentized-dirs): New variable.  May be
	customized to disable gnus-agent-expire-unagentized-dirs.
	(gnus-agent-expire-unagentized-dirs): Expand gnus-agent-directory
	as the directories in gnus-agent-expire-current-dirs were
	expanded.

2003-04-10  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-summary-make-menu-bar): Disable "Encrypt
	body" entry in read only groups.

2003-04-09  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-summary-make-menu-bar): Disable "Import file"
	and "Create article" items in non-editable groups.

2003-04-09  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-write-active): Added option of
	replacing, rather than updating, the agent's active file.  Do NOT
	use the fully qualified group name as gnus-active-to-gnus-format
	blindly prefixes group names with server names.
	(gnus-agent-save-group-info): Merge BOTH min/max of current active
	range, was just merging min, with specified active range.
	(gnus-agent-expire): Save agent's active ranges after
	expiring all groups.
	(gnus-agent-expire-group-1): Update min of agent's active range to
	min article currently fetched.
	(gnus-agent-expire-unagentized-dirs): Avoid asking to delete the
	same ancestor multiple times.

	* gnus-async.el (gnus-asynchronous): Moved defcustom of
	gnus-asynchronous away from defgroup of gnus-asynchronous.  This
	seems to fix an intermittant error in which loading gnus-async
	fails to define gnus-asynchronous (the variable).

	* gnus-sum.el: Concur with Steve Young, 5th argument to 'load' is
	non-essential.  Removed on all platforms.
	(gnus-select-newsgroup): When the agent is active, expand the
	group's active range to include fetched articles that are no
	longer in the server's active range.

	* gnus-util.el (gnus-with-output-to-file): Removed all of the
	print-* bindings as they should be handled by the function doing
	the printing.

2003-04-09  Jesper Harder  <harder@ifa.au.dk>

	* mm-uu.el (mm-uu-copy-to-buffer): buffer-file-coding-system
	might be unbound in non-MULE XEmacsen.

2003-04-08  Jesper Harder  <harder@ifa.au.dk>

	* mm-uu.el (mm-uu-diff-groups-regexp, mm-uu-type-alist)
	(mm-uu-diff-extract, mm-uu-diff-test): New functionality:
	recognize diffs.

	* mm-bodies.el (mm-decode-body): Use the supplied charset
	unconditionally if `code-pages' hasn't been loaded.

2003-04-07  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (article-verify-x-pgp-sig): Don't use
	`insert-buffer', the docstring says "This function is meant for
	the user to run interactively.  Don't call it from programs!"

	* mm-extern.el (mm-extern-mail-server): do.

	* mml1991.el (mml1991-mailcrypt-sign, mml1991-mailcrypt-sign)
	(mml1991-gpg-sign, mml1991-gpg-encrypt, mml1991-pgg-sign)
	(mml1991-pgg-encrypt): do.

	* pgg.el (pgg-decrypt-region): do.

	* mm-view.el (mm-view-pkcs7-decrypt): do.

	* mml-smime.el (mml-smime-verify): do.

	* mml.el (mml-insert-mime, mml-preview): do.

	* mml2015.el (mml2015-gpg-decrypt-1, mml2015-gpg-sign)
	(mml2015-gpg-encrypt, mml2015-pgg-clear-decrypt)
	(mml2015-pgg-encrypt): do.

2003-04-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-bodies.el (mm-decode-body): Silence XEmacs when compiling.

2003-04-06  Jesper Harder  <harder@ifa.au.dk>

	* mm-uu.el (mm-uu-copy-to-buffer): Copy
	`buffer-file-coding-system' to the new buffer.
	(mm-uu-pgp-signed-extract-1): Don't copy
	`buffer-file-coding-system' here.

	* mm-bodies.el (mm-decode-body): last-coding-system-used doesn't
	exist in XEmacs.
	(mm-decode-body): Add missing quote.

	* mm-uu.el (mm-uu-pgp-signed-extract-1): Set
	buffer-file-coding-system.

	* mm-bodies.el (mm-decode-body): Set buffer-file-coding-system to
	last-coding-system-used.

	* mml2015.el (mml2015-pgg-clear-verify): Encode the text
	according to buffer-file-coding-system.

	* pgg-gpg.el (pgg-gpg-process-region): Revert previous change.

	* pgg-pgp.el (pgg-pgp-process-region, pgg-pgp-verify-region)
	(pgg-pgp-snarf-keys-region): do.

	* pgg-pgp5.el (pgg-pgp5-verify-region)
	(pgg-pgp5-snarf-keys-region, pgg-pgp5-process-region): do.

	* pgg.el (pgg-make-temp-file, pgg-temporary-file-directory): do.

2003-04-05  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-split): (save-excursion) around (widen)
	(spam-ham-move-routine): Use spam-group-ham-mark-p, not
	spam-group-spam-mark-p (from Michael Shields <shields@msrl.com>)

2003-04-05  Steve Youngs  <youngs@xemacs.org>

	* gnus-sum.el: XEmacs doesn't support the 5th arg to 'load', so
	don't use it when loading gnus-sum.el if we're in XEmacs.

2003-04-05  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-start.el (gnus-gnus-to-quick-newsrc-format): Bound
	print-escape-nonascii to fix more characters in compiled format
	specs.

2003-04-05  Jesper Harder  <harder@ifa.au.dk>

	* gnus-audio.el (gnus-audio-au-player, gnus-audio-wav-player):
	Fix customization type.

2003-04-04  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-start.el (gnus-gnus-to-quick-newsrc-format): Bound
	print-quoted, print-readably, print-escape-multibyte, and
	print-level to match original behavior of gnus-prin1.  This should
	repair the format of .newsrc.eld when using compiled format specs.

2003-04-04  Jesper Harder  <harder@ifa.au.dk>

	* gnus-group.el (tool-bar-map): defvar it.

	* gnus-art.el (tool-bar-map): do.

	* gnus-sum.el (tool-bar-map): do.

2003-04-03  Jesper Harder  <harder@ifa.au.dk>

	* earcon.el (earcon-regexp-alist): catmeow is a wav file.

2003-04-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-ctan-directory-regexp): Changed meaning
	and value.
	(gnus-button-alist): Use it.

2003-04-03  Jesper Harder  <harder@ifa.au.dk>

	* pgg-gpg.el (pgg-gpg-process-region): do.

	* pgg-pgp.el (pgg-pgp-process-region, pgg-pgp-verify-region)
	(pgg-pgp-snarf-keys-region): do.

	* pgg-pgp5.el (pgg-pgp5-verify-region)
	(pgg-pgp5-snarf-keys-region, pgg-pgp5-process-region): Use it.

	* pgg.el (pgg-make-temp-file): New function. `make-temp-name' is
	unsafe.
	(pgg-temporary-file-directory): Remove.

2003-04-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lpath.el: Fbind Info-directory and Info-menu.

2003-04-02  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-util.el (gnus-message): Added doc-string.

	* gnus-score.el (gnus-score-find-trace): Changed behavior of `q'.
	(gnus-score-edit-file-at-point): Goto first match when using `e'.

2003-04-01  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-ctan-directory-regexp): New variable.
	(gnus-button-alist): Use it.  Changed CTAN and "setq" entries.

2003-04-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-via-rlogin-command-switches): Doc fix.
	(nntp-open-via-rlogin-and-telnet): Disable the telnet linemode.

2003-03-31  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-start.el (gnus-gnus-to-quick-newsrc-format): Bound
	print-escape-newlines to print escape sequences rather than
	literal newline characters.

2003-03-31  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-valid-fqdn-regexp): Use
	`message-valid-fqdn-regexp' for initialization.
	(gnus-button-handle-info-url): Renamed and extended version of
	`gnus-button-handle-info'.
	(gnus-button-message-level): Renamed from `gnus-button-mail-level'
	(gnus-button-handle-symbol, gnus-button-handle-library)
	(gnus-button-handle-info-keystrokes): New functions.
	(gnus-button-browse-level): New variable.
	(gnus-button-alist): Use them.  Added levels.
	(gnus-header-button-alist): Added levels.

2003-03-31  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bump.

2003-03-31 20:08:19 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.17 is released.

2003-03-31  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-unload): Removed.

	* pop3.el (pop3-read-response): Use
	nnheader-accept-process-output.
	(pop3-retr): Ditto.

	* mm-view.el (mm-text-html-renderer-alist): Add -nolist to Lynx.
	(mm-text-html-washer-alist): Ditto.

2003-03-31  Simon Josefsson  <jas@extundo.com>

	* imap.el (imap-gssapi-program): Also try GNU SASL.
	(imap-gssapi-open): Accept GNU SASL greeting.
	(imap-read-timeout): New.
	(imap-wait-for-tag): Use it.

2003-03-31  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nntp.el (nntp-accept-process-output): Use new function.

	* nnheader.el (nnheader-read-timeout): New variable.
	(nnheader-accept-process-output): New function.

	* nntp.el (nntp-read-timeout): Removed.

	* gnus-sum.el (gnus-summary-prepare-threads): Add comment.

2003-03-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-cache.el (gnus-cache-braid-nov): Revoke last change.

2003-03-30  Simon Josefsson  <jas@extundo.com>

	* message.el (message-idna-inside-rhs-p): Narrow to header before
	searching.

	* gnus-art.el (article-decode-idna-rhs): More restrictive regexp.

2003-03-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnmail.el (nnmail-process-mmdf-mail-format): Indent.

2003-03-28  Vasily Korytov  <deskpot@myrealbox.com>

	* message.el (message-make-in-reply-to): Use
	mail-extract-address-components to determine sender's
	name/address.

2003-03-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nndoc.el (nndoc-type-alist): Move mime-parts further ahead.

	* gnus-registry.el (gnus-registry-translate-to-alist): Make a
	valid lambda.
	(gnus-registry-translate-from-alist): Ditto.

	* gnus-start.el (gnus-gnus-to-quick-newsrc-format): Bind
	print-length to nil.

	* gnus-sum.el (gnus-summary-highlight-line-0): Indent.

	* gnus-fun.el (gnus-fun-ppm-change-string): New function.
	(gnus-grab-cam-face): Use it.

2003-03-28  Paul Jarc  <prj@po.cwru.edu>

	* nnmaildir.el (nnmaildir-request-set-mark)
	(nnmaildir-close-group): Allow each mark directory in a group to
	have its own inode for mark files, to accommodate AFS.

2003-03-28  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-start.el (gnus-read-newsrc-el-hook): new hook called by
	gnus-read-newsrc-el-file
	(gnus-read-newsrc-el-file): call the gnus-read-newsrc-el-hook

	* gnus-registry.el (gnus-registry-translate-to-alist)
	(gnus-registry-translate-from-alist, alist-to-hashtable)
	(hashtable-to-alist): new functions
	(gnus-register-spool-action): add a spool item to the registry

	* gnus.el (gnus-variable-list): added gnus-registry-alist to the
	list of saved variables
	(gnus-registry-alist): new variable

2003-03-27  Simon Josefsson  <jas@extundo.com>

	* gnus-art.el (article-decode-group-name): Be correct instead of
	smart.

2003-03-27  Katsumi Yamaoka <yamaoka@jpl.org>

	* lpath.el: Bind url-current-object for Emacs; bind
	gnus-agent-expire-current-dirs for XEmacs; fbind open-ssl-stream
	for both Emacsen.

2003-03-27  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-article-loose-mime)
	(gnus-article-emulate-mime): Move to gnus-article-mime customize
	group.

	* gnus-msg.el (gnus-mailing-list-groups): Fix customize type and
	doc string.

2003-03-26  Kevin Ryde <user42@zip.com.au>

	* gnus-sum.el (gnus-summary-find-for-reselect): Renamed from
	gnus-summary-find-uncancelled, skip temporary articles inserted by
	"refer" functions.

2003-03-26  Vasily Korytov  <deskpot@myrealbox.com>

	* smiley.el (smiley-buffer): New function.

2003-03-26  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-fetch-selected-article): Replaced
	gnus-summary-update-line (which updated the article's face) with
	gnus-summary-update-download-mark (which updates the article's
	face by calling gnus-summary-update-line AND updates the download
	mark to show that the article was fetched).

2003-03-23  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-expire-unagentized-dirs): Provides
	option of deleting agent directories for groups/servers that are
	not currently agentized.
	(gnus-agent-expire): Use gnus-agent-expire-unagentized-dirs.

	* gnus-int.el (gnus-open-server): Report backend errors in
	condition handler.

2003-03-23  Simon Josefsson  <jas@extundo.com>

	* message.el (message-idna-to-ascii-rhs-1): Don't continue outside
	header.

	* rfc2047.el (rfc2047-header-encoding-alist): Make Followup-To
	same as Newsgroups.

	* nntp.el (nntp-open-connection-function): Mention
	nntp-open-tls-stream.
	(nntp-open-tls-stream): New function.

	* tls.el: New file.

	* nnimap.el (nnimap-server-port, nnimap-stream): Say TLS/SSL
	instead of SSL.
	(nnimap-stream): Add other streams, link to imap variables.
	(nnimap-authenticator): Add other authenticator, link to imap
	variables.

	* imap.el: Autoload open-tls-stream.
	(imap-streams): Add tls in front of ssl.
	(imap-stream-alist): Add tls.
	(imap-default-tls-port): New variable.
	(imap-tls-p, imap-tls-open): New functions.

2003-03-22  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* mm-url.el (mm-url-insert-file-contents): parse url only if
	results is a list.

2003-03-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mail-source.el (mail-source-fetch-imap): Revert.

2003-03-22  Svend Tollak Munkejord  <stm@bacchus.pvv.org>

	* deuglify.el (gnus-outlook-repair-attribution-outlook): Use a
	less strict regexp.

2003-03-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mail-source.el (mail-source-fetch-imap): Use buffer name for
	more imap function.

2003-03-21  Simon Josefsson  <jas@extundo.com>

	* gnus-art.el (article-decode-group-name): Replace Newsgroups and
	Followup-To data inline.

2003-03-21  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-treat-display-xface): Don't enable if
	icontopbm isn't available.

2003-03-21  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-int.el (gnus-open-server): Catch errors in backend's
	open-server method.  Returns nil rather than crashing startup.

	* gnus-sum.el (eval-when-compile): Modified to resolve
	compile-time warnings.

	* gnus-uu.el (gnus-uu-mark-series): Added informative msg.
	Reports length of series so that the user can compare N with a
	subject that should, if the entire series is present, contain
	'(.../N)'.
	(gnus-uu-delete-work-dir): Avoid hanging when O/S forbids deletion
	of temp file (Win-XP may leave the temp file locked when the
	uudecode process fails).

2003-03-20  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* message.el (message-split-line): Ignore error.

	* lpath.el (split-line): Avoid split-line warning message.

2003-03-20  Kim F. Storm  <storm@cua.dk>

	* message.el (message-split-line): New function.
	(message-mode-map): Remap split-line to message-split-line.

2003-03-20  Katsumi Yamaoka <yamaoka@jpl.org>

	* message.el (message-make-overlay): Defalias it to make-overlay.
	(message-delete-overlay): Defalias it to delete-overlay.
	(message-overlay-put): Defalias it to overlay-put.
	(message-idna-to-ascii-rhs-1): Use them.

	* messagexmas.el (message-xmas-redefine): Defalias some overlay
	functions to extent functions.

2003-03-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-check-news-header-syntax): Fixed regexp.

2003-03-20  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* rfc2231.el (rfc2231-decode-encoded-string): Downcase charset.

	* mm-url.el (mm-url-insert): Move url-current-object stuff into
	mm-url-insert-file-contents.

	* nnrss.el (nnrss-fetch): Fetch the local stuff.
	(nnrss-check-group): Use it.

2003-03-20 Mark A. Hershberger  <mah@everybody.org>

	* nnrss.el: Primitive XML Name-space support.  This means that RSS
	feeds like Kevin Burton's[1] can now be read in Gnus.

	Implemented support for Mark Pilgrim's RSS Autodiscovery.[2] This
	means that if you want to read the RSS feed for example.com, all
	you have to do is hit "G R http://www.example.com/ RET" and
	nnrss.el will find and the feed listed on the site or (if you have
	loaded xml-rpc.el) look it up on syndic8.com.

	Marked the message as HTML (by adding a Content-Type header) so
	that Gnus will render it as html if the user wants that.

	Implemented the ability to save nnrss-group-alist so that any new
	feeds the you subscribe to will be found the next time you start
	up.

	Implemented support for RSS 2.0 elements (author, pubDate).

	Prefer for <content:encoded> over <description> where both
	elements exist.

	* mm-url.el (mm-url-insert): Set url-current-object.

	* gnus-group.el (gnus-group-make-rss-group): New function.

2003-03-20  Katsumi Yamaoka <yamaoka@jpl.org>

	* message.el (message-idna-to-ascii-rhs-1): Don't use replace-*
	for highlight overlays.

2003-03-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-cache.el (gnus-cache-braid-nov): Test if a line looks like
	a NOV.

2003-03-20  Simon Josefsson  <jas@extundo.com>

	* message.el (message-use-idna): Disable if UTF-8 unavailable.
	(message-idna-to-ascii-rhs): Use it.

	* gnus-art.el (gnus-use-idna): Disable if UTF-8 unavailable.

2003-03-19  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-group-ham-mark-p, spam-group-spam-mark-p)
	(spam-group-ham-marks, spam-group-spam-marks): new functions
	(spam-spam-marks, spam-ham-marks): removed in favor of the
	spam-marks and ham-marks parameters
	(spam-generic-register-routine, spam-ham-move-routine): use the
	new spam-group-{spam,ham}-mark-p functions

	* gnus.el (spam-marks, ham-marks): new group parameters with
	default values same as the old spam-spam-marks and spam-ham-marks

2003-03-19  Simon Josefsson  <jas@extundo.com>

	* gnus-art.el (gnus-article-decode-hook): Add IDNA.
	(gnus-use-idna): New variable.
	(article-decode-idna-rhs): New function.

	* message.el (message-use-idna): New variable.
	(message-mode-field-menu): Add entry for IDNA.
	(message-idna-inside-rhs-p, message-idna-to-ascii-rhs-1)
	(message-idna-to-ascii-rhs): New function.
	(message-generate-headers): Invoke IDNA code.

2003-03-19  Paul Jarc  <prj@po.cwru.edu>

	* nnmaildir.el (nnmaildir--system-name): New function.
	(nnmaildir-request-accept-article): Use it.

2003-03-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-byte-compile): Make it work silently as the
	gnus-compile function does.

	* gnus-sum.el (gnus-summary-highlight-line-0): Revoke the last
	bogus change.

2003-03-19  Jesper Harder  <harder@ifa.au.dk>

	* mm-util.el (mm-mule-charset-to-mime-charset): Test if
	sort-coding-systems is defined.

2003-03-18  Paul Jarc  <prj@po.cwru.edu>

	* nnmaildir.el (nnmaildir-open-server, nnmaildir-request-scan)
	(nnmaildir-request-create-group, nnmaildir-request-delete-group):
	Replace create-directory with target-prefix.

2003-03-18  Jesper Harder  <harder@ifa.au.dk>

	* mm-bodies.el (mm-decode-coding-region-safely): Don't use
	find-charset-string which is slooow in XEmacs.

2003-03-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-highlight-line-0): Silence the byte-
	compiler under XEmacs.

2003-03-18  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-treat-highlight-signature): Make the default
	work for multipart/signed where the message text isn't `last'.

2003-03-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-view.el (mm-setup-w3m): Set w3m-display-inline-images to
	the value of mm-inline-text-html-with-images.
	(mm-inline-text-html-render-with-w3m): Don't bind
	w3m-display-inline-images.

	* gnus-art.el (gnus-article-wash-html-with-w3m): Don't bind
	w3m-display-inline-images.

	* lpath.el: Bind w3m-display-inline-images; bind mm-w3m-mode-map
	regardless of an Emacs flavor.

2003-03-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bump.

2003-03-18 00:38:22 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.16 is released.

2003-03-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* lpath.el (featurep): Bind mm-w3m-mode-map.

2003-03-17  Paul Jarc  <prj@po.cwru.edu>

	* nnmail.el (nnmail-cache-primary-mail-backend): Not all
	'respool-able backends define a global nnchoke-get-new-mail
	variable.

2003-03-17  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-mime-delete-part): New function.
	(gnus-mime-action-alist, gnus-mime-button-commands): Use it.

2003-03-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-check-news-header-syntax): Don't push
	groups twice onto list of unknown groups.

	* nndoc.el (nndoc-type-alist): Move exim-bounce a bit further
	back.

	* nnheader.el (nnheader-find-etc-directory): Doc fix.

	* gnus-msg.el (gnus-inews-add-send-actions): Don't restore window
	config unless the summary buffer exists.

	* gnus-sum.el (gnus-summary-next-group): Semi-exit group first to
	that target group is computed correctly when articles are marked
	as read by Xref handling.

	* mail-source.el (mail-source-fetch-imap): Pass buffer-name to
	imap-open.

	* message.el (message-send-mail): Add courtesy string to Bcc's,
	too.

	* gnus-cite.el (gnus-cited-line-p): New function.

2003-03-15  Jesper Harder  <harder@ifa.au.dk>

	* mm-bodies.el (mm-decode-body): Add new optional parameter,
	force, to use the supplied charset unconditionally.

	* gnus-art.el (article-decode-charset): Use it.

2003-03-14  Jesper Harder  <harder@ifa.au.dk>

	* mm-bodies.el (mm-decode-coding-region-safely): New function.
	(mm-decode-body): Use it.

	* rfc2047.el (rfc2047-decode-region): do.
	(rfc2047-decode-string): Guess coding system if the default is
	invalid.

2003-03-12  Paul Jarc  <prj@po.cwru.edu>

	* nnmaildir.el (nnmaildir-request-update-info): Pretend missing
	articles are marked 'read, so we get correct article counts.

2003-03-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-insert-mime-button): Exclude a newline from
	the button.
	(gnus-insert-prev-page-button): Ditto.
	(gnus-insert-next-page-button): Ditto.
	(gnus-insert-mime-security-button): Ditto.

	* mm-view.el (mm-inline-image-emacs): Open the bottom of an image
	one line.  Suggested by Greg Klanderman <gak@klanderman.net>.
	(mm-inline-image-xemacs): Ditto.

2003-03-12  Paul Jarc  <prj@po.cwru.edu>

	* nnmaildir.el (nnmaildir--parse-filename, nnmaildir--sort-files,
	nnmaildir--scan, nnmaildir-request-accept-article): Changes for
	the recent filename uniqueness discussion.

2003-03-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-view.el (mm-inline-image-emacs): Make it delete an excessive
	newline next time.
	(mm-inline-image-xemacs): Ditto.

2003-03-10  Jesper Harder  <harder@ifa.au.dk>

	* gnus-agent.el (gnus-agent-synchronize-flags-server): Don't use
	kill-line.

2003-03-09  Jesper Harder  <harder@ifa.au.dk>

	* gnus-msg.el (gnus-inews-insert-archive-gcc): Don't use
	kill-line.

2003-03-09  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-fetched-hook): New variable.  Just
	fixing the code to match the documentation.
	(gnus-agent-fetch-selected-article): Replaced
	gnus-summary-update-article-line with gnus-summary-update-line as
	the former did not correctly recalculate the thread indentation.
	(gnus-agent-find-parameter): The agent-predicate, if not found
	anywhere else, defaults to the value of gnus-agent-predicate.
	(gnus-agent-fetch-session): Fixed typo; now executes
	gnus-agent-fetched-hook rather than the undocumented
	gnus-agent-fetch-hook.
	(gnus-agent-fetch-group-1): Removed part of 2003-03-06 fix.  The
	default agent predicate is now provided by
	gnus-agent-find-parameter.
	(gnus-agent-message): New macro.  This macro avoids potentially
	costly parameter evaluation when the message's level is too high
	to display.
	(gnus-agent-expire-group-1): Disabled undo tracking in temp
	overview buffer. Uses new gnus-agent-message macro to reduce
	overhead of optional messages. Reversed message levels to
	emphasize percent completion messages.  Detailed messages of
	little use except when debugging code.

2003-03-08  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-ham-move-routine): use
	spam-mark-ham-unread-before-move-from-spam-group
	(spam-mark-ham-unread-before-move-from-spam-group): new variable

2003-03-07  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el: load nnimap.el when compiling
	(spam-setup-widening): use
	nnimap-split-download-body-default instead of
	nnimap-split-download-body which is a user-customizable variable

2003-03-07  Simon Josefsson  <jas@extundo.com>

	* nnimap.el (nnimap-split-download-body-default): New, holds
	default for n-s-d-b.
	(nnimap-split-download-body): Add new setting (symbol default),
	which uses contents of n-s-d-b-d, and made it the default.

2003-03-07  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-use-hashcash): new variable
	(spam-list-of-checks): added spam-use-hashcash with associated
	spam-check-hashcash
	(spam-check-hashcash): new function, installed iff hashcash.el is
	loaded
	(spam-setup-widening): don't use (return)

2003-03-06  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-fetch-group-1): Added default
	predicate of `false' to avoid an error when a group defines no
	predicate. Fixed typo that disabled agent scoring (i.e. the
	low/high predicates should now work).

2003-03-06  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el: add spam-maybe-spam-stat-load to
	gnus-get-top-new-news-hook, remove it from gnus-get-new-news-hook
	(spam-bogofilter-register-with-bogofilter): use
	spam-bogofilter-spam-switch and spam-bogofilter-ham-switch
	(spam-bogofilter-spam-switch, spam-bogofilter-ham-switch): new
	custom variables to replace "-s" and "-n"

	* gnus-group.el (gnus-group-get-new-news): call the new
	gnus-get-top-new-news-hook hook

	* gnus-start.el (gnus-get-top-new-news-hook): new hook, run ONLY
	by gnus-get-new-news, NOT by gnus-group-get-new-news-this-group

2003-03-06  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mm-uu.el (mm-uu-pgp-encrypted-test): Fix message.

2003-03-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-cus.el (gnus-group-customize): Don't use delete-if which is
	a cl run-time function.

2003-03-06  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-fetch-group-1): Added missing binding
	on gnus-agent-short-article.
	(gnus-category-read): Replaced CL function mapcar* with new macro:
	gnus-mapcar.
	* gnus-util.el (gnus-mapcar): New macro.  Generalizes mapcar to
	support functions that accept multiple parameters.  A separate
	sequence must be provided for each parameter in the function.
	Iteration stops when the end of the shortest list is reached.

2003-03-06  Jesper Harder  <harder@ifa.au.dk>

	* nnimap.el (nnimap-request-accept-article): Use delete-region.

	* html2text.el (html2text-clean-dtdd, html2text-delete-tags)
	(html2text-delete-single-tag, html2text-clean-anchor)
	(html2text-remove-tags): Use delete-region.
	(html2text-fix-paragraphs): Simplify.

	* mml1991.el (mml1991-mailcrypt-sign, mml1991-mailcrypt-encrypt)
	(mml1991-gpg-sign, mml1991-gpg-encrypt, mml1991-pgg-sign)
	(mml1991-pgg-encrypt, mml1991-pgg-encrypt): Use delete-region, not
	kill-region.

2003-03-04  John Paul Wallington  <jpw@gnu.org>

	* gnus-agent.el (gnus-agent-enable-expiration)
	(gnus-agent-article-alist, gnus-agent-article-alist)
	(gnus-agent-cat-defaccessor): Doc fixes.

2003-03-04  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-agent.el (gnus-function-implies-unread-1): Grok
	byte-compiled functions.

2003-03-04  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-sum.el (gnus-auto-goto-ignores): New variable. Provides
	customization between new maneuvering (which permits selecting
	undownloaded articles) and old maneuvering (which skipped over
	undownloaded articles) behaviors.
	(gnus-summary-find-next): Pass through the unread and subject
	parameters when calling gnus-summary-find-prev.
	(gnus-summary-find-next,gnus-summary-find-prev): Apply
	gnus-auto-goto-ignores to filter out unacceptable articles.

2003-03-04  Jesper Harder  <harder@ifa.au.dk>

	* mail-source.el (mail-source-read-passwd): Remove. `read-passwd'
	exists in all supported Emacs versions, so we don't need this
	compatibility function.
	(mail-source-fetch-pop, mail-source-check-pop)
	(mail-source-fetch-webmail): Use read-passwd.

	* nntp.el (nntp-send-authinfo, nntp-send-nosy-authinfo)
	(nntp-open-telnet, nntp-open-via-telnet-and-telnet): Use
	read-passwd.

	* nnwarchive.el (nnwarchive-open-server): Use read-passwd.

	* imap.el (imap-read-passwd): Remove.
	(imap-interactive-login): Use read-passwd.

	* canlock.el (canlock-read-passwd): Remove.
	(canlock-insert-header, canlock-verify): Use read-passwd.

	* sieve-manage.el (sieve-manage-read-passwd): Remove.
	(sieve-manage-interactive-login): Use read-passwd.

	* pop3.el (pop3-read-passwd): Remove.
	(pop3-movemail, pop3-get-message-count, pop3-apop): Use
	read-passwd.

	* pgg.el (pgg-read-passphrase): Simplify.

2003-03-04  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-mode): Fixed the mode line reports
	'plugged' when actually 'unplugged' bug.
	(gnus-category-read): Ignore nil values when converting an
	old-format category so that the new-format category will default
	those attributes to the global variables.

2003-03-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* mail-source.el (mail-source-delete-old-incoming-confirm): Fixed
	doc-string.

2003-03-03  Jesper Harder  <harder@ifa.au.dk>

	* nnrss.el (nnrss-decode-entities-unibyte-string): Use `buffer-string'.
	* nndoc.el (nndoc-dissect-mime-parts-sub): do.
	* nndb.el (nndb-request-accept-article, nndb-status-message): do.
	* mm-url.el (mm-url-decode-entities-string): do.
	* mml1991.el (mml1991-mailcrypt-sign, mml1991-gpg-sign): do.
	* mm-decode.el (mm-find-raw-part-by-type): do.
	* message.el (message-send-mail-partially)
	(message-send-mail-with-sendmail): do.
	* gnus-uu.el (gnus-uu-save-article, gnus-uu-reginize-string): do.
	* gnus-kill.el (gnus-pp-gnus-kill): do.
	* gnus-art.el (gnus-article-treat-unfold-headers)
	(gnus-article-encrypt-body): do.

2003-02-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* mail-source.el (mail-source-delete-incoming): Allow integer value.
	(mail-source-delete-old-incoming-confirm): New variable.
	(mail-source-delete-old-incoming): Use it.  New function.
	(mail-source-callback): Call `mail-source-delete-old-incoming' if
	`mail-source-delete-incoming' is a nonnegative integer.

2003-03-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-msg.el (gnus-extended-version): Fix for 'emacs-gnus-config.
	(gnus-user-agent): Fixed typo.

2003-03-03  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-enable-expiration): Fixed documentation.
	(gnus-agent-expire-group-1): Removed invalid (interactive) specifier.

2003-03-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-agent.el (gnus-agent-fetch-articles): Fix nil message.
	(gnus-agent-fetch-session): Allow debugging to take place.

2003-03-03  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-highlight-selected-summary)
	(gnus-article-get-xrefs, gnus-summary-show-thread): Use
	`gnus-point-at-bol' and `gnus-point-at-eol' instead of
	`(progn (beginning-of-line) (point))'.  It's shorter, faster,
	and makes it clear that we don't need the side effect.
	* gnus-util.el (gnus-delete-line): do.
	* gnus-xmas.el (gnus-group-add-icon): do.
	* nnmail.el (nnmail-article-group, nnmail-cache-fetch-group): do.
	* nntp.el (nntp-send-authinfo-from-file): do.
	* nnml.el (nnml-header-value): do.
	* nnheader.el (nnheader-insert-references): do.
	* gnus-cite.el (gnus-article-highlight-citation)
	(gnus-cite-parse): do.
	* gnus-score.el (gnus-score-followup): do.
	* gnus-draft.el (gnus-draft-send): do.
	* gnus-group.el (gnus-group-highlight-line): do.
	* gnus-cache.el (gnus-cache-braid-nov): do.
	* nnfolder.el (nnfolder-retrieve-headers)
	(nnfolder-request-article): do.
	* gnus-art.el (article-hide-boring-headers)
	(gnus-article-hide-header): do.

	* nnheader.el (nnheader-find-nov-line): Use gnus-delete-line.
	* nnml.el (nnml-request-replace-article): do.
	* nnmbox.el (nnmbox-request-move-article, nnmbox-delete-mail): do.
	* nnfolder.el (nnfolder-request-move-article): do.
	* gnus-cache.el (gnus-cache-possibly-remove-article): do.
	* gnus-art.el (gnus-mm-display-part): do.

	* gnus-art.el (gnus-article-goto-part): Use gnus-goto-char.

2003-03-02  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* nntp.el (nntp-possibly-change-group): Avoid calling
	process-buffer on nil (Which happened when you lost your
	connection while fetching); instead signal a "Server Closed
	Connection" error.

2003-03-02  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-enable-expiration): New
	variable. Either ENABLE or DISABLE.  Sets default behavior for
	selecting which groups are expired.
	(gnus-agent-cat-set-property, gnus-agent-cat-defaccessor,
	gnus-agent-set-cat-groups): Provides abstract interface for
	accessing agent category.  Category now implemented by an alist.
	(gnus-agent-add-group, gnus-agent-remove-group,
	gnus-category-insert-line, gnus-category-edit-predicate,
	gnus-category-edit-score, gnus-category-edit-groups,
	gnus-category-copy, gnus-category-add, gnus-group-category): Use
	new agent category abstraction.
	(gnus-agent-find-parameter): New function. Search for agent
	configuration parameter first in the group's parameters, then its
	topics (if any), and then the group's category.  If not found
	anywhere, use the original defined constants.
	(gnus-agent-fetch-headers, gnus-agent-fetch-group-1): Use new
	gnus-agent-find-parameter.
	(gnus-agent-fetch-headers, gnus-agent-uncached-articles): Clearing
	gnus-agent-cache now blocks retrieving headers and articles from
	the local cache.  Fetched content is still added to the cache
	before being returned.
	(gnus-agent-fetch-session): Use error-message-string to generate
	displayed error message.
	(gnus-agent-customize-category): New Command. 'e' in category
	buffer opens category customization buffer.
	(gnus-category-read): Reads either positional or alist format;
	returns alist format.
	(gnus-category-write): Writes category file compatible with
	current, and previous, versions of gnus-agent.
	(gnus-category-make-function, gnus-category-make-function-1):
	Corrected documentation; parameter is predicate NOT category.
	(gnus-predicate-implies-unread): Now works in more cases per the
	todo comment.
	(gnus-function-implies-unread-1): New function. Supports
	gnus-predicate-implies-unread.
	(gnus-agent-expire-group): Command now provides default of group
	under point.
	(gnus-agent-expire-group-1): Obeys new agent-enable-expiration and
	agent-days-until-old parameters. No longer supports
	gnus-agent-expire-days being set to an alist.
	(gnus-agent-request-article): Now performs its own checks of
	gnus-agent, gnus-agent-cache, and gnus-plugged rather than
	assuming that the caller will do them correctly.
	(): Added one-time hook to gnus-group-prepare-hook.  Detects when
	gnus-agent-expire-days is set to an alist.  Converts said alist
	into group parameter so that gnus-agent-expire-days will not be
	needed.
	* gnus-art.el (gnus-request-article-this-buffer): Conditional
	checks surrounding gnus-agent-request-article removed; now
	performed by gnus-agent-request-article.
	* gnus-cus.el (gnus-agent-parameters): New variable. List of
	customizable group/topic parameters that regulate the agent.
	(gnus-group-customize): Uses gnus-agent-parameters.  Replaced
	kill-buffer with gnus-kill-buffer to remove the killed buffer from
	the list of gnus buffers.
	(gnus-trim-whitespace): Removes leading and trailing whitespace
	from multiline strings.
	(gnus-agent-cat-prepare-category-field,
	gnus-agent-customize-category): Constructs a category
	customization buffer.
	* gnus-int.el (gnus-retrieve-headers,
	gnus-request-expire-articles): No longer checks gnus-agent-cache
	as it is handled internally by the agent.
	(gnus-request-head, gnus-request-body): Conditional checks
	surrounding gnus-agent-request-article removed; now performed by
	gnus-agent-request-article.

	* gnus-start.el (): Added defvar statements to resolve compilation
	warnings.
	(gnus-long-file-names): New function. Isolates platform dependent
	msdos-long-file-names.
	(gnus-save-startup-file-via-temp-buffer): New variable. Provides
	option of writing directly to file.  Avoids memory exhausted
	errors when .newsrc.eld is huge.
	(gnus-save-newsrc-file): Uses new
	gnus-save-startup-file-via-temp-buffer.
	(gnus-gnus-to-quick-newsrc-format): Rewritten to write to
	standard-output.
	(gnus-display-time-event-handler): Changed to alias from a defun
	to avoid a compile-time warning when display-time-event-handler is
	not defined.
	* gnus-util.el (gnus-with-output-to-file): New macro. Binds
	standard-output such that prin1 and princ will write directly to a
	file.

	* gnus.el (gnus-agent-cache): Expanded documentation.
	(gnus-summary-high-undownloaded-face): Removed second bold keyword
	so that this face is actually bold.

	* nnkiboze.el (nnkiboze-request-article): Only use the cache when
	gnus-use-cache has been set.

2003-03-02  Jesper Harder  <harder@ifa.au.dk>

	* nnvirtual.el (nnvirtual-update-xref-header): Simplify.

2003-03-01  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-article-refer-article): Be more permissive.

2003-03-01  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* spam.el: Fix typo.

2003-03-01  Satyaki Das  <satyaki@theforce.stanford.edu>
	(Trivial patch.)

	* pgg-gpg.el (pgg-gpg-process-region): Insert process status into
	errors-buffer. This produces a nicer error message in case of
	problems.

2003-03-01  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-maybe-spam-stat-load, spam-maybe-spam-stat-load):
	load stats iff spam-use-stat is on

	* spam.el: add spam-maybe-spam-stat-load to gnus-startup hook,
	also use spam-maybe-spam-stat-load and spam-maybe-spam-stat-save
	instead of spam-stat-load and spam-stat-save in the
	gnus-get-new-news-hook and gnus-save-newsrc-hook, respectively

2003-03-01  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* mm-view.el (mm-inline-text): Ignore errors from enriched-decode.

2003-03-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-make-fqdn): Protect against nil user-mail.

2003-02-28  Vasily Korytov <deskpot@myrealbox.com>

	* gnus-art.el (gnus-boring-article-headers): New values:
	'to-list and 'cc-list.

2003-02-28  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-setup-widening): new function to set
	nnimap-split-download-body, we add it to gnus-get-new-news-hook
	(spam-list-of-statistical-checks): list of statistical splitter
	checks
	(spam-split): added a widen call when a statistical check is
	enabled

2003-02-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-msg.el (gnus-user-agent): Changed default to
	'emacs-gnus-type, renamed 'full.

2003-02-28  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* nnfolder.el (nnfolder-request-accept-article): Don't use
	mail-header-unfold-field.

2003-02-27  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* imap.el (imap-ssl-open): Don't depend on ssl.el.
	* nntp.el (nntp-open-ssl-stream): Don't depend on ssl.el.

2003-02-26  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el: add spam-stat-load to gnus-get-new-news-hook
	(spam-split): remove spam-stat-load call

2003-02-26  Simon Josefsson  <jas@extundo.com>

	* gnus-sum.el (gnus-summary-toggle-header): Run
	gnus-article-decode-hook instead of calling a-decode-encoded-words
	directly (the latter is run as part of the former).

2003-02-26  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gnus-agent.el (gnus-agent-expire-group): Remove debug.

2003-02-25  Jesper Harder  <harder@ifa.au.dk>

	* message.el (message-sendmail-envelope-from): New option.
	(message-sendmail-envelope-from): New function.
	(message-send-mail-with-sendmail): Use it.

2003-02-25  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-mid-or-mail-heuristic-alist): Added
	compensation for TDMA addresses.

2003-02-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-msg.el (gnus-user-agent): New variable.
	(gnus-version-expose-system): Removed.  Obsoleted by
	`gnus-user-agent'.
	(gnus-extended-version): Use `gnus-user-agent'.

2003-02-24  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-stat-register-spam-routine,
	spam-stat-register-ham-routine): remove spam-stat-save
	(spam-stat hook): add spam-stat-save to the gnus-save-newsrc-hook

2003-02-24  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-group.el (gnus-topic-mode-p): Fixed free variable
	reference.

2003-02-24  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* nnheader.el (nnheader-find-nov-line): Changed midpoint
	calculation to avoid integer overflow.

2003-02-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-start.el (gnus-backup-startup-file): Fixed custom type.

2003-02-24  Ted Zlatanov <tzz@lifelogs.com>
	* spam.el: disabled spam-get-article-as-filename

	From Michael Shields  <shields@msrl.com>

	* gnus-group.el (gnus-group-is-exiting-without-update-p): New.
	* gnus-sum.el (gnus-summary-exit-no-update): Use it.
	* gnus-sum.el (gnus-summary-expire-articles): Use it.
	* spam.el (spam-summary-prepare-exit): Use it.
	* gnus.el (gnus-install-group-spam-parameters): New.
	* spam.el (spam-group-ham-processor-copy-p): New.
	* spam.el (spam-summary-prepare-exit): Support for ham copying.
	* spam.el (spam-mark-spam-as-expired-and-move-routine): Fix bug
	that would cause the current message to be moved if the group had
	no spam.
	* spam.el (spam-ham-move-routine): New `copy' argument.

2003-02-24  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>
	From Martin Thornquist <martint@ifi.uio.no>

	* gnus-topic.el (gnus-topic-select-group): Select last group if
	after last group.
	* gnus-group.el (gnus-group-select-group): Ditto.

2003-02-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (popup-menu): Compiler macro for Emacs 20.
	(gnus-article-refer-article): Use gnus-point-at-(b|e)ol instead of
	point-at-(b|e)ol which aren't available in Emacs 20.

	* gnus-registry.el (puthash): Alias to cl-puthash for Emacs 20.

2003-02-23  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-start.el (gnus-activate-group): Re-enabled the catch error
	clause of the condition-case statement.  Errors connecting to a
	server no longer terminate gnus.

	* gnus-agent.el (gnus-agent-toggle-plugged): Renamed parameter to
	make its use obvious.  Added no-nothing case to avoid
	opening(closing) servers when already open(closed).
	(gnus-agent-while-plugged): Added macro to facilitate internal use
	of gnus-agent-toggle-plugged.
	(gnus-agent-fetch-group): Use new gnus-agent-while-plugged to
	temporarily open servers.
	(gnus-agent-get-undownloaded-list): Sort list of article numbers
	as sorting gnus-newsgroup-headers is wrong.
	(gnus-agent-summary-fetch-group): Use new gnus-agent-while-plugged
	to temporarily open servers. Corrected logic to handle setting
	gnus-agent-mark-unread-after-downloaded.
	(gnus-agent-fetch-articles): Now handles headers with missing
	article sizes and/or missing article lengths.  Now clears the
	message buffer when finished.
	(gnus-agent-fetch-group-1): Position point before calling
	gnus-summary-set-agent-mark.
	(gnus-get-predicate): Corrected description, parameter is
	predicate not category.
	(gnus-agent-expire-group): Adapted the gnus-agent-expire-* code to
	provide a separate single group expiration function.
	(gnus-agent-regenerate-group): Now clears the message buffer when
	finished.

2003-02-23  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus.el (gnus-agent-target-move-group-header): New variable.
	* gnus-draft.el (gnus-draft-send): If special header
	"X-Gnus-Agent-Target-Move-Group" is present, do like Gcc into
	that group, instead of performing the regular sending functions.

2003-02-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-xmas.el (gnus-xmas-mime-button-menu): Accept a prefix arg.

2003-02-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-user-fqdn, message-valid-fqdn-regexp): New
	variables.
	(message-make-fqdn): Use it.  Improved validity check.

2003-02-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-user-mail-address): Check whether
	user-mail-address looks valid.

	* gnus-msg.el (gnus-mailing-list-followup-to): New function.

	* gnus-util.el (gnus-fetch-original-field): New function.

2003-02-23  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* message.el (message-mode): \\(...\\) around additional
	paragraph-separate alternative.

2003-02-23  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-mime-button-commands): Add ellipsis.
	(gnus-mime-button-menu): Define MIME popup menu with easy-menu to
	display key bindings.
	(gnus-mime-button-menu): Rewrite.

2003-02-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-button-url-regexp): Removed `.

2003-02-23  Max Froumentin  <mf@w3.org>

	* gnus-art.el (gnus-button-url-regexp): Remove `, enter '.

2003-02-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-mime-action-on-part): Require a match
	interactively.

	* gnus-start.el (gnus-save-newsrc-file): Use
	gnus-backup-startup-file.
	(gnus-backup-startup-file): New variable.

2003-02-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-summary-buffer-name): Moved function here.

	* gnus-draft.el (defun): Remove debug.

2003-02-22  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-summary-refer-article): Skip method if we
	can't open server.

2003-02-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-draft.el (defun): Configure posting styles.

	* gnus-start.el (gnus-get-unread-articles-in-group): Make sure
	the entry for the group exists before we alter it.

2003-02-22  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* message.el (message-mode): MML tags separate paragraphs.  Small
	change from David S Goldberg <david.goldberg6@verizon.net>.

	* gnus-agent.el (gnus-agent-get-undownloaded-list): Sort
	`gnus-newsgroup-headers'.

	* gnus-art.el (gnus-article-refer-article): Grok more message id
	formats.  From Karl Pfl,Adsterer <sigurd@12move.de>.

2003-02-22  Jesper Harder  <harder@ifa.au.dk>

	* mm-decode.el (mm-path-name-rewrite-functions): Doc fix: don't
	use "path name".

2003-02-21  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-sum.el (gnus-summary-move-article)
	(gnus-summary-expire-articles): send data header for article, not
	just article ID

	* gnus-registry.el (gnus-registry-hashtb, gnus-register-action)
	(gnus-register-spool-action): added hashtable of message ID keys
	with message motion data

2003-02-21  Florian Weimer  <fw@deneb.enyo.de>
	From Reiner Steib  <Reiner.Steib@gmx.de>.

	* gnus-art.el (gnus-button-mid-or-mail-heuristic-alist): New
	variable, used in `gnus-button-mid-or-mail-heuristic'.
	(gnus-button-mid-or-mail-heuristic): New function derived from
	Florian Weimer's Perl script.
	(gnus-button-handle-mid-or-mail): Allow a function instead of
	'guess.
	(gnus-button-guessed-mid-regexp): Removed.

2003-02-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-resend): Bind message-setup-hook to nil;
	remove X-Draft-From header.

2003-02-20  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-simplify-subject-fully, gnus-subject-equal)
	(gnus-newsgroup-undownloaded)
	(gnus-summary-save-parts-default-mime, gnus-auto-select-next):
	Doc fixes.

2003-02-17  John Paul Wallington  <jpw@gnu.org>

	* gnus.el (gnus-shell-command-separator, gnus-email-address)
	(gnus-default-charset, gnus-other-frame-parameters): Doc fixes.

2003-02-20  Jesper Harder  <harder@ifa.au.dk>

	* gnus-spec.el (gnus-xmas-format): Use insert instead of
	insert-string which is obsolete in Emacs 21.4.

	* message.el (message-cross-post-followup-to-header): do.

	* spam.el (spam-ifile-register-with-ifile)
	(spam-stat-register-spam-routine)
	(spam-stat-register-ham-routine)
	(spam-bogofilter-register-with-bogofilter): do.

	* mailcap.el (mailcap-mime-data): Fix typo.

	* gnus-topic.el (gnus-topic-make-menu-bar): Add ellipsis.

2003-02-19  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-cite.el (gnus-cite-unsightly-citation-regexp)
	(gnus-cite-parse): Renamed `gnus-unsightly-citation-regexp' to
	`gnus-cite-unsightly-citation-regexp'.

2003-02-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-copy-article-buffer): Copy an article header
	even if there's just a header.

2003-02-19  Jesper Harder  <harder@ifa.au.dk>

	* message.el (message-fix-before-sending): Fix highlighting of
	illegible and invisible text.

	* gnus-util.el (gnus-multiple-choice): Separate choices with
	",,A ".  Suggested by Dan Jacobson <jidanni@dman.ddts.net>.

2003-02-18  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-summary-exit-no-update): Use gnus-kill-buffer.

2003-02-18  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-ham-move-routine)
	(spam-mark-spam-as-expired-and-move-routine): use
	gnus-summary-kill-process-mark and gnus-summary-yank-process-mark
	around process-mark manipulation on the group

2003-02-17  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-sum.el (gnus-summary-make-menu-bar): Add MIME/Multipart
	submenu.

2003-02-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mail-source.el (mail-source-fetch): Reverse the return value of
	the continuation question.

2003-02-16  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nndraft.el (nndraft-request-move-article): Bind
	nnmh-allow-delete-final to t.

2003-02-14  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* mm-uu.el (mm-uu-uu-filename): Fix use of character constant.

2003-02-11  Stefan Monnier  <monnier@cs.yale.edu>

	* nntp.el (nntp-accept-process-output): Don't use point-max to get
	the buffer's size.

2003-01-31  Joe Buehler  <jhpb@draco.hekimian.com>

	* nnheader.el: Added cygwin to system-type comparisons.

2003-01-27  Juanma Barranquero  <lektu@terra.es>

	* imap.el (imap-mailbox-status): Fix typo.

2003-02-14  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gnus-art.el (gnus-article-prepare): Don't set agent mark if
	online.

2003-02-14  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-agent.el (gnus-agent-group-make-menu-bar): Include all
	commands.
	* gnus-sum.el: Small change from Frank Weinberg
	<frank@usenet-rundfahrt.de>:
	(gnus-auto-center-group): New variable.
	(gnus-summary-read-group-1): Use it.
	(gnus-summary-next-group): Fix docstring.

2003-02-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-faces-at): Simplify.

2003-02-13  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-ham-move-routine)
	(spam-mark-spam-as-expired-and-move-routine): made the article
	move conditional, so it's not called even if there's nothing to move

2003-02-13  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* message.el (message-unix-mail-delimiter): Accept any whitespace
	after the email address and before the date; do not require the
	space character.  From Kurt B. Kaiser <kbk@shore.net>.

2003-02-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-only-boring-p): Make sure that the
	gnus-article-boring-faces variable is bound; use gnus-faces-at.

	* gnus-util.el (gnus-faces-at): New macro.

2003-02-13  Michael Shields  <shields@msrl.com>

	* gnus-cite.el
	(gnus-cite-attribution-suffix, gnus-cite-parse):
	Better handling for Microsoft citation styles.
	(gnus-unsightly-citation-regexp): New.

2003-02-12  Michael Shields  <shields@msrl.com>

	* gnus-art.el (article-strip-banner): Strip both per-group and
	per-user-address banners.
	(article-really-strip-banner): New.

2003-02-12  Michael Shields  <shields@msrl.com>

	* gnus-sum.el (gnus-article-goto-next-page,
	gnus-article-goto-prev-page): Call gnus-summary-*-page, instead of
	relying on the summary bindings of `n' and `p'.

2003-02-12  Michael Shields  <shields@msrl.com>

	* gnus-art.el (gnus-article-only-boring-p): New.
	(gnus-article-skip-boring): New.
	* gnus-cite.el (gnus-article-boring-faces): New.
	* gnus-sum.el (gnus-summary-next-page): Use
	gnus-article-only-boring-p.

2003-02-12  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-mark-spam-as-expired-and-move-routine)
	(spam-ham-move-routine): unmark all articles before marking those
	of interest and calling gnus-summary-move-article

2003-02-12  Jesper Harder  <harder@ifa.au.dk>

	* gnus.el (gnus-kill-buffer): Move to gnus.el because it's
	logically the complement of gnus-get-buffer-create and
	gnus-add-buffer.

	* gnus-util.el (gnus-kill-buffer): do.

	* nnmail.el: Autoload gnus-kill-buffer.

2003-02-11  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-summary-set-agent-mark): Added call to
	gnus-summary-goto-subject as gnus-summary-update-mark operates on
	the current LINE.
	(gnus-agent-summary-fetch-group): Minimized the number of times
	that the article is updated in the buffer.

2003-02-11  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-ham-move-routine): use the process-mark instead of
	gnus-current-article when moving articles
	(spam-mark-spam-as-expired-and-move-routine): ditto, use the process-mark

2003-02-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-topic.el (gnus-topic-expire-articles): Recursive.
	(gnus-topic-catchup-articles): Ditto.
	(gnus-topic-mark-topic): Reverse recursive logic.

2003-02-11  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-summary-refer-thread): Handle case where
	gnus-refer-thread-limit is t.

2003-02-10  Jesper Harder  <harder@ifa.au.dk>

	* mm-util.el (mm-mule-charset-to-mime-charset): Use
	sort-coding-systems to prefer utf-8 over utf-16.

2003-02-09  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-expire-days):
	gnus-request-move-article depends on gnus-agent-expire to clean up
	the cache after moving the article.  Therefore, g-a-e-d can NOT
	default to nil or can gnus-agent-expire be disabled by doing so.
	If you don't want to run gnus-agent-expire, don't call it.
	(gnus-agent-expire): The broken test to disable gnus-agent-expire
	when g-a-e-d was NOT nil was removed.
	(gnus-agent-article-name): Removed unnecessary input test as
	article IDs are always strings.
	(gnus-agent-regenerate-group): Added check to protect against
	servers that generate absurdly long article IDs.  Valid IDs are
	less than 10 digits to avoid overflow errors.  Fixed logic error
	when ensuring that the final article ID is present in the new
	alist.

2003-02-09  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-topic.el (gnus-topic-goto-missing-topic): Just move to the
	next line after finding the parent.

2003-02-08  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bumped.

2003-02-08 23:23:27 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.15 is released.

2003-02-08  Michael Welsh Duggan  <md5i@cs.cmu.edu>

	* nnmail.el (nnmail-split-it): If a message ends up matching the
	  same mailbox more than once, it will cause duplicates to appear
	  in the mailbox.

2003-02-08  Simon Josefsson  <jas@extundo.com>

	* gnus-sum.el (gnus-summary-select-article): Remove blink removal
	code that only worked under Emacs.

	* pgg-gpg.el (pgg-gpg-process-region): Don't blink.  From Satyaki
	Das <satyaki@chicory.stanford.edu>.

2003-02-08  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-article-refer-article): Use
	gnus-replace-in-string.

	* gnus-util.el (gnus-map-function): Remove unneeded let-binding.
	(gnus-remove-duplicates): do.

2003-02-07  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-int.el (gnus-internal-registry-spool-current-method): new variable
	(gnus-request-scan): set
	gnus-internal-registry-spool-current-method to gnus-command-method
	before a request-scan operation

	* gnus-registry.el (regtest-nnmail): use
	gnus-internal-registry-spool-current-method

2003-02-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mail-source.el (mail-source-fetch): Typo fix.

2003-02-07  Teodor Zlatanov  <tzz@lifelogs.com>

	* nnmail.el (nnmail-spool-hook): new hook
	(nnmail-cache-insert): call nnmail-spool-hook

	* gnus-registry.el: new file with examples of using the hooks

	* gnus.el (gnus-registry): added registry customization group
	(gnus-group-prefixed-name): improve function to return full group
	name optionally
	(gnus-group-guess-prefixed-name): shortcut to
	gnus-group-prefixed-name, using just the group name
	(gnus-group-full-name): always get a group's full name
	(gnus-group-guess-full-name): shortcut, using just the group name

	* gnus-sum.el (gnus-summary-article-move-hook)
	(gnus-summary-article-delete-hook)
	(gnus-summary-article-expire-hook): new hooks
	(gnus-summary-move-article, gnus-summary-expire-articles)
	(gnus-summary-delete-article): invoke the new hooks

2003-02-07  Frank Weinberg  <frank@usenet-rundfahrt.de>

	* gnus-art.el (gnus-article-refer-article): Strip leading "news:"
	from message-ID

2003-02-07  Jesper Harder  <harder@ifa.au.dk>

	* gnus-util.el (gnus-run-hooks): Use save-current-buffer.

2003-02-07  John Paul Wallington  <jpw@gnu.org>

	* mm-util.el (mm-delete-duplicates, mm-append-to-file)
	(mm-write-region, mm-detect-coding-region): Doc fixes.

2003-02-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mail-source.el (mail-source-fetch): Ignore errors.
	(mail-source-ignore-errors): New variable.

	* gnus-sum.el (gnus-summary-refer-thread): Don't re-fetch current
	articles.

	* gnus-msg.el (gnus-version-expose-system): Change default.

2003-02-07  Vasily Korytov  <deskpot@myrealbox.com>

	* gnus-msg.el (gnus-version-expose-system): New variable.

2003-02-07  Simon Josefsson  <jas@extundo.com>

	* mml-sec.el (mml-unsecure-message): Don't use kill-region.  Tiny
	patch from deskpot@myrealbox.com (Vasily Korytov).

2003-02-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (article-display-face): Get the Face header from
	the current buffer.

2003-02-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-view-part-internally): Bind
	buffer-read-only to nil.

2003-02-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-expire-1,2): Pass the dir argument
	from g-a-e-1 to g-a-e-2.

2003-02-05  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-check-BBDB): no need to regexp-quote the argument
	of bbdb-search-simple, use spam-use-BBDB-exclusive
	(spam-check-whitelist): use spam-use-whitelist-exclusive
	(spam-use-whitelist-exclusive): new variable affecting
	spam-use-whitelist
	(spam-use-BBDB-exclusive): new variable affecting spam-use-BBDB

2003-02-05  Simon Josefsson  <jas@extundo.com>

	* gnus-agent.el (gnus-agent-expire-days): Change default to nil.
	(gnus-agent-expire): Don't expire if g-a-e-d is nil.
	(gnus-agent-expire): Move most code into gnus-agent-expire-1.
	(gnus-agent-expire-1): New.
	(gnus-agent-expire-1): Move code into gnus-agent-expire-2.
	(gnus-agent-expire-2): New.

2003-02-05  Jesper Harder  <harder@ifa.au.dk>

	* gnus-util.el (gnus-delete-if): Rename to gnus-remove-if.
	"delete-if" is misleading because it isn't actually destructive.

	* gnus-topic.el (gnus-group-prepare-topics): Use new name.

	* nnmail.el (nnmail-purge-split-history): do.

	* gnus-win.el (gnus-get-buffer-window): do.

	* gnus-sum.el (gnus-simplify-whitespace): Remove unnecessary
	let-binding.
	(gnus-simplify-all-whitespace): do.

2003-02-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-delay.el (gnus-delay-article): Fix binding of the
	nndraft:delayed group.

2003-02-04  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus.el (spam group parameters): change 'other to 'const in
	the group parameter definitions to soothe XEmacs

2003-02-04  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-delay.el (gnus-delay-article): Really create
	nndraft:delayed group if it doesn't exist.

2003-02-04  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-summary-search-article): Speed up by
	disabling various visual features while searching.
	(gnus-summary-recenter): Test gnus-auto-center-summary first.

2003-02-03  Jesper Harder  <harder@ifa.au.dk>

	* spam.el (spam-list-of-checks): Don't quote nil and t in
	docstrings.  From the elisp manual:

	   When a documentation string refers to a Lisp symbol, write
	   it [..] with single-quotes around it.  [..] There are two
	   exceptions: write t and nil without single-quotes.

	* messcompat.el (message-from-style): do.

	* message.el (message-send-mail): do.

	* gnus-util.el (gnus-use-byte-compile): do.

	* gnus-score.el (gnus-score-lower-thread): do.

	* gnus-int.el (gnus-server-unopen-status): do.

	* gnus.el (gnus-define-group-parameter, gnus-large-newsgroup)
	(large-newsgroup-initial, gnus-install-group-spam-parameters): do.

	* gnus-cus.el (gnus-group-customize, gnus-score-parameters)
	(gnus-group-parameters): do.

	* gnus-art.el (gnus-article-mime-match-handle-function): do.

	* mm-decode.el (mm-text-html-renderer): do.

2003-02-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnheader.el (nnheader-directory-separator-character): Change the
	way to compute the dafault value.

2003-02-02  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-button-handle-describe-key): Implement it.
	(gnus-button-alist): Fix regexp for describe-key.
	(gnus-button-handle-describe-function)
	(gnus-button-handle-describe-variable)
	(gnus-button-handle-apropos, gnus-button-handle-apropos-command)
	(gnus-button-handle-apropos-variable)
	(gnus-button-handle-apropos-documentation): Docstring fix.

	* gnus-util.el (gnus-kill-buffer): Use get-buffer.

2003-02-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-draft.el (gnus-group-send-queue): Bind gnus-posting-styles
	to nil.

	* nnmail.el: Removed gnus-util autoload.

	* gnus.el: Use gnus-prin1-to-string throughout.

	* gnus-util.el (gnus-prin1-to-string): Bind print-length and
	print-level.

	* gnus-art.el (article-display-x-face): Removed grey x-face stuff.
	(gnus-treat-display-grey-xface): Removed.

	* gnus-fun.el (gnus-grab-cam-face): New.
	(gnus-convert-image-to-gray-x-face): Removed.
	(gnus-convert-gray-x-face-to-xpm): removed.
	(gnus-convert-gray-x-face-region): Removed.
	(gnus-grab-gray-x-face): Removed.

	* nnmail.el (nnmail-expiry-wait-function): Doc indent.

2003-01-31  Jesper Harder  <harder@ifa.au.dk>

	* gnus-util.el (gnus-kill-buffer): Functions in gnus-util
	shouldn't depend on the rest of Gnus, so test if gnus-buffers is
	bound.

	* nnmail.el (nnmail-cache-close): Use gnus-kill-buffer.

2003-01-30  Jesper Harder  <harder@ifa.au.dk>

	* gnus-cite.el (gnus-cite-reply-regexp, gnus-cite-always-check):
	Remove -- these are bogus options which are never used.

2003-01-29  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-article-mode): Use summary tool bar.

2003-01-27  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-check-blackholes)
	(spam-blackhole-good-server-regex): new variable to skip some IPs
	when checking blackholes; use it
	(spam-check-bogofilter-headers)
	(spam-bogofilter-bogosity-positive-spam-header): new variable, in
	case more X-Bogosity is used than just "Yes/No"
	(spam-ham-move-routine): semi-fixed, only first article is
	properly moved now

2003-01-27  Jesper Harder  <harder@ifa.au.dk>

	* gnus-util.el (gnus-kill-buffer): Remove buffer from gnus-buffers
	as well.

	* gnus-sum.el (gnus-select-newsgroup): Use gnus-kill-buffer.

	* gnus-score.el (gnus-score-headers, gnus-score-find-bnews): do.

	* gnus-start.el (gnus-save-newsrc-file, gnus-clear-system): do.

	* gnus-bcklg.el (gnus-backlog-shutdown): do.

	* gnus-srvr.el (gnus-server-exit, gnus-browse-exit): do.

2003-01-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-fun.el (gnus-face-encode): New function.
	(gnus-convert-png-to-face): Use it.

	* gnus-sum.el (gnus-summary-make-menu-bar): Added M-& to marks.

2003-01-26  Jesper Harder  <harder@ifa.au.dk>

	* mm-decode.el (mm-dissection-list): Remove.
	(mm-dissect-singlepart): Don't push to mm-dissection-list, it's
	only used in mm-remove-all-parts.
	(mm-remove-all-parts): Remove it, it's never called.

2003-01-25  Simon Josefsson  <jas@extundo.com>

	* gnus-group.el (gnus-group-make-group): Report errors.

	* nnimap.el (nnimap-request-create-group): Ditto.

	* sieve-manage.el (sieve-manage-is-okno): Parse literal strings.

	* sieve.el (sieve-upload): Fix error printing.

	* mm-encode.el (mm-qp-or-base64): Always QP iff
	mm-use-ultra-safe-encoding and cleartext PGP.

	* gnus-sum.el (gnus-summary-select-article): Inhibit
	redisplay (mainly for secured messages).

	* nnmail.el (nnmail-article-group): Copy body too (but don't
	process it).

2003-01-25  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-article-setup-buffer): Reset
	gnus-button-marker-list.

2003-01-25  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nntp.el (nntp-read-timeout): Default to using a second delay
	under Microsoft Windows.

2003-01-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnheader.el (nnheader-directory-separator-character): New
	variable.

2003-01-24  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-agent.el (gnus-agent-max-fetch-size)
	(gnus-agent-article-alist, gnus-agent-get-undownloaded-list)
	(gnus-agent-catchup, gnus-agent-summary-fetch-group)
	(gnus-agent-fetch-articles, gnus-agent-backup-overview-buffer)
	(gnus-agent-flush-cache, gnus-agent-fetch-headers)
	(gnus-agent-braid-nov, gnus-agent-load-alist)
	(gnus-agent-article-alist-save-format)
	(gnus-agent-read-agentview, gnus-agent-save-alist)
	(gnus-agent-fetch-group-1, gnus-agent-expire)
	(gnus-agent-uncached-articles, gnus-agent-retrieve-headers)
	(gnus-agent-regenerate-group): Reformat to keep under eighty
	columns.  Reword docstrings so that first line is under eighty
	chars and a complete sentence.  Still need to work on the rear
	end of the file, in particular gnus-agent-expire.

2003-01-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-agent.el (gnus-agentize): Indent.

	* gnus.el (gnus-version-number): Bumped.

2003-01-24 20:32:44 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.14 is released.

2003-01-24  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-sum.el (gnus-summary-prepare-threads): Reset state for %B
	before beginning.  Tiny patch from Mark Thomas
	<swoon@bellatlantic.net>.

2003-01-24  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-check-blackholes, spam-split)
	(spam-mark-junk-as-spam-routine, spam-summary-prepare-exit): added
	gnus-message calls to show to users what spam.el is doing

2003-01-24  Jesper Harder  <harder@ifa.au.dk>

	* gnus-msg.el (gnus-message-replysign)
	(gnus-message-replyencrypt): Fix typo.

2003-01-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-mime-security-show-details): Toggle showing
	details.

2003-01-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-press-button): let* -> let.
	(gnus-mime-security-show-details): Cleaned up.
	(gnus-mime-security-press-button): Save excursion.
	(gnus-insert-mime-security-button): Clean up.

	* gnus-sum.el (gnus-summary-force-verify-and-decrypt): Doc fix.

	* gnus-async.el (gnus-async-wait-for-article): Don't use a
	timeout.

	* nntp.el (nntp-accept-process-output): Removed timeout.
	(nntp-read-timeout): New variable.
	(nntp-accept-process-output): Use it.

	* gnus-sum.el (gnus-data-find-list): Remove *.

2003-01-23  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-sum.el (gnus-summary-first-subject): Fixed bug that I
	introduced on 2002-01-22.
	(gnus-summary-first-unseen-or-unread-subject): Ditto.

2003-01-23  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-check-regex-headers, spam-list-of-checks)
	(spam-regex-headers-spam, spam-regex-headers-ham): added spam/ham
	checks of incoming mail based on simple header regexp matching

2003-01-22  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-sum.el (gnus-spam-mark): set to `$'

2003-01-22  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-get-undownloaded-list): Now computes
	gnus-newsgroup-unfetched, the list of articles whose headers have
	not been fetched from the server.

	* gnus-sum.el (gnus-summary-find-next): Removed undownloaded
	parameter as it never worked due to a bug.  Added check to prevent
	selection of any article in the gnus-newsgroup-unfetched list.
	(gnus-summary-find-prev): Added check to prevent selection of any
	article in the gnus-newsgroup-unfetched list.
	(gnus-summary-first-subject): Documented API. Modified
	implementation so that constraints are handled independently.
	Added check to prevent selection of any article in the
	gnus-newsgroup-unfetched list.
	(gnus-summary-first-unseen-subject): Updated parameters in
	gnus-summary-first-subject call to match new API.
	(gnus-summary-first-unseen-or-unread-subject): Ditto.
	(gnus-summary-catchup): Do not mark unfetched articles as read.

2003-01-22  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-treat-strip-pgp, gnus-article-hide-pgp-hook):
	make-obsolete-variable allows only two arguments in XEmacs and
	Emacs 20.

	* gnus-sum.el (gnus-summary-wash-hide-map): Remove
	gnus-article-hide-pgp.
	(gnus-summary-make-menu-bar): do.

	* gnus-art.el (gnus-treat-strip-pgp): Make obsolete.
	(gnus-treatment-function-alist): Remove gnus-treat-strip-pgp and
	gnus-article-hide-pgp.
	(article-hide-pgp): Remove.
	(gnus-article-hide): Remove gnus-article-hide-pgp.

	* gnus.el: Remove gnus-article-hide-pgp

2003-01-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-required-headers): Doc fix.

2003-01-21  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-group-ham-processor-bogofilter-p): fixed bug
	(spam-ifile-register-ham-routine, spam-ifile-ham-category): new
	option to make ifile a purely binary classifier

2003-01-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mml-sec.el (mml-secure-sign-pgpauto): Renamed.
	(mml-secure-encrypt-pgpmime): Removed double.

	* gnus-sum.el (gnus-summary-mark-article-as-replied): Added
	debugging statements.

2003-01-21  Andreas Fuchs  <asf@void.at>

	* mml-sec.el (mml-sign-alist): Added pgpauto.

2003-01-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bumped version number.

2003-01-21 07:15:41 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.13 is released.

2003-01-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-button-url-regexp): Removed |.

	* message.el (message-send-hook): Doc fix.

	* gnus-win.el (gnus-buffer-configuration): Display article
	instead of article-copy when `reply'.

2003-01-21  Jesper Harder  <harder@ifa.au.dk>

	* gnus.el (gnus-format): Change customize group to gnus.
	(gnus-cache): Add link.
	(gnus-group-charter-alist): Fix docstring.

2003-01-20  Jesper Harder  <harder@ifa.au.dk>

	* mailcap.el (mailcap-print-command): lpr-command might be
	unbound in XEmacs.

2003-01-18  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-regenerate-group): Added interactive form.

	* gnus-sum.el (gnus-summary-update-article-line): Fixed
	calculation of net characters added for use in the gnus-data
	structure.

2003-01-18  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* nnmail.el (nnmail-process-unix-mail-format): Improve error
	message.  Suggested by Jari Aalto.

2003-01-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-followup-with-original): Clean up.
	(gnus-article-reply-with-original): Ditto.

	* gnus-sum.el (gnus-summary-catchup): Make sure downloadable,
	read articles don't become unread.

2003-01-17  Simon Josefsson  <jas@extundo.com>

	* gnus-fun.el (gnus-x-face-from-file):
	(gnus-face-from-file): Suggest image format in minibuffer prompt.

	* gnus-fun.el (gnus-convert-image-to-x-face-command)
	(gnus-convert-image-to-face-command): Doc fix.

2003-01-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-fun.el (gnus-convert-face-to-png): Protect against errors.

2003-01-17  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-mime-print-part): Use mm-save-part-to-file to
	avoid encoding problems.

	* mailcap.el (mailcap-ps-command): New variable.
	(mailcap-mime-data): Add print entry where applicable.  Use
	pdftotext on a tty.

2003-01-16  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gnus-sum.el (gnus-alter-header-function): Add type and group.

2003-01-16  Simon Josefsson  <jas@extundo.com>

	* gnus-fun.el (gnus-convert-image-to-x-face-command)
	(gnus-convert-image-to-face-command, gnus-x-face-from-file)
	(gnus-face-from-file): Doc fix; don't mention image format.

2003-01-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-get-article-as-filename): new function (unused for now)
	(spam-get-article-as-buffer): new function
	(spam-get-article-as-string): use spam-get-article-as-buffer
	(spam-summary-prepare-exit): fixed bug, noticed by Malcolm Purvis

2003-01-15  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gnus-agent.el: Don't use `path'.
	From the GNU coding standards:

	    Please do not use the term ``pathname'' that is used in Unix
	    documentation; use ``file name'' (two words) instead.  We use
	    the term ``path'' only for search paths, which are lists of
	    directory names.

	* nnsoup.el (nnsoup-file-name): Ditto.

	* nnmail.el (nnmail-pathname-coding-system): Ditto.
	(nnmail-group-pathname): Ditto.

	* nnimap.el (nnimap-group-overview-filename): Ditto.

	* nnheader.el (nnheader-pathname-coding-system): Ditto.
	(nnheader-group-pathname): Ditto.

	* nnfolder.el (nnfolder-group-pathname): Ditto.

	* gnus.el (gnus-home-directory): Ditto.

	* gnus-group.el (gnus-group-icon-list): Ditto.

2003-01-16  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-mime-print-part): Use mm-handle-media-type.

	* message.el (message-mode-menu): Use it.
	(message-mode-menu): Deactivate "Yank Original" if there's no
	reply buffer.

	* messagexmas.el (message-xmas-redefine): Redefine in XEmacs.

	* message.el (message-mark-active-p): New function.

2003-01-15  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-use-bogofilter-headers, spam-bogofilter-header)
	(spam-bogofilter-database-directory): new variables
	(spam-check-bogofilter-headers, spam-check-bogofilter)
	(spam-bogofilter-register-with-bogofilter)
	(spam-bogofilter-register-spam-routine)
	(spam-bogofilter-register-ham-routine)
	(spam-group-ham-processor-bogofilter-p): new functions for the new
	Bogofilter interface
	(spam-summary-prepare-exit): use the new Bogofilter functions
	(spam-list-of-checks): added spam-use-bogofilter-headers
	(spam-bogofilter-score): rewrote function
	(spam-check-bogofilter): optional score parameter, uses
	spam-check-bogofilter-headers better
	(spam-check-bogofilter-headers): optional score parameter

	* gnus.el (gnus-install-group-spam-parameters): new variable, t by
	default, in the gnus-start customization group.  Used to disable
	the spam-*/ham-* parameters.
	(gnus-group-ham-exit-processor-bogofilter): new ham processor

2003-01-15  Jesper Harder  <harder@ifa.au.dk>

	* gnus-xmas.el (gnus-xmas-redefine): Use region-exists-p in
	XEmacs.

	* gnus-ems.el (gnus-mark-active-p): do.

2003-01-15  Kevin Ryde  <user42@zip.com.au>

	* gnus.texi (Using MIME): Mention auto-compression-mode with
	gnus-mime-copy-part.

2003-01-15  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-send): Don't warn about duplicates when
	superseding.

2003-01-15  Simon Josefsson  <jas@extundo.com>

	* nnimap.el (nnimap-split-download-body): New variable.
	(nnimap-split-articles): Use it.

2003-01-14  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-check-overview-buffer): This data
	integrity checker was incorrectly flagging, and removing, articles
	whose article number was negative.
	(gnus-agent-fetch-group-1): When executed in the group's summary
	buffer, refresh each downloaded line to update the status flag and
	font.  Preserve the value of gnus-newsgroup-headers so that
	gnus-agent-fetch-articles can split the requests by size.
	(gnus-agent-expire): Corrected day calculation for when
	gnus-agent-expire-days contains a list.

2003-01-14  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-audio.el (gnus-audio-au-player): Use executable-find.

2003-01-13  Jhair Tocancipa Triana <jhair_tocancipa@@gmx.net>

	* gnus-audio.el (gnus-audio-au-player, gnus-audio-wav-player): Use
	  /usr/bin/play as default player.
	  (gnus-audio-play): Added ARG-DESCRIPTOR to prompt for a file to play.

2003-01-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-inews-add-send-actions): Allow a list of
	articles to be marked as well.

2003-01-14  Kevin Greiner  <kgreiner@xpediantsolutions.com>
	* gnus-agent.el (gnus-agent-get-undownloaded-list): Include the
	fictious headers generated by nnagent (ie. Undownloaded Article
	####) in the list of articles that have not been downloaded.

	* gnus-int.el (): Added require declarations to resolve
	compile-time warnings.
	(gnus-open-server): If the server status is set to offline,
	recursively execute gnus-open-server to open the offline backend
	(e.g. nnagent).

2003-01-14  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-article-reply-with-original): Use
	gnus-mark-active-p.
	(gnus-article-followup-with-original): do.

2003-01-13  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el: Removed `(when t ...)' around `gnus-define-keys'.

2003-01-13  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-score.el (gnus-score-edit-file-at-point): New function.
	(gnus-score-find-trace): Bind it to `e' key.  Added `q' for quit.

2003-01-13  Romain FRANCOISE  <romain@orebokech.com>

	* gnus-fun.el (gnus-x-face-from-file): Quote file name.
	(gnus-face-from-file): Ditto.

2003-01-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-articles-to-read): Don't just apply
	gnus-alter-articles-to-read-function to the unread articles.

2003-01-13  Reiner Steib  <Reiner.Steib@gmx.de>

	* deuglify.el (gnus-article-outlook-unwrap-lines)
	(gnus-article-outlook-repair-attribution)
	(gnus-article-outlook-rearrange-citation): New function names,
	renamed from "gnus-outlook-" to "gnus-article-outlook-".  Changed
	doc-string.

	* gnus-sum.el (gnus-summary-mode-map): Use new function names,
	removed `W k' key binding (use `W Y f' instead).
	(gnus-summary-make-menu-bar): Use new function names.

2003-01-13  Simon Josefsson  <jas@extundo.com>

	* gnus-fun.el (gnus-random-x-face): Doc fix.
	(gnus-insert-random-x-face-header): New function.

2003-01-13  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-summary-make-menu-bar): Deactivate items if
	mark is not active.

	* gnus-msg.el (gnus-inews-do-gcc): Comment.

	* gnus-ems.el (gnus-mark-active-p): New function.

	* gnus-group.el (gnus-topic-mode-p): New function.
	(gnus-group-make-menu-bar): Show more key bindings in topic mode.
	Deactivate items if mark is not active.

2003-01-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bumped version.
	(gnus-summary-line-format): Doc fix.

2003-01-12 22:02:49 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.12 is released.

2003-01-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mail-source.el (mail-sources): Removed autoload to make it
	compile under XEmacs.

2003-01-12  Raymond Scholz  <ray-2003@zonix.de>

	* gnus-msg.el (gnus-confirm-mail-reply-to-news):  May be a
	regexp or a function too.
	(gnus-confirm-treat-mail-like-news): New variable.  Ask for
	confirmation even if the original article is mail.

2003-01-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-msg.el (gnus-inews-add-send-actions): Get the right
	articles to be marked when not yanking.

2003-01-12  Fran,Agois-David Collin  <Francois-David.Collin@curie.fr>

	* mm-decode.el (mm-get-part): Use mm-with-unibyte-current-buffer.

2003-01-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-fun.el (gnus-face-from-file): Autoload.

	* gnus-cite.el (gnus-cite-delete-overlays): Protect against more
	errors.

2003-01-12  Simon Josefsson  <jas@extundo.com>

	* sieve.el (sieve-upload-and-bury): New.  Suggested by
	kai.grossjohann@uni-duisburg.de (Kai Gro,A_johann).

	* sieve-mode.el (sieve-mode-map): Bind s-u-a-b to C-c C-c.
	Suggested by kai.grossjohann@uni-duisburg.de (Kai Gro,A_johann).

2003-01-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-ignored-headers): Don't include the ^ and :
	in every string.

	* gnus.el (gnus-version-number): Bumped version number.

2003-01-12 13:46:20 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.11 is released.

2003-01-12  Jesper Harder  <harder@ifa.au.dk>

	* message.el (message-fetch-reply-field): Narrow to headers.

	* gnus-msg.el (gnus-inews-do-gcc): Don't try to mark GCC's as read
	if Gnus isn't alive.

2003-01-11  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-fetch-group-1): Remove downloadable
	marks from articles that are already stored in the agent.
	(gnus-agent-backup-overview-buffer): New debug tool.  Creates a
	backup copy of an invalid .overview file for later analysis.

2003-01-12  Gregorio Gervasio, Jr.  <gtgj@pacbell.net>

	* gnus-sum.el (gnus-summary-exit): Reverse change to make group
	exit work with two frames.

2003-01-11  Fran,Agois-David Collin  <Francois-David.Collin@wanadoo.fr>

	* message.el (message-forward-make-body): Use mule4.

2003-01-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-mode-map): Move wide-reply command.

2003-01-10  Reiner Steib  <Reiner.Steib@gmx.de>

	* deuglify.el (gnus-outlook-deuglify-attrib-verb-regexp): Added
	castellano.
	(gnus-outlook-display-hook): New variable.
	(gnus-outlook-display-article-buffer): New function.
	(gnus-outlook-unwrap-lines, gnus-outlook-repair-attribution)
	(gnus-outlook-deuglify-article): Made them interactive and added
	optional arg.  Use `g-o-d-a-b'.
	(gnus-article-outlook-deuglify-article): Use `g-o-d-a-b'.

	* gnus-sum.el: Added autoloads.
	(gnus-summary-mode-map): Added gnus-summary-wash-deuglify-map.
	(gnus-summary-make-menu-bar): Added "(Outlook) Deuglify" menu.

2003-01-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-display-mime): Use the mime emulation
	variable.

	* gnus-sum.el (gnus-article-emulate-mime): New variable.

	* gnus-start.el (gnus-read-newsrc-el-file): Make sure that the
	newsrc-alist is initialized properly.

	* mail-source.el (mail-sources): Autoload.

	* gnus-sum.el (gnus-summary-make-false-root-always): Default to
	nil.

	* gnus-msg.el (gnus-configure-posting-styles): Make sure we don't
	insert two newlines.

	* message.el (message-check-news-header-syntax): Compute the
	header length correctly.

2003-01-10  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-expire): Do not remove article from
	alist when keeping fetched article file.
	(gnus-agent-retrieve-headers): When parsing response for article
	numbers, use the same algorithm as gnus-agent-braid-nov to protect
	against garbage in the server's response.

	* gnus-int.el (gnus-request-expire-articles,
	gnus-request-move-article): Only expire when the group's server
	has been agentized.

2003-01-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-cite.el (gnus-cite-delete-overlays): Protect against
	errors when deleting overlays.

	* gnus-score.el (gnus-score-followup): Allow tracing.

	* gnus-art.el (gnus-treat-display-face): New variable.
	(article-display-face): New command.

	* gnus-fun.el (gnus-face-from-file): New function.
	(gnus-convert-face-to-png): Ditto.

	* gnus-art.el (gnus-ignored-headers): Added Face.

2003-01-10  Simon Josefsson  <jas@extundo.com>

	* nndraft.el (nndraft-request-group): Avoid crash in
	directory-files when draft directory doesn't exists.

	* gnus-sum.el (gnus-select-article-hook): Add :option.

2003-01-10  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-use-stat): new variable
	(spam-group-spam-processor-stat-p)
	(spam-group-ham-processor-stat-p): new convenience functions
	(spam-summary-prepare-exit): add spam/ham processors to sequence
	(spam-list-of-checks): add spam-use-stat to list of checks
	(spam-split): conditionally load the spam-stat tables
	(spam-stat-register-spam-routine, spam-stat-register-ham-routine,
	spam-check-ifile): new functions

	* spam-stat.el (spam-stat): typo fix
	(spam-stat-install-hooks): new variable
	(spam-stat-split-fancy-spam-group): added documentation clarification
	(spam-stat-split-fancy-spam-threshhold): new variable
	(spam-stat-install-hooks): make hooks conditional
	(spam-stat-split-fancy): use spam-stat-split-fancy-spam-threshhold

	* gnus.el (gnus-group-ham-exit-processor-stat, spam-process): add
	spam-stat ham/spam processor symbols

2003-01-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-read-newsrc-el-file): Make sure the .eld
	file exists.

2003-01-10  Simon Josefsson  <jas@extundo.com>

	* gnus-sum.el (gnus-summary-read-group-1): Don't select first
	undownloaded/downloadable only when unplugged.

2003-01-10  Jesper Harder  <harder@ifa.au.dk>

	* gnus-srvr.el (gnus-browse-foreign-server): Optimize inner loop.

2003-01-09  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-check-ifile): fixed call-process-region to use the
	db parameter only if it's set
	(spam-ifile-register-with-ifile): ditto

2003-01-09  Alex Schroeder  <alex@emacswiki.org>

	* spam-stat.el (spam-stat-save): Set spam-stat-ngood and
	spam-stat-nbad before creating the hash table.
	(spam-stat-reset): Set spam-stat-ngood and spam-stat-nbad to 0.
	Changed copyright statement to FSF.

2003-01-09  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-catchup): Do not mark cached nor
	processable articles as read.
	(gnus-agent-summary-fetch-series): Remove processable and
	downloadable marks on all downloaded articles in the series.

	* nntp.el (nntp-report): Throw error after reporting the problem.
	(nntp-accept-process-output): Corrected error check to report an
	error when the process is nil.

2003-01-09  Simon Josefsson  <jas@extundo.com>

	* message.el (message-tool-bar-map): Add preview.

2003-01-09  Jesper Harder  <harder@ifa.au.dk>

	* mml.el (mml-preview): Get rid of MIME handles and buffers after
	previewing.

2003-01-08  Paul Jarc  <prj@po.cwru.edu>

	* nnmaildir.el (nnmaildir--grp-add-art): Fix wrong-type-argument
	bug when the (n+1)th article to be added to a group has a smaller
	number than the n articles already added.

2003-01-08  Jesper Harder  <harder@ifa.au.dk>

	* message.el (message-mode-field-menu): Use backquote.

2003-01-08  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el: fixed the BBDB autoloads again, using
	bbdb-search-simple now (which is not a macro, thank god)

	* lpath.el (bbdb-search): removed function from maybe-fbind list

	* gnus.el (ham-process-destination): added new parameter for
	destination of ham articles found in spam groups at summary exit

	* spam.el (spam-get-ifile-database-parameter): use spam-ifile-database-path
	(spam-check-ifile, spam-ifile-register-with-ifile): use spam-get-ifile-database-parameter
	(spam-ifile-database-path): added new parameter for ifile's database
	(spam-move-spam-nonspam-groups-only): new parameter to determine
	if spam should be moved from all groups or only some
	(spam-summary-prepare-exit): fixed logic to use
	spam-move-spam-nonspam-groups-only when deciding to invoke
	spam-mark-spam-as-expired-and-move-routine; always invoke that
	routine after the spam has been expired-or-moved in case there's
	some spam left over; use spam-ham-move-routine in spam groups
	(spam-ham-move-routine): new function to move ham articles to the
	ham-process-destinations group parameter

2003-01-08  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-spec.el (gnus-parse-complex-format): %~ => ~*.

	* gnus-agent.el (gnus-agent-fetch-selected-article): Use
	gnus-summary-update-article-line.

2003-01-08  Simon Josefsson  <jas@extundo.com>

	* nnmail.el (nnmail-expiry-target-group): Request group, create it
	not successful.

2003-01-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lpath.el (bbdb-records): Fbind it for both Emacs and XEmacs.

2003-01-07  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-check-ifile): fixed the spam-ifile-all-categories
	logic, finally

2003-01-08  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-spec.el (gnus-parse-format): %C is a complex format.
	(gnus-parse-format): Change to %~.

	* message.el (message-generate-headers): Don't generate optional
	empty headers.

2003-01-07  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-cross-post-default)
	(message-cross-post-note-function, message-shoot-gnksa-feet)
	(message-strip-subject-trailing-was, message-change-subject)
	(message-mark-insert-file, message-cross-post-followup-to)
	(message-cross-post-followup-to, message-mode-map)
	(message-generate-unsubscribed-mail-followup-to)
	(message-make-mail-followup-to): Minor changes to doc-strings and
	error messages.  Updated copyright line.

	* message.el (message-make-mail-followup-to,
	message-generate-unsubscribed-mail-followup-to): New function
	names.  Renamed functions: "-mft" -> "-mail-followup-to".
	(message-make-mft, message-gen-unsubscribed-mft): Removed function
	names.

	* mml.el (mml-preview-insert-mail-followup-to): New function name.
	(mml-preview-insert-mft): Removed function name.
	(mml-preview): Use new function names.

	* gnus-art.el (gnus-article-edit-mode-map): Use new function names.

	* message.el (message-mode-field-menu): Moved header related
	commands from "Message" to "Field" menu.

2003-01-07  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-generate-headers-first): Added customization
	if variable is a list.

2003-01-07  Michael Shields  <shields@msrl.com>

	* gnus-art.el (gnus-article-next-page): Correctly handle the case
	where the last line of the article is the last line of the window.

2003-01-08  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-msg.el (gnus-debug): Use ignore-errors.

	* gnus-agent.el (gnus-agent-fetch-selected-article): Use
	`gnus-summary-update-line'.

2003-01-08  Simon Josefsson  <jas@extundo.com>

	* gnus-art.el (gnus-unbuttonized-mime-types)
	(gnus-buttonized-mime-types): Doc fix.

2003-01-08  Jesper Harder  <harder@ifa.au.dk>

	* mm-decode.el (mm-inline-media-tests): .xpm is 'x-xpixmap'.

2003-01-07  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* nnrss.el (nnrss-group-alist): Add and clear up.

2003-01-07  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el: removed unnecessary condition-case for loading bbdb-com.el

	* lpath.el (bbdb-search): added BBDB functions for a better way to
	fix missing functions

	* spam.el (spam-check-ifile): if should be an unless

	* spam.el: define 'ignore alias for spam-BBDB-register-routine,
	spam-enter-ham-BBDB, and bbdb-create-internal initially to hush up warnings
	(spam-ifile-all-categories): doc string fixed to be less than 80 chars

2003-01-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-make-menu-bar): Added
	gnus-summary-refer-thread to thread menu.

2003-01-07  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-fetch-group-1): When fetching within a
	summary buffer, articles that cannot be fetched are marked as
	canceled.

	* nntp.el (nntp-with-open-group): The quit signal handler must
	propagate the quit signal to the next outer handler so that the
	caller knows that the request aborted abnormally.

2003-01-07  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-check-ifile, spam-ifile-register-with-ifile)
	(spam-ifile-register-spam-routine)
	(spam-ifile-register-ham-routine): added ifile functionality that
	does not use ifile-gnus.el to classify and register articles
	(spam-get-article-as-string): convenience function
	(spam-summary-prepare-exit): added ifile spam and ham registration
	(spam-ifile-all-categories, spam-ifile-spam-category)
	(spam-ifile-path, spam-ifile): added customization options

	* gnus.el (gnus-group-ham-exit-processor-ifile): added ifile ham
	exit processor
	(spam-process): added gnus-group-ham-exit-processor-ifile to the
	list of choices

2003-01-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-score.el (gnus-score-followup): Also score immediate
	followups.

2003-01-06  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnweb.el (nnweb-asynchronous-p): Changed to nil.

2003-01-07  Simon Josefsson  <jas@extundo.com>

	* message.el (message-mode-menu): Fix receipt balloon help.

2003-01-07  Jesper Harder  <harder@ifa.au.dk>

	* gnus-msg.el (gnus-group-post-news): Don't assume that "" will
	always be interpreted as news.

2003-01-07  Simon Josefsson  <jas@extundo.com>

	* gnus-sieve.el (gnus-sieve-script): Use the crosspost argument to
	gnus-sieve-script, instead of the global variable
	gnus-sieve-crosspost.  One-line patch from Steinar Bang
	<sb@dod.no>.

2003-01-06  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus.el: Renamed gnus-summary-*-uncached-face as
	gnus-summary-*-undownloaded-face to avoid confusing the agent with
	the cache.

	* gnus-sum.el: Ditto.

2003-01-06  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-fetch-group): Modified to permit execution
	in either the group or summary buffer.
	New command "JS", in summary buffer, will fetch articles per the
	group's category, predicate, and processable flags.
	(gnus-agent-summary-fetch-series): Rewritten to call
	gnus-agent-session-fetch-group once with all articles in the
	series.
	(gnus-agent-summary-fetch-group): Fixed bug and modified code to
	return list of fetched articles.
	(gnus-agent-fetch-articles): Split fetch list into sublists such
	that the article buffer is only slightly larger than
	gnus-agent-max-fetch-size.  Added unwind-protect to ensure that
	the group's article alist is saved.
	(gnus-agent-fetch-headers): The 'killed' and 'cached' marks no
	longer result in the agent trying to fetch an article.
	(gnus-agent-fetch-group-1): Can now be called in either the group
	or summary buffer.  Removed the max-fetch-size code that I added
	on 2002-12-13 as that capability is now part of
	gnus-agent-fetch-articles.  Added code to update summary buffer.
	When called in the group buffer, articles that can not be fetched
	are AUTOMATICALLY MARKED AS READ.

	* gnus-sum.el (): Modified eval-when-compile to minimize
	misleading compilation warnings.
	(gnus-update-summary-mark-positions): Changed code to use
	gnus-undownloaded-mark rather than gnus-downloaded-mark.

	* nnheader.el (nnheader-insert-nov-file): Do not try to insert an
	empty file as the parser assumes that the file isn't empty.

	* nntp.el (nntp-send-string): The process-send-string call can,
	because it performs I/O on the process, change the process' state
	from open to closed.  If this happens, call nntp-report
	immediately to report the broken connection.
	(nntp-report): Rewritten to avoid needing a global variable to
	determine the appropriate course of action.  Instead, two function
	implementations are provided and the nntp-report function value is
	bound to the appropriate implementation.
	(nntp-retrieve-data): Moved nntp-report call to end of implementation.
	(nntp-with-open-group): Now binds nntp-report's function cell
	rather than binding gnus-with-open-group-first-pass.  Added a
	condition-case to detect a quit during a nntp command.  When the
	quit occurs, the current connection is closed as a fetch articles
	request could have several megabytes queued up for reading.
	(nntp-retrieve-headers): Bind articles to itself.  If
	nntp-with-open-group repeats this command, I must have access to
	the original list of articles.
	(nntp-retrieve-groups): Ditto for groups.
	(nntp-retrieve-articles): Ditto for articles.
	(*): Replaced nntp-possibly-change-group calls to
	nntp-with-open-group forms in all, but one, occurrance.
	(nntp-accept-process-output): Bug fix. Detect when called with
	null process.

2003-01-06  Jesper Harder  <harder@ifa.au.dk>

	* mm-util.el (mm-find-mime-charset-region): Don't do Latin-9 hack
	if we don't need to.
	(mm-iso-8859-x-to-15-region): Fix misplaced parenthesis.

2003-01-06  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-group-make-web-group): Pass the select
	method on to group-create.
	(gnus-group-line-format-alist): %U is an integer.

	* gnus-sum.el (gnus-summary-exit-no-update): Don't update
	ephemeral groups.
	(gnus-summary-read-group-1): Ditto.
	(gnus-group-make-articles-read): Ditto.

	* mm-url.el (mm-url-program): Doc fix.

	* message.el (message-mode-map): Rebound
	message-insert-wide-reply.

2003-01-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-xmas.el (gnus-xmas-group-startup-message): Bind the oort
	color as `gnus-group-startup-message' does.

2003-01-05  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el: fixed line lengths to 80 chars or less

	* gnus-sum.el (gnus-read-mark-p): added the spam-mark as a
	"not-read" mark
	(gnus-summary-mark-forward): added the spam-mark to the list of
	marks not to be marked as "read" when viewed

2003-01-05  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-msg.el (gnus-inews-make-draft): Quote article-reply.

	* gnus-group.el (gnus-number-of-unseen-articles-in-group):
	Protect against unactive groups.

	* message.el (message-check-news-header-syntax): Check long
	header lines.
	(message-check-news-header-syntax): Update `start'.

	* gnus-group.el (gnus-group-expire-articles): Doc fix.
	(gnus-group-line-format): %U.
	(gnus-group-line-format-alist): ?U.
	(gnus-number-of-unseen-articles-in-group): New function.

	* nntp.el (nntp-accept-process-output): Use a 0.1 second timeout.

	* gnus.el (gnus-version-number): Bump version number.

2003-01-05 01:53:30 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.10 is released.

2003-01-05  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Fix version number.

2003-01-05 01:40:09 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.08 is released.

2003-01-04  Jesper Harder  <harder@ifa.au.dk>

	* mm-util.el: Add mm-string-make-unibyte.

	* gnus-group.el (gnus-group-jump-to-group): Make it work for
	UTF-8 groups.

2003-01-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-variable-list): Write gnus-format-specs last.

	* gnus-sum.el (gnus-summary-goto-subjects): Fix typo.

2003-01-04  Kevin Ryde  <user42@zip.com.au>

	* gnus-art.el (gnus-mime-jka-compr-maybe-uncompress): New
	function.

2003-01-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-exit): Bind gnus-group-is-exiting-p.
	(gnus-summary-read-group-1): Update group line.
	(gnus-summary-exit-no-update): Update group on exit.

	* gnus-group.el (gnus-group-line-format): Add %*.
	(gnus-group-line-format-alist): Ditto.
	(gnus-group-insert-group-line): Set it.
	(gnus-group-is-exiting-p): New variable.
	(gnus-group-insert-group-line): Use it.

2003-01-03  Teodor Zlatanov  <tzz@beld.net>

	* spam.el (spam-enter-ham-BBDB, spam-BBDB-register-routine):
	enable BBDB ham processing
	(spam-blacklist-register-routine): enable blacklist spam processing
	(spam-whitelist-register-routine): enable whitelist ham processing
	(spam-fetch-field-from-fast): fast fetching of the "from" field
	from (gnus-data-list)
	(spam-summary-prepare-exit): works completely now
	(spam-use-blacklist): oops, should be nil by default
	(spam-summary-prepare-exit): spam-use-PROCESSOR is only for
	split processing now; before it was for summary exit as
	well but that's done with the spam-contents and spam-process
	parameters now

2003-01-03  Jesper Harder  <harder@ifa.au.dk>

	* mml.el (mml-insert-tag): Don't quote non-ASCII unibyte
	characters.

2003-01-02  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-group-spam-contents-p, spam-group-ham-contents-p)
	(spam-group-processor-p, spam-group-processor-bogofilter-p)
	(spam-group-processor-ifile-p, spam-group-processor-blacklist-p)
	(spam-group-processor-whitelist-p, spam-group-processor-BBDB-p)
	(spam-mark-spam-as-expired-and-move-routine)
	(spam-generic-register-routine, spam-BBDB-register-routine)
	(spam-ifile-register-routine, spam-blacklist-register-routine)
	(spam-whitelist-register-routine): new functions
	(spam-summary-prepare-exit): added summary exit processing (expire
	or move) of spam-marked articles for spam groups; added slots for
	all the spam-*-register-routine functions

2003-01-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* pop3.el (pop3-retr): Wait 500 msecs.
	(pop3-read-response): Ditto.

	* gnus-msg.el (gnus-setup-message): Get the evaliation order
	right.
	(gnus-inews-make-draft): New function.
	(gnus-setup-message): Use it.

	* message.el (message-required-headers): Add From.

2003-01-02  Katsumi Yamaoka  <yamaoka@jpl.org>
	Trivial patch from Norbert Koch <nk@viteno.net>.

	* gnus-msg.el (gnus-gcc-externalize-attachments): Fix typo.

2003-01-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-generate-headers): Let header formatters do
	their work.

2003-01-02  Raymond Scholz  <ray-2003@zonix.de>

	* deuglify.el (gnus-article-outlook-deuglify-article):
	Rehighlight, reapply treatments and call
	`gnus-article-prepare-hook'.  Suggested by Niels Olof Bouvin.
	(gnus-outlook-repair-attribution-block): Recognize cited
	attributions.  Suggested by Niklas Morberg.

2003-01-02  Pete Kazmier  <pete@kazmier.com>

	* gnus-art.el (gnus-treat-predicate): Check condition first.

2003-01-02  Jesper Harder  <harder@ifa.au.dk>

	* lpath.el: Add url-http-file-exists-p.

	* gnus-group.el (gnus-group-fetch-charter): Use
	http://TLH.news-admin.org/charters/GROUPNAME as a fallback.

2003-01-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-draft-headers): Also generate From to get a
	nicer draft buffer summary.

	* gnus-xmas.el (gnus-xmas-read-event-char): Take an optional
	parameter.

	* gnus-art.el (article-wash-html): Clean up.
	(article-wash-html): Typo fix.

	* gnus-msg.el (gnus-summary-mail-forward): Clean up.
	(gnus-summary-mail-forward): To many lists of lists.

	* gnus-art.el (article-wash-html): Clean up.

2003-01-02  pete-temp  <pete-temp-12-29-2002@kazmier.com>

	* gnus-art.el (gnus-treat-wash-html): New variable.

2003-01-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-check-news-header-syntax): Allow posting.
	(message-check-news-header-syntax): Fix logic for sure, this
	time.

2003-01-02  Matthieu Moy  <Matthieu.Moy@imag.fr>

	* message.el (message-check-news-header-syntax): Check syntax of
	continuation headers.

2003-01-02  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-url-regexp,
	(gnus-button-mid-or-mail-regexp, gnus-button-alist,
	(gnus-header-button-alist): Regexps are case insensitive here.

2003-01-02  Simon Josefsson  <jas@extundo.com>

	* dig.el (query-dig): Doc fix.

2003-01-02  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-agent.el (gnus-agent-fetch-selected-article): Update whole
	summary buffer line, not just the download mark.

2003-01-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-goto-subjects): New function.
	(gnus-summary-insert-dormant-articles): New command and
	keystroke.

	* gnus-cache.el (gnus-summary-insert-cached-articles): Use new
	function for mass insertion of subjects.

	* nndraft.el (nndraft-generate-headers): Don't move point.

	* gnus.el (nnheader): Require nnheader.

	* nndraft.el (nndraft-request-associate-buffer): Use
	make-local-variable.

2003-01-02  Michael Shields  <shields@msrl.com>

	* nndraft.el (nndraft-request-associate-buffer): Make
	write-contents-hooks buffer-local before setting it.

2003-01-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-group-parameter-value): Take an extra param.
	(gnus-group-fast-parameter): Let group param results be nil.

	* gnus-art.el (gnus-article-forward-header): New function.
	(article-date-ut): Use it to remove continuation date headers.

	* gnus-sum.el (gnus-summary-walk-group-buffer): Supply prompt to
	read-event.
	(gnus-summary-remove-bookmark): Clean up.
	(gnus-summary-set-bookmark): Clean up.

	* gnus-util.el (gnus-read-event-char): Take an optional prompt.

	* gnus.el (gnus-group-startup-message): Bind data-directory to
	the Gnus etc directory.

2003-01-01  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-summary-prepare-exit): added slots for spam- and
	ham-processing of articles; use the new
	spam-group-(spam|ham)-contents-p functions
	(spam-group-spam-contents-p, spam-group-ham-contents-p): new
	convenience functions
	(spam-mark-junk-as-spam-routine): use the new
	spam-group-spam-contents-p function

	* gnus.el (spam-process, spam-contents, spam-process-destination):
	added new parameters with corresponding global variables
	(gnus-group-spam-exit-processor-ifile,
	gnus-group-spam-exit-processor-bogofilter,
	gnus-group-spam-exit-processor-blacklist,
	gnus-group-spam-exit-processor-whitelist,
	gnus-group-spam-exit-processor-BBDB,
	gnus-group-spam-classification-spam,
	gnus-group-spam-classification-ham): added new symbols for the
	spam-process and spam-contents parameters

	* spam.el (spam-ham-marks, spam-spam-marks): changed list
	customization and list itself to store mark symbol rather than
	mark character.
	(spam-bogofilter-register-routine): added logic to generate mark
	values list from spam-ham-marks and spam-spam-marks, so (member)
	would work.

2003-01-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-cross-post-followup-to): Fix comment.

2003-01-01  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-ham-marks, spam-spam-marks): changed list
	customization and list itself to store mark symbol rather than
	mark character.
	(spam-bogofilter-register-routine): added logic to generate mark
	values list from spam-ham-marks and spam-spam-marks, so (member)
	would work.

2003-01-01  Raymond Scholz  <ray-2002@zonix.de>

	* message.el (message-signature-insert-empty-line): New variable.

2002-12-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el: Renamed functions and variables: "xpost" ->
	"cross-post", "-fup2" -> "-followup-to".
	(message-cross-post-old-target, message-cross-post-default,
	message-cross-post-note, message-followup-to-note,
	message-cross-post-note-function): New variables names.
	(message-xpost-old-target, message-xpost-default,
	message-xpost-note, message-fup2-note,
	message-xpost-note-function): Removed variable names.
	(message-cross-post-followup-to-header,
	message-cross-post-insert-note, message-cross-post-followup-to):
	New function names.
	(message-xpost-fup2-header, message-xpost-insert-note,
	message-xpost-fup2): Removed function names.

2002-12-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-send-mail): Added message-cleanup-headers to
	prevent newlines in headers.

2003-01-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* dns.el (dns-make-network-process): Comment.

	* gnus-sum.el (gnus-summary-display-while-building): Default to
	nil.

2003-01-01  Wes Hardaker  <wes@hardakers.net>

	* gnus-sum.el (gnus-summary-display-while-building): New
	variable.

2003-01-01  Raymond Scholz  <ray-2003@zonix.de>

	* deuglify.el (gnus-outlook-rearrange-article): Kill overlays
	before rearranging the article.

2003-01-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nndraft.el (nndraft-generate-headers): New function.
	(nndraft-request-associate-buffer): Use it to write headers on
	buffer save.

	* message.el (message-generate-headers): Let the function be a
	lambda form.
	(message-draft-headers): New variable.

	* gnus-msg.el (gnus-inews-make-draft-meta-information): New
	function.
	(gnus-setup-message): Use it.

	* message.el (message-generate-headers-first): Doc fix.
	(message-setup-1): Use new function for getting which headers to
	generate.
	(message-headers-to-generate): New function.

2003-01-01  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gnus-agent.el (gnus-agent-save-alist): Make directory.

2002-12-31  Reiner Steib  <4uce.02.r.steib@gmx.net>

	* gnus-sum.el (gnus-summary-limit-to-age): Make prompt string
	mention negatives.

2002-12-31  Raymond Scholz  <ray-2002@zonix.de>

	* deuglify.el (gnus-outlook-rearrange-article): Use
	`transpose-regions' instead of tempering the kill-ring.
	(gnus-article-outlook-deuglify-article): Rehighlight article
	instead of a complete redisplay.

2002-12-31  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el: most defvars are defcustoms now

	patches from Michael Shields  <shields@msrl.com>

	* spam.el (spam-bogofilter-articles): Select the article
	body using gnus-summary-show-article t instead of
	gnus-summary-select-article; this presents the raw text
	without running any hooks.

	* spam.el (spam-bogofilter-articles): Use message-remove-header
	to remove headers; the old way incorrectly removed just the first
	line of folded headers.

2002-12-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-start.el (gnus-load): Replace `ding-file' with `file'.

2002-12-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-load): New function.
	(gnus-read-newsrc-el-file): Use it.

2002-12-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-valid-fqdn-regexp): New variable.
	(gnus-button-handle-apropos-documentation): New function.
	(gnus-button-handle-ctan): New function.
	(gnus-button-alist): Use them.  Improve some regexps.
	(gnus-button-prefer-mid-or-mail): Addition to doc-string.

2002-12-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-subscribed-p): New function.
	(message-send-mail): Use it.
	* mml.el (mml-preview-insert-mft): New function.
	(mml-preview): Use it.

2002-12-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-thread-latest-date): Protect against errors
	when sorting by date.

	* gnus-art.el (gnus-article-edit-mode): New variable.
	(gnus-article-setup-buffer): Warn user about discarding edits.

	* gnus-sum.el (gnus-summary-pipe-output): Clean up.
	(gnus-summary-pipe-output): Take a symbolic prefix to save all
	headers.

	* mm-uu.el (mm-uu-configure-list): Default to (shar . disabled).

2002-12-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-completion-alist): Added "Mail-Followup-To"
	and "Mail-Copies-To".

2002-07-21  Jesper harder  <harder@ifa.au.dk>

	* gnus-group.el: Add key bindings for
	gnus-group-sort-groups-by-real-name and
	gnus-group-sort-selected-groups-by-real-name.

2002-07-21  Jesper harder  <harder@ifa.au.dk>

	* gnus.texi (Sorting Groups): Add key bindings for
	gnus-group-sort-groups-by-real-name and
	gnus-group-sort-selected-groups-by-real-name.

2002-12-30  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-use-dig): new variable for blackhole checking
	through dig.el
	(spam-check-blackholes): added dig.el checking functionality and
	more verbose reporting; query-dig is autoloaded from dig.el
	(spam-use-blackholes): disabled by default
	(spam-blackhole-servers): removed rbl.maps.vix.com from the
	blackhole servers list

2002-12-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-required-headers): New variable.

2002-12-30  Teodor Zlatanov  <tzz@lifelogs.com>

	* dig.el (query-dig): new function

2002-12-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* flow-fill.el (fill-flowed): Don't infloop on too long fill
	prefixes.

	* dns.el (query-dns): Protect against errors.

	* gnus-msg.el (gnus-article-yanked-articles): New variable.
	(gnus-inews-add-send-actions): Mark all answered messages as
	answered.

2002-08-10  Jari Aalto  <jari.aalto@poboxes.com>

	* nnmail.el (nnmail-split-it): Added tracing to
	`:' split rule

2002-08-13  Hrvoje Niksic  <hniksic@xemacs.org>

	* mm-decode.el (mm-mailcap-command): Remove the quotes around '%s'
	and "%s" so we don't overquote them.

2002-08-13  Hrvoje Niksic  <hniksic@xemacs.org>

	* (mm-display-external): Display the actual command that has been
	executed in the echo area.

2002-12-29  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-topic.el (gnus-topic-display-missing-topic): Bind entry.

	* message.el (message-with-reply-buffer): New macro.
	(message-fetch-reply-field): Use it.
	(message-insert-wide-reply): New command and keystroke.
	(message-carefully-insert-headers): New function.
	(message-insert-to): Use new function.

	* gnus-topic.el (gnus-topic-display-missing-topic): New function.
	(gnus-topic-goto-missing-group): Use it.

	* message.el (message-required-news-headers): Removed Lines.
	(message-reply): Don't insert References first.
	(message-followup): Ditto.
	(message-make-references): New function.
	(message-followup): Set message-reply-headers before generating
	the buffer stuff.

2002-12-29  Jesper Harder  <harder@ifa.au.dk>

	* mml.el (mml-generate-mime-1): Reverse the order of
	encoding/flowing.

2002-12-29  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnmail.el (nnmail-expiry-target-group): Mark articles as read
	after moving them.

	* gnus-sum.el (gnus-summary-dummy-line-format): Update format to
	fit with newer standard format.
	(gnus-summary-make-false-root-always): New variable.
	(gnus-gather-threads-by-subject): Use it.

	* message.el (message-get-reply-headers): Take an address list
	optional argument.

2002-12-28  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-keep-backlog): Change default to 20.

	* gnus-agent.el (gnus-agent-check-overview-buffer): Start from
	start.
	(gnus-agent-check-overview-buffer): Remove negative article
	numbers.

	* nnmail.el (nnmail-split-fancy-with-parent-ignore-groups): Doc fix.
	(nnmail-cache-ignore-groups): Doc fix.

	* nnimap.el (nnimap-debug): Made into a flag and defcustomed.
	(nnimap-debug-buffer): New variable.
	(nnimap-debug): Use it.

2002-12-28  Lars Magne Ingebrigtsen  <kgreiner@xpediantsolutions.com>

	* gnus.el (gnus-summary-high-uncached-face): New color scheme.

2002-12-28  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-agent.el (gnus-agent-check-overview-buffer): Sort lines if
	they aren't already sorted.

2002-12-28  Jesper Harder  <harder@ifa.au.dk>

	* message.el (message-mode-menu): Add ellipses to menu items
	expecting user interaction.
	(message-mode-field-menu): do.

2002-12-26  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-summary-highlight-line): Don't bind `list' --
	it isn't used any more.

2002-12-22  Jesper Harder  <harder@ifa.au.dk>

	* binhex.el (binhex-decoder-program): Fix docstring.

2002-12-21  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* mm-decode.el (mm-mailcap-command): Do not backslash-quote
	special chars if the mailcap file uses single quotes around %s.
	From Laurent Martelli <laurent@bearteam.org>.

2002-12-19  Paul Jarc  <prj@po.cwru.edu>

	* gnus-int.el (gnus-request-update-info): nnchoke-r-u-i might not
	return the info object.

2002-12-18  Paul Jarc  <prj@po.cwru.edu>

	* gnus-int.el (gnus-request-update-info): Artificially add
	(1 . (1- min)) to the read range, in case the backend doesn't
	store marks for nonexistent articles.

2002-12-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* binhex.el (binhex-insert-char): Eval-and-compile.

2002-12-17  Jesper Harder  <harder@ifa.au.dk>

	* lpath.el: Add tool-bar-local-item-from-menu.

	* message.el (message-tool-bar-local-item-from-menu): New function.
	(message-tool-bar-map): Use it.

2002-12-14  Jesper Harder  <harder@ifa.au.dk>

	* gnus-uu.el (gnus-uu-digest-headers): Mention nil value in docstring.

	* gnus-art.el (gnus-article-header-rank): Last header in
	gnus-sorted-header-list should have higher rank than non-members.

2002-12-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-agent.el (gnus-close-agent): Don't blank out the list of
	covered methods.

2002-12-12  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* nntp.el (nntp-with-open-group-first-pass): Do not wrap in
	eval-when-compile.  Suggested by Kevin Greiner.

2002-12-13  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-max-fetch-size): New, defcustom.
	(gnus-agent-fetch-headers): Initialize gnus-agent-overview-buffer
	even though no headers may have been fetched
	(gnus-agent-fetch-group-1, and perhaps others, require this
	behavior).
	(gnus-agent-fetch-group-1): Fetch articles in chucks so that the
	server buffer is constrained by gnus-agent-max-fetch-size.
	Multiple chunks in the same group may perform arbitrarily large
	updates.

2002-12-12  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-fetch-selected-article): Added call to
	gnus-summary-update-download-mark to update the article in the
	summary.

2002-12-11  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus.el (gnus-summary-high-uncached-face,
	gnus-summary-normal-uncached-face, gnus-summary-low-uncached-face)
	New faces.

	* gnus-agent.el (gnus-agent-downloaded-article-face): REMOVED.  I
	added this on 2002-11-23 but it just wasn't working out as
	intended.  The idea isn't entirely dead, three new faces
	gnus-summary-*-uncached-face are being added to gnus.el to provide
	the basis for an improved implementation.
	(gnus-agent-read-servers): Undo the change made on 2002-11-23. The
	proper file to open is lib/servers.
	(gnus-summary-set-agent-mark): Expanded documentation.  Unmarking
	(i.e. removing the article from gnus-newsgroup-downloadable) will
	now restore the article's default mark rather than simply setting
	no mark.
	(gnus-agent-get-undownloaded-list): Corrected documentation.
	Added code to set new summary local variable,
	gnus-newsgroup-agentized.  Reworked impl so that it doesn't create
	a temporary list.  No longer sets gnus-newsgroup-downloadable.
	(gnus-agent-summary-fetch-group): Keep gnus-newsgroup-undownloaded
	up to date.  Call new gnus-summary-update-download-mark to keep
	summary buffer up-to-date.
	(gnus-agent-fetch-selected-article): Keep
	gnus-newsgroup-undownloaded up to date.
	(gnus-agent-fetch-articles): Return list of articles that were
	successfully fetched.
	(gnus-agent-check-overview-buffer): No more thingatpt.
	(gnus-agent-expire): No longer deletes NOV entries of unread
	articles.
	(gnus-agent-unread-articles): New function.
	(gnus-agent-regenerate-group): The article number must be
	terminated by a tab character.  Added more messages to report
	repairs.  Inhibit quits while writing changes so it is now safe
	have to quit regeneration.  Renamed gnus-tmp-downloaded back to
	downloaded to 1) resolve the unbound references and 2) avoid
	confusing this list with the gnus-tmp-downloaded in gnus-sum.el

	* gnus-art.el (gnus-article-prepare): The agent
	downloaded/undownloaded mark is no longer stored as the article's
	mark.

	* gnus-salt.el (gnus-tree-highlight-node): Added uncached as
	gnus-summary-highlight may use it.  Added downloaded as
	gnus-summary-highlight was using it.

	* gnus-sum.el (gnus-undownloaded-mark): Changed from ?@ to ?- as
	the download mark now follows Kai's +/- convention.
	(gnus-downloaded-mark): Added ?+ mark.
	(gnus-summary-highlight): Added rules to select
	gnus-summary-high-uncached-face,
	gnus-summary-normal-uncached-face, and
	gnus-summary-low-uncached-face.  Removed the
	gnus-agent-downloaded-article-face.
	(gnus-summary-line-format-alist): Implemented the download flag
	format (?O) as named in the manual.  This implementation displays
	either gnus-undownloaded-mark, gnus-downloaded-mark, or
	gnus-no-mark.
	(gnus-newsgroup-agentized): New local variable that identifies
	which groups are agentized.  While the agent is now on by default,
	you don't have to agentize every server that you use.
	(gnus-update-summary-mark-positions): Completed support for the
	download type of mark.
	(gnus-summary-insert-line): Added undownloaded to the parameters.
	(gnus-summary-prepare-threads): Set gnus-tmp-downloaded for
	reference by the gnus-summary-line-format-spec.

	* nntp.el (nntp-with-open-group): This macro handles dropped or
	broken connections by opening a new connection and repeating the
	failed command.
	(nntp-retrieve-headers-with-xover): Some NNTP servers respond to
	XOVER commands preceeding the active articles with the nov entry
	of the first available article.  When gnus connected to such a
	server, the unexpected nov entry would result in duplicate lines
	in the agent's overview file.  This patch fixes the duplicate
	lines problem and improves performance by skipping over all
	articles IDs that preceed the first nov entry in the server's
	reply.

2002-12-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-tmp-downloaded): New internal variable.
	(gnus-summary-highlight): Use it instead of `downloaded'.
	(gnus-summary-highlight-line): Ditto.

	* gnus-agent.el (gnus-agent-regenerate-group): Ditto.

2002-12-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-variable-list): Add gnus-agent-covered-methods.

	* gnus-agent.el (gnus-agent-check-overview-buffer): Remove debug
	calls.

	* gnus-sum.el (gnus-summary-highlight-line): Don't set the
	downloaded variable if we're in an uncovered group.

	* gnus-agent.el (gnus-agent-downloaded-article-face): Change the
	font to soemthing less noticeable.
	(gnus-agent-group-covered-p): New function.

2002-12-09  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gnus-agent.el (gnus-agent-braid-nov): Remove corrupted lines.
	Because of an unknown bug, the group buffer is saved in .overview
	file.

2002-12-09  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* nntp.el (nntp-send-command): Braino in last commit.  Replace
	`and' with `or'.

2002-12-08  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* nntp.el (nntp-send-command): Assume that echo does not happen
	when nntp-open-connection-function is nntp-open-network-stream.
	Suggested by Sebastian D.B. Krause <krause@my.gnus.org>.

2002-12-07  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* nnslashdot.el (nnslashdot-retrieve-headers-1): Update the parser.

2002-12-06  Paul Jarc  <prj@po.cwru.edu>

	* nnmaildir.el (nnmaildir-request-group): bugfix: don't erase
	nntp-server-buffer if we aren't going to write to it.

2002-12-04  Katsumi Yamaoka  <yamaoka@jpl.org>
	Trivial patch from Itai Zukerman <zukerman@math-hat.com>.

	* mm-decode.el (mm-w3m-safe-url-regexp): Fix parenthesis.

2002-12-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-decode-region): Remove newlines between
	decoded words.

2002-12-03  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus.el (fboundp): After loading mm-util, make sure it was the
	right one.

2002-11-29  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-art.el (gnus-inhibit-mime-unbuttonizing): Moved here from
	gnus-sum.  Made into a user option.

	* gnus-sum.el (gnus-simplify-ignored-prefixes)
	(gnus-summary-mark-article-as-unread)

2002-11-29  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* time-date.el (date-to-time): Typo.

	* parse-time.el: Typo.

	* nnsoup.el (nnsoup-retrieve-headers): Typo.

	* nnmail.el (nnmail-split, nnmail-process-unix-mail-format): Typos.

	* nnimap.el:
	(nnimap-split-rule, nnimap-find-minmax-uid): Typos.

	* mm-encode.el (mm-safer-encoding): Typo.

	* messcompat.el: Typo.

	* message.el (message-face-alist): Typo.

	* imap.el (imap-interactive-login, imap-open): Typos.

	* ietf-drums.el (ietf-drums-text-token, ietf-drums-qtext-token): Typos.

	* gnus.el: Typo.

	* gnus-win.el (gnus-configure-frame): Typo.

	* gnus-util.el (gnus-atomic-progn-assign): Typo.

	* gnus-topic.el (gnus-topic-sort-topics): Typo.

	* gnus-sum.el (gnus-summary-article-number)
	(gnus-summary-read-group-1, gnus-summary-mark-article)
	(gnus-summary-fetch-faq, gnus-refer-article-methods): Typos.

	* gnus-mule.el (gnus-mule-add-group): Typo.

	* gnus-mlspl.el (gnus-group-split-fancy): Typo.

	* gnus-group.el (gnus-group-fetch-faq): Typo.

	* gnus-art.el (gnus-decode-header-methods): Typo.

	* flow-fill.el: Typo.

2002-11-19  Stefan Monnier  <monnier@cs.yale.edu>

	* binhex.el (binhex-decode-region): Don't hardcode point-min == 1.

2002-11-29  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-sum.el (gnus-simplify-ignored-prefixes)
	(gnus-summary-mark-article-as-unread)
	(gnus-mark-article-as-unread, gnus-summary-highlight-line):
	Reformatting to avoid long lines.
	(gnus-inhibit-mime-unbuttonizing): Moved to gnus-art.

2002-11-28  Daiki Ueno  <ueno@unixuser.org>

	* gnus-agent.el (gnus-agent-fetch-group-1): Article numbers should
	be accessed through `mail-header-number'.

2002-11-27  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-sum.el (gnus-summary-insert-old-articles): No longer passes
	compressed range to gnus-summary-insert-articles.

2002-11-26  Kevin Ryde <user42@zip.com.au>

	* gnus-art.el (gnus-mime-copy-part): Look for filename
	parameter under content-disposition, not content-type.

	* gnus-sum.el (gnus-summary-find-uncancelled): New function.
	(gnus-summary-reselect-current-group): Use it.

2002-11-26  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gnus-agent.el (gnus-agent-uncached-articles): if
	gnus-agent-load-alist fails, return ARTICLES.

	* nnrss.el (nnrss-group-alist): Update the link of Jabber.

2002-11-26  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-sum.el (gnus-summary-insert-old-articles): Remove
	superfluous function call.
	(gnus-summary-catchup-all, gnus-summary-catchup-all-and-exit):
	Add warning to docstring.

2002-11-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el: Autoload number-at-point instead.
	(gnus-agent-check-overview-buffer): No warning for deactivate-mark.

2002-11-26  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-agent.el (gnus-agent-check-overview-buffer): Explicitly
	require thingatpt (for number-at-point) and protect against
	deactivate-mark being unbound (on XEmacs).

2002-11-25  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-agent.el (gnus-agent-check-overview-buffer): Make debugger
	print message on entry.

	From Kevin Greiner <kgreiner@xpediantsolutions.com>.

	* gnus-range.el (gnus-range-difference): New function.
	* gnus-sum.el (gnus-summary-insert-old-articles): Use it.

2002-11-24  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-sum.el (gnus-summary-insert-old-articles): Use
	gnus-remove-from-range instead of gnus-range-difference which
	doesn't exist.

2002-11-23  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>
	From Kevin Greiner <kgreiner@xpediantsolutions.com>.

	* gnus-agent.el (gnus-agent-downloaded-article-face): New face,
	used for showing which articles have been downloaded.
	(gnus-agent-article-alist): Format change.  Add documentation.
	(gnus-agent-summary-mode-map): New keybinding `J s' for fetching
	process-marked articles.
	(gnus-agent-summary-fetch-series): Command for `J s'.  Articles
	in the series are individually fetched to minimize lose of
	content due to an error/quit.
	(gnus-agent-synchronize-flags-server, gnus-agent-add-server): Use
	gnus-message instead of message.
	(gnus-agent-read-servers): Use file lib/methods instead of
	lib/servers.  TODO: Why?
	(gnus-summary-set-agent-mark): Adapt to new agent-alist format.
	(gnus-agent-get-undownloaded-list): Remove articles that appear to
	come from the agent.  This means that they are not downloaded.
	(gnus-agent-fetch-selected-article): Don't use history.
	(gnus-agent-save-history, gnus-agent-enter-history)
	(gnus-agent-article-in-history-p, gnus-agent-history-path):
	Removed function; history is not used anymore.
	(gnus-agent-fetch-articles): Fix handling of crossposted articles.
	(gnus-agent-crosspost): Started rewrite then realized that a typo
	in gnus-agent-fetch-articles ensures that this function is never
	called.  This will need to be fixed later.
	(gnus-agent-check-overview-buffer): Some sanity checks on the
	agent overview buffer.  This is a safety net used during
	development.
	(gnus-agent-flush-cache): The gnus-agent-article-alist format has
	changed, write a number to the file indicating this.
	(gnus-agent-fetch-headers): Rewrite to respect
	gnus-agent-consider-all-articles without relying on the
	`.fetched' files.  Make it fast.
	(gnus-agent-braid-nov): Change resulting from
	gnus-agent-fetch-headers change.
	(gnus-agent-load-alist, gnus-agent-save-alist): Don't use
	`.fetched' files.
	(gnus-agent-read-agentview): New function, used by
	gnus-agent-load-alist.
	(gnus-agent-load-fetched-headers): Remove.
	(gnus-agent-save-alist): Rewrite to accomodate new format.
	(gnus-agent-fetch-group-1): Make sure list of articles is in the
	same order as in gnus-newsgroup-headers.
	(gnus-agent-expire): Document and implement extra args ARTICLES,
	GROUP, FORCE.  Do not restrict usage.
	(gnus-agent-uncached-articles): New function.
	(gnus-agent-retrieve-headers): Use it.
	(gnus-agent-regenerate-group): No longer needs to be called from
	gnus-agent-regenerate.  Individual groups may be regenerated. The
	regeneration code now fixes duplicate, and mis-ordered, NOV entries.
	The article fetch dates are validated in the article alist.  The
	article alist is pruned of entries that do not reference existing
	NOV entries.  All changes are computed then applied with
	inhibit-quit bound to t.  As a result, it is now safe to quit out of
	regeneration.  The optional clean parameter has been replaced with
	an optional reread parameter.  Clean is no longer necessary as
	regeneration gets the appropriate setting from
	gnus-agent-consider-all-articles.  The new reread parameter will
	result in fetched, or all, articles being marked as unread.
	(gnus-agent-regenerate): Removed code to regenerate the history
	file as it is no longer used.

	* gnus-start.el (gnus-make-ascending-articles-unread): New
	function, for efficient mass-marking.

	* gnus-sum.el (gnus-summary-highlight): Use new face for
	downloaded articles.
	(gnus-article-mark): Prefer to indicate read/unread status over
	downloaded status.
	(gnus-summary-highlight-line-0): New function, maybe rehighlights
	line.
	(gnus-summary-highlight-line): Use new face for downloaded
	articles.
	(gnus-summary-insert-old-articles): Improved performance by
